$title Identifying AntiCancer Targets of genome-scale metabolic model by the nested hybrid differential evolution
$Ontext
Coding strategy:
pop_XI(NP, Dim_XI) is represented by integer variables for candidate biocompounds in NHDE
pop_XI(NP, Dim_XR) is represented by real variable 0.05, 1) for the regulation strength parameter in NHDE

max fitness = max min{mem_grade} - penalty_term

where penalty = penalty_parameter * sum(Dim_h, abs(constraint_h(Dim_h)))

decision problem solving by NHDE:
Outer optimization problem:
  Min Vbiomass_TR
  max V_ATP_PB, min Vbiomass_PB
  fuzzy dissimilarity of flux and metabolite-flow for PB to CA model
  fuzzy similarity of flux and metabolite-flow for PB to HT model

subject to inner optimization problems
    max FBA problem
    min UFD problem

The integer decision variables x_HDE for HDE, which are represented how many deleted reactions
are required by the user, are coded by the orders of the candidate reactions.
The orders of the integer decisions x_HDE are then decoded as in which reactions to be deleted, z_HDE.

decoding strategy for up/down/knockout regulation for the i-th forward/backward reaction

Regulation strategy
z_HDE = 1: Up-regulated synthesis rate for the targeted biocompounds:
                          BL_vf + C (vf_UB - BL_vf) <= vf <= vf_UB
                          BL_vb + C (vb_UB - BL_vb) <= vb <= vb_UB

z_HDE = 2: Down-regulated synthesis rate fir the targeted biocompounds:
                          vf_LB <= vf <= BL_vf + C (vf_LB - BL_vf)
                          vb_LB <= vb <= BL_vb + C (vb_LB - BL_vb)

z_HDE = 3: Knockout vf and vb: vf = vb = 0
where the regulation strength parameter (C) is provided by the user.

Fluxes are catalyzed by isozymes:
                        (1 - a) BL_vf <= vf <= (1 + a) BL_vf
                        (1 - a) BL_vb <= vb <= (1 + a) BL_vb                        

TR: treated cancer cells
PB: perturbed healthy cells
CA: cancer model
HT: healthy model
BL: union of CA and HT model

*----- fitness evaluation ------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
* best_mem_BioEng_TR = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
*                         smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

* Cell viability for PB model
best_mem_CV_PB = ((best_mem_Fmin_CV_PB + best_mem_Fmax_CV_PB)/2 + min(best_mem_Fmin_CV_PB, best_mem_Fmax_CV_PB))/2;

* the first priori objective for cell mortality of TR and PB model
best_mem_CV_TRPB $ (index_sumz <= 20) = (best_mem_BioEng_TR + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;

* the first priori objective for both cell mortality and cell viability for TR and PB model
best_mem_CV_TRPB $ (index_sumz >= 30) = ((best_mem_BioEng_TR + best_mem_CV_PB)/2 + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;

* Metabolic deviation (dissimilarity) for PB model to CA template
best_mem_MD_PBCA = ((best_mem_rxn_PBCA + best_mem_Met_PBCA)/2 + min(best_mem_rxn_PBCA, best_mem_Met_PBCA))/2;

* Metabolic deviation (similarity) for PB model to BL template
best_mem_MD_PBBL = ((best_mem_rxn_PBBL + best_mem_Met_PBBL)/2 + min(best_mem_rxn_PBBL, best_mem_Met_PBBL))/2;

* Metabolic deviation (similarity) for PB model to HT template
best_mem_MD_PBHT = ((best_mem_rxn_PBHT + best_mem_Met_PBHT)/2 + min(best_mem_rxn_PBHT, best_mem_Met_PBHT))/2;

* Metabolic deviation of PB to CA and BL/HT models
best_mem_MD_TRPB = ((best_mem_MD_PBCA + best_mem_MD_PBBL + best_mem_MD_PBHT)/3 +
                        min(best_mem_MD_PBCA, best_mem_MD_PBBL, best_mem_MD_PBHT))/2;

*----- prioity fitness evaluation ----------------------------------------------
best_fitness $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - best_constraint;
best_fitness $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), best_mem_CV_TRPB,
                                                                           best_mem_MD_TRPB))/2 - best_constraint;
* the second priori objective
best_fitness $ (index_sumZ = 20 or index_sumz = 30) = (best_mem_BioEng_TR + min(best_mem_BioEng_TR, best_mem_CV_TRPB,
                                                                                      best_mem_MD_TRPB))/2 - best_constraint;
best_fitness $ (index_sumZ = 40) = ((best_mem_BioEng_TR + best_mem_CV_TRPB + best_mem_MD_PBCA + best_mem_MD_PBBL +
                                     best_mem_MD_PBHT)/5 + min(best_mem_BioEng_TR, best_mem_CV_TRPB, best_mem_MD_PBCA,
                                                               best_mem_MD_PBBL, best_mem_MD_PBHT))/2 - best_constraint;                                                          
best_fitness $ (flag_sumZ = 1) = best_fitness + best_mem_sumZ;);
*-------------------------------------------------------------------------------

$offtext

$offlisting
$offdigit

**** The user has to provide the following name --------------------------------
$setglobal modelName1 BL-Colon-TCGA
$setglobal modelName2 CORDA-R3D-CMS1

* assign the path of the model data
$setglobal ModelData "C:\A000\My_GAMS\FBA-CancerMetabolism-Revised\A0-ModelData\%modelName1%-%modelName2%\"

* assign the path of the computational results
$setglobal ReportData "C:\A000\My_GAMS\FBA-CancerMetabolism-Revised\A0-ReportData\"
*-------------------------------------------------------------------------------
**** The user has to provide the following name, Recon2-liver ------------------
$setglobal modelName3 ATPS4mi

**** modelName5 = Default, LeakyFree (User's provided)
$setglobal modelName5 LeakyFree

**** version for medium provided by a user
$setglobal Med_Version RICH

* index_sumz = 1, 10, 20, 30, 40
$setglobal No_index_sumZ 40
$setglobal No_flag_sumZ 0
$setglobal No_strategy 1

$setglobal No_uptake 2
$setglobal No_secretion 2
$setglobal No_DM_sink 1
$setglobal No_uptake_demand 1

*Candidate model for the drug target discovery problem: No_candidate_BioComp = CABL or CA
$setglobal No_candidate_Rxn CA-Wt-Rxn

* select regulated action for candidate_BioComp(biocompound); 1: up, 2: down, 3: KO
$setglobal No_UPDownKO_min 3
$setglobal No_UPDownKO_max 3

$setglobal Rxn_G1 'run1'
*-------------------------------------------------------------------------------

* The user needs to provide the following 6 includeed files for solving this problem ****************************************************************
$include %ModelData%A1-%modelName1%-%modelName2%-Model.gms
$include %ModelData%A1-%modelName1%-%modelName2%-GPRmodel.gms
$include %ModelData%A1-%modelName1%-%modelName2%-Weight-Rxn.gms
$include %ModelData%A2-%modelName1%-%modelName2%-%modelName3%-Objective.gms
$include %ModelData%A3-%modelName1%-%modelName2%-%modelName5%-flux-bounds.gms
$include %ModelData%A3-%modelName1%-%modelName2%-%modelName3%-uptake-%Med_Version%.gms
$include %ModelData%A4-%modelName1%-%modelName2%-Biocompound.gms
$include %ModelData%A5-%modelName1%-%modelName2%-%modelName5%-CandEnz-%No_candidate_Rxn%-%No_uptake%%No_secretion%-%Med_Version%.gms
$include %ModelData%A9-%modelName1%-%modelName2%-Species-Biocomp-ChokePt.gms

*---- prepare for writing the computational results ----------------------------
$set outputFilename1 z-%modelName1%-%modelName2%-Z%No_index_sumZ%-s%No_strategy%-Rxn-%No_candidate_Rxn%-%Rxn_G1%-%Med_Version%
*-------------------------------------------------------------------------------
*****************************************************************************************************************************************************

*===== the user provides the following data ====================================
$onempty
sets
   Candidate_Rxn_g1(reactions) "user specified group of candidate reactions to be regulated"
*       /%Rxn_G1%/

***** Set Candidate_Rxn_g1 as the empty set for computing case 1
      /   /

   excluded_candidate_Rxn_g1(reactions) "additional candidate reactions are exclued from the candidate_rxn"
              / /

   excluded_candidate_Rxn(reactions) "reactions are exclued from the candidate_rxn"
             / /

   print_BioComp(Biocompound) "print computational results provided by the user"
           /  /

   secretion_rxn(reactions) "secretion reactions"
   BioComp_ExpWarb(biocompound) "sum of biocompound_exp and BioCompound_Warburg"
   BioComp_PBBL(biocompound) "the intersection of biocompounds for PB/BL models"
   species_PBBL(species) "the intersection of species for PB/BL models"
   rxn_vf_PBBL(reactions) "the intersection of reactions for PB/BL models"
   rxn_vb_PBBL(reactions) "the intersection of reactions for PB/BL models"   
   BioComp_PBHT(biocompound) "the intersection of biocompounds for PB/HT models"
   species_PBHT(species) "the intersection of species for PB/HT models"
   rxn_vf_PBHT(reactions) "the intersection of reactions for PB/HT models"
   rxn_vb_PBHT(reactions) "the intersection of reactions for PB/HT models"
   BioComp_PBCA(biocompound) "the intersection of biocompounds for PB/CA models"
   species_PBCA(species) "the intersection of species for PB/CA models"
   rxn_vf_PBCA(reactions) "the intersection of reactions for PB/CA models"
   rxn_vb_PBCA(reactions) "the intersection of reactions for PB/CA models"      
   dyn_reactions(reactions) "dynamic subsets to declare the reactions in BL/HT/CA model"
   dyn_species(species) "dynamic subsets to declare the species in BL/HT/CA model"
   dyn_BioComp(Biocompound) "dynamic subsets to declare the biocompounds in BL/HT/CA model"
   dyn_irrev_rxn(reactions) "dynamic subset for irrevsible reactions"
   dyn_rev_rxn(reactions) "dynamic subset for reversible reactions"
   dyn_exchange_rxn(reactions) "dynamic subset for exchange reactions"
   nonzero_v_PBBL(reactions) "nonzero vf between PB and BL"
   nonzero_v_PBHT(reactions) "nonzero vf between PB and HT"
   nonzero_v_PBCA(reactions) "nonzero vf between PB and CA"   
   nonzero_vf_PBBL(reactions) "nonzero vf between PB and BL"
   nonzero_vb_PBBL(reactions) "nonzero vb between PB and BL"   
   nonzero_vf_PBHT(reactions) "nonzero vf between PB and HT"
   nonzero_vb_PBHT(reactions) "nonzero vb between PB and HT"
   nonzero_vf_PBCA(reactions) "nonzero vf between PB and CA"
   nonzero_vb_PBCA(reactions) "nonzero vb between PB and CA"
   nonzero_BioComp_PBBL(biocompound) "nonzero biocomp_synth rate between PB and BL"   
   nonzero_BioComp_PBHT(biocompound) "nonzero biocomp_synth rate between PB and HT"
   nonzero_BioComp_PBCA(biocompound) "nonzero biocomp_synth rate between PB and CA";   

**** reset reversible and irrevserable reactions ****************************************************************************************************
rev_rxn(reactions) = rev_rxn(reactions) + irrev2rev_rxn(reactions) + irrev_vb_rxn(reactions) - rev2irrev_rxn(reactions);
irrev_rxn(reactions) = irrev_rxn(reactions) + rev2irrev_rxn(reactions) - irrev2rev_rxn(reactions);
**** define secretion_rxn ***************************************************************************************************************************
secretion_rxn(reactions) = exchange_rxn(reactions) - uptake_rxn(reactions) - uptake_demand(reactions) -
                           exchange_demand(reactions) - secretion_demand(reactions);
*****************************************************************************************************************************************************
***** Using choke-point metabolites as determine candidate_Rxn **************************************************************************************
*candidate_Rxn(reactions) = Rxn_chokept_SIMO(reactions) + Rxn_chokept_MISO(reactions) + Rxn_chokept_SISO(reactions);

***** Candidate_Rxn for Case 1  *********************************************************************************************************************
excluded_candidate_Rxn(reactions) = excluded_candidate_Rxn(reactions) + reactions_NCA(reactions) + reactions_NHT(reactions);
excluded_candidate_Rxn_g1(reactions) $ (candidate_Rxn(reactions) and sum(RegulationSet, (index_Rxn_Reg(reactions, RegulationSet) > 0) = 1) = 0) = yes;
Candidate_Rxn(reactions) = Candidate_Rxn(reactions) - excluded_candidate_Rxn_g1(reactions);

***** Excluded_Candidate_Rxn for case 2 *************************************************************************************************************
excluded_candidate_Rxn(reactions) $ (card(Candidate_Rxn_g1) > 0) = Candidate_Rxn(reactions) - Candidate_Rxn_g1(reactions);
*****************************************************************************************************************************************************

sets
*----- define the sets for the HDE solver --------------------------------------
   Dim_XIR "total No. of regulated EnzRxn and No. of regulation strength parameter"
          /XI1*XI1, RSP1/

   Dim_XR(Dim_XIR) "No. of regulation strength parameter"
         /RSP1/

   NP "population size for HDE in the outer optimization program" /NP1*NP50/

   itermax "maximum of of iterations for HDE" /iter1*iter5/

   Dim_XI(Dim_XIR) "total No. of regulated EnzRxn"

*----- iterate_DynSubset(nSolution) "dynamic subset for iteactively solving HDE
   itermax_DynSubset1(itermax) "dynamic subset1 for itermax"
   itermax_DynSubset2(itermax) "dynamic subset2 for itermax";
$offEmpty

Parameters
* Weight of objectives: w_biomass + W_ATP + W_vbof = 1
   W_obj_ratio_BL(objectSet) "weight ratio for BL model"
      /'biomass'   0
       'ATP'       1/

   W_obj_ratio_HT(objectSet) "weight ratio for HT model"
      /'biomass'   0
       'ATP'       1/

   W_obj_ratio_CA(objectSet) "weight ratio for CA model"
      /'biomass'   1
       'ATP'       0/
       
*----- weighting factor depends on RNA-seq expression having HC, MC, NC and others 
   Weight_factor_Rxn_HC "weighting factor for rxn with high confidence" /0.25/
   Weight_factor_Rxn_MC "weighting factor for rxn with medium confidence" /0.5/
   Weight_factor_Rxn_NC "weighting factor for rxn with not detected" /0.75/
   Weight_factor_Rxn_OT "weighting factor for rxn with others" /1/

   MultiObjValue_max(ObjectSet) "maximum cell viability objective values"
   MultiObjValue_min(ObjectSet) "minimum cell viability objective values"
   
   flag_uptake "1: irreversible (vf = 0); 2: reversible (exchange)" /%No_uptake%/
   flag_secretion "1: irreversible (vb = 0); 2: reversible (exchange)" /%No_secretion%/
   flag_DM_sink "1: set DM_sink_rxn to irrev_rxn; 2: keep orignal setting" /%No_DM_sink%/
   flag_uptake_demand "1: irreversible (vf = 0); 2: reversible (exchange)" /%No_uptake_demand%/
   flag_BioComp "biocompound_PBBL inclues/excludes Warburg/Exp, 1: included; 2: excluded"  /1/
   Round_decimal "Round to DECPL decimal places" /10/
   mem_Bound_ratio "ratio of lower and upper bounds for membership function" /4/

* flux bounded ratio is restricted by isozymes: (1 - a) vf_basal <= vf <=  (1 + a)*vf_basal
   flux_bounded_ratio "ratio for evaluating lower and upper bounds of reactions catalyzed isozymes" /0.03/
   UB_zero "upper bound for flux with zero value" /1.0e-5/   
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*----- parameters provided for HDE ---------------------------------------------
   index_sumZ "index_sumZ = 20 or 40: fitness evaluation method" /%No_index_sumZ%/
   flag_sumZ "flag_sumZ = 0: sum(z) is not included in fitness; flag_sumZ = 1: fitness including sum(z)" /%No_flag_sumZ%/
   strategy "strategy (1-10) of mutation operation used in HDE"  /%No_strategy%/
   extra_gene_min "extra number of genes is added sumZ_min for evaluating pop_Mem_sumZ(NP)"  /0/
   Method_1 "user provided the migration or not, Method_1 = 0: switched off migration" /1/
   Method_4 "user provided the initinal population, method_4 = 1"  /0/
   Method_5 "Using random or fixed mutation scaling factor" /1/
* Using random or fixed mutation scaling factor, method_5 = 0: fixed F_X; method_5 = 1: F_X = uniform(0,1);
* method_5 = 2: F_X = F_x0 + uniform(0,1)*F_XRatio
   F_X0 "initial mutation scaling factor ratio for normal random" /0.5/
   F_XRatio "initial mutation scaling factor for decision variables" /0.3/
   Method_6 "user provided the force migration if index_migration >= method_6" /10/
   VTR "expected fitness value to reach"  /1.0e20/
   VTR_G "expected constrained tolerance to reach" /0.0/
   CR_X "crossover factor for decision variables, higher value as higher choosing pop_XI" /0.5/
   epsilon_ratio "ratio for tolerance of  population diversity, [0, 1]" /0.05/
   epsilon1 "tolerance of population diversity, epsilon1 = epsilon_ratio * card(Dim_XI)/card(Dim_BI)"
   epsilon2 "tolerance for gene diversity" /0.01/
   penalty "penalty paramter for evaluating infeasible inner optimization problem" /1.0e3/
   penalty_update_ratio "penalty parameter updating ratio" /10/
   nPenalty_update "number of penalty updating" /4/
   flag_Noncandidate_rxn "flag used to indicate whether some extra reactions to be excluded in the candidate_enz, flag_exxlude = 0: do nothing"  / 1/
*----- parameters provided for MINLP problem -----------------------------------
   basal_Obj_limit_ratio "ratio for optimizing objective of basal problem" /1/
   mutant_Obj_limit_ratio "ratio for optimizing objective of mutant problem" /1/
   tol_eps "numerical tolerance" /1.0e-12/
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   target_limit(targetSet) "limits for desired target"
   index_rxn(reactions) "indicator, index_rxn = 1: irreversible reactions; index_rxn = 2: reversible reactions"
   FluxBound_vf_LB(reactions) "lower bound for each forward flux"
   FluxBound_vf_UB(reactions) "upper bound for each forward flux"
   FluxBound_vb_LB(reactions) "lower bound for each backward flux"
   FluxBound_vb_UB(reactions) "upper bound for each backward flux"
   FluxBound_v_LB(reactions) "lower bound for each net flux"
   FluxBound_v_UB(reactions) "upper bound for each net flux"
   MultiObj_weight(ObjectSet) "weight of multiobjectives for CA and HT model"
   coef_CellularObj_vf(ObjectSet, reactions) "cellular objective coefficients for vf"
   coef_CellularObj_vb(ObjectSet, reactions) "cellular objective coefficients for vb"
   index_rxn(reactions) "index for each irreversible/reversible reaction"
   TR_Reg_Factor_min(Dim_XR) "min bound of regulation strength parameter for up/down regulation"
   TR_Reg_Factor_max(Dim_XR) "max bound of regulation strength parameter for up/down regulation"
   weight_coef_rxn(reactions) "weighting coefficients of rxn for computing objective in UFD";   

*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*  max bound of regulation strength parameter for up/down regulation
TR_Reg_Factor_min(Dim_XR) = 0.01;
TR_Reg_Factor_max(Dim_XR) = 1;

***** Check weighting factor
if(((card(HT_Reactions_HC) + card(HT_Reactions_MC) + card(HT_Reactions_NC) +
     card(CA_Reactions_HC) + card(CA_Reactions_MC) + card(CA_Reactions_NC)) = 0),
     Weight_factor_Rxn_HC = Weight_factor_Rxn_OT; 
     Weight_factor_Rxn_MC = Weight_factor_Rxn_OT;
     Weight_factor_Rxn_NC = Weight_factor_Rxn_OT;);
     
* indicator for irreversible or reversible reactions
index_rxn(irrev_rxn) = 1;
index_rxn(rev_rxn) = 2;

***** assign objective coefficient ******************************************************************************************************************
coef_CellularObj_vf(syn_vf_rxn(objectSet, reactions)) = 1;
coef_CellularObj_vb(syn_vb_rxn(objectSet, reactions)) = 1;
*****************************************************************************************************************************************************

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*%%%%% assign the initial flux bounds from leaky dataset %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
FluxBound_vf_LB(reactions) = vf_initial_LB(reactions);
FluxBound_vb_LB(reactions) = vb_initial_LB(reactions);
FluxBound_vf_UB(reactions) = vf_initial_UB(reactions);
FluxBound_vb_UB(reactions) = vb_initial_UB(reactions);

*FluxBound_vb_UB(irrev_rxn) = 0;
FluxBound_vf_LB(reactions) $ (irrev_vb_rxn(reactions)) = 0;
FluxBound_vf_UB(reactions) $ (irrev_vb_rxn(reactions)) = 0;
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

***** set DM_sink_rxn secretion_rxn to irreversible reactions ******************
if(flag_DM_sink = 1,
   FluxBound_vf_LB(DM_sink_rxn) = vf_initial_LB(DM_sink_rxn);
   FluxBound_vf_UB(DM_sink_rxn) = vf_initial_UB(DM_sink_rxn);
   FluxBound_vb_LB(DM_sink_rxn) = 0;
   FluxBound_vb_UB(DM_sink_rxn) = 0;);

$ontext
***** uptake_rxn assigns as irreversible reactions
if(flag_uptake = 1,
   FluxBound_vf_LB(uptake_rxn) = 0;
   FluxBound_vf_UB(uptake_rxn) = 0;
   FluxBound_vb_LB(uptake_rxn) = vb_initial_LB(uptake_rxn);;
   FluxBound_vb_UB(uptake_rxn) = vb_initial_UB(uptake_rxn););

***** uptake_rxn assigns as reversible (exchange) reactions
if(flag_uptake = 2,
   FluxBound_vf_LB(uptake_rxn) = vf_initial_LB(uptake_rxn);
   FluxBound_vf_UB(uptake_rxn) = vf_initial_UB(uptake_rxn);
   FluxBound_vb_LB(uptake_rxn) = vb_initial_LB(uptake_rxn);
   FluxBound_vb_UB(uptake_rxn) = vb_initial_UB(uptake_rxn););

***** secretion_rxn assigns as irreversible reactions
if(flag_secretion = 1,
   FluxBound_vf_LB(secretion_rxn) = vf_initial_LB(secretion_rxn);
   FluxBound_vf_UB(secretion_rxn) = vf_initial_UB(secretion_rxn);
   FluxBound_vb_LB(secretion_rxn) = 0;
   FluxBound_vb_UB(secretion_rxn) = 0;);


***** secretion_rxn assigns as reversible (exchange) reactions
if(flag_secretion = 2,
   FluxBound_vf_LB(secretion_rxn) = vf_initial_LB(secretion_rxn);
   FluxBound_vf_UB(secretion_rxn) = vf_initial_UB(secretion_rxn);
   FluxBound_vb_LB(secretion_rxn) = vb_initial_LB(secretion_rxn);
   FluxBound_vb_UB(secretion_rxn) = vb_initial_UB(secretion_rxn););
$offText

*****************************************************************************************************************************************************
FluxBound_vf_LB(exchange_demand) $ (card(exchange_demand) > 0) = vf_initial_LB(exchange_demand);
FluxBound_vf_UB(exchange_demand) $ (card(exchange_demand) > 0) = vf_initial_UB(exchange_demand);
FluxBound_vb_LB(exchange_demand) $ (card(exchange_demand) > 0) = vb_initial_LB(exchange_demand);
FluxBound_vb_UB(exchange_demand) $ (card(exchange_demand) > 0) = vb_DM_Exchange_UB(exchange_demand);

if(flag_uptake_demand = 1,
   FluxBound_vf_LB(uptake_demand) $ (card(uptake_demand) > 0) = 0;
   FluxBound_vf_UB(uptake_demand) $ (card(uptake_demand) > 0) = 0;);

if(flag_uptake_demand = 2,
   FluxBound_vf_LB(uptake_demand) $ (card(uptake_demand) > 0) = vf_initial_LB(uptake_demand);
   FluxBound_vf_UB(uptake_demand) $ (card(uptake_demand) > 0) = vf_initial_UB(uptake_demand););

FluxBound_vb_LB(uptake_demand) $ (card(uptake_demand) > 0) = vb_DM_uptake_LB(uptake_demand);
FluxBound_vb_UB(uptake_demand) $ (card(uptake_demand) > 0) = vb_DM_uptake_UB(uptake_demand);

FluxBound_vb_LB(secretion_demand) $ (card(secretion_demand) > 0) = 0;
FluxBound_vb_UB(secretion_demand) $ (card(secretion_demand) > 0) = 0;
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

FluxBound_v_LB(reactions) = FluxBound_vf_LB(reactions) - FluxBound_vb_UB(reactions);
FluxBound_v_UB(reactions) = FluxBound_vf_UB(reactions) - FluxBound_vb_LB(reactions);

*%%%%% solver options %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
options
* LPSolvers "LP solver option"
*     /BARON, BDMLP, CBC, CONOPT, CPLEX, CPLEXD, GUROBI, IPOPTH, KNITRO, LINDO, MINOS, SNOPT, XPRESS/
   LP = CPLEXD

* QCPsolver "solver option"
*     /BARON, CONOPT, COUENNE, CPLEX, CPLEXD, GUROBI, IPOPTH, KNITRO, LINDO, MINOS, SCIP, SNOPT, XPRESS/
   QCP = CPLEXD

* relative optimality criterion
*   optcr = 1.0e-8

* maximum time available to solve in seconds
   reslim = 100000

* equations listed per block
   limrow = 0

* variables listed per block
   limcol = 0

* solver's solution output printed
   solprint = off

* solver's system output printed
   sysout = off;
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

* determine flux distributions for normal and abnormal state -------------------
Parameters
   count, number1, number2 "count number"
   startTime, endTime, elapsedTime "CPU time accounting indices"
   BL_Species_SynRate(species) "healthy synthesis rate for each species"
   BL_BioComp_SynRate(BioCompound) "healthy synthesis rate for each BioCompound"
   BL_vf_FBA(reactions)  "healthy FBA forward fluxes"
   BL_vb_FBA(reactions)  "healthy FBA backward fluxes"
   BL_v_FBA(reactions)  "healthy net FBA fluxes"
   BL_vf_UFD(reactions)  "healthy UFD forward fluxes"
   BL_vb_UFD(reactions)  "healthy UFD backward fluxes"
   BL_v_UFD(reactions)  "healthy UFD fluxes"
   BL_FBA_ModelStat "healthy FBA Problem model state"
   BL_UFD_ModelStat "healthy UFD model stat"
   BL_ObjOptim_FBA  "optimal healthy cellular objective value"   
   HT_Species_SynRate(species) "healthy synthesis rate for each species"
   HT_BioComp_SynRate(BioCompound) "healthy synthesis rate for each BioCompound"
   HT_vf_FBA(reactions)  "healthy FBA forward fluxes"
   HT_vb_FBA(reactions)  "healthy FBA backward fluxes"
   HT_v_FBA(reactions)  "healthy net FBA fluxes"
   HT_vf_UFD(reactions)  "healthy UFD forward fluxes"
   HT_vb_UFD(reactions)  "healthy UFD backward fluxes"
   HT_v_UFD(reactions)  "healthy UFD fluxes"
   HT_FBA_ModelStat "healthy FBA Problem model state"
   HT_UFD_ModelStat "healthy UFD model stat"
   HT_ObjOptim_FBA  "optimal healthy cellular objective value"
   CA_Species_SynRate(Species)  "disease synthesis rate for each species"
   CA_BioComp_SynRate(BioCompound) "disease synthesis rate for each biocompound"
   CA_vf_FBA(reactions)  "disease FBA forward fluxes"
   CA_vb_FBA(reactions)  "disease FBA backward fluxes"
   CA_vf_UFD(reactions) "disease UFD forward fluxes"
   CA_vb_UFD(reactions) "disease UFD backward fluxes"
   CA_v_UFD(reactions) "disease UFD net fluxes"
   CA_FBA_ModelStat "disease FBA Problem model state"
   CA_UFD_ModelStat "disease UFD Problem model state"
   CA_FBA_ObjOptim "optimal FBA objective value"
   TR_Species_SynRate(species) "treated synthesis rate for each species"
   TR_BioComp_SynRate(BioCompound) "treated synthesis rate for each BioCompound"
   TR_vf_FBA(reactions) "treated FBA forward fluxes, vf"
   TR_vb_FBA(reactions) "treated FBA backward fluxes, vb"
   TR_v_FBA(reactions) "treated FBA net fluxes, v = vf - vb"
   TR_vf_UFD(reactions) "treated UFD forward fluxes"
   TR_vb_UFD(reactions) "treated UFD backward fluxes"
   TR_v_UFD(reactions) "treatedd UFD net fluxes"
   TR_FBA_ModelStat "treated FBD Problem model state"
   TR_UFD_ModelStat "treated UFD Problem model state"
   PB_Species_SynRate(species) "perturbed synthesis rate for each species"
   PB_BioComp_SynRate(BioCompound) "perturbed synthesis rate for each BioCompound"
   PB_vf_FBA(reactions) "perturbed FBA forward fluxes, vf"
   PB_vb_FBA(reactions) "perturbed FBA backward fluxes, vb"
   PB_v_FBA(reactions) "perturbed FBA net fluxes, v = vf - vb"
   PB_vf_UFD(reactions) "perturbed UFD forward fluxes"
   PB_vb_UFD(reactions) "perturbed UFD backward fluxes"
   PB_v_UFD(reactions) "perturbed UFD net fluxes"
   PB_FBA_ModelStat "perturbed FBD Problem model state"
   PB_UFD_ModelStat "perturbed UFD Problem model state"
   BL_MetFlowRate_LB(biocompound) "lower bound for BL synthesis rate of each biocompound"
   BL_MetFlowRate_UB(biocompound) "upper bound for BL synthesis rate of each biocompound"
   BL_SpeciesFlowRate_LB(species) "lower bound for BL synthesis rate of each species"
   BL_SpeciesFlowRate_UB(species) "upper bound for BL synthesis rate of each species"
   BL_vf_rxn_LB(reactions) "lower bound for BL vf flux of each forward reaction"
   BL_vb_rxn_LB(reactions) "lower bound for BL vb flux of each backward reaction"
   BL_vf_rxn_UB(reactions) "upper bound for BL vf flux of each forward reaction"
   BL_vb_rxn_UB(reactions) "upper bound for BL vb flux of each backward reaction"     
   HT_MetFlowRate_LB(biocompound) "lower bound for HT synthesis rate of each biocompound"
   HT_MetFlowRate_UB(biocompound) "upper bound for HT synthesis rate of each biocompound"
   HT_SpeciesFlowRate_LB(species) "lower bound for HT synthesis rate of each species"
   HT_SpeciesFlowRate_UB(species) "upper bound for HT synthesis rate of each species"
   HT_vf_rxn_LB(reactions) "lower bound for HT vf flux of each forward reaction"
   HT_vb_rxn_LB(reactions) "lower bound for HT vb flux of each backward reaction"
   HT_vf_rxn_UB(reactions) "upper bound for HT vf flux of each forward reaction"
   HT_vb_rxn_UB(reactions) "upper bound for HT vb flux of each backward reaction"   
   CA_MetFlowRate_LB(biocompound) "lower bound for CA synthesis rate of each biocompound"
   CA_MetFlowRate_UB(biocompound) "upper bound for CA synthesis rate of each biocompound"   
   CA_SpeciesFlowRate_LB(species) "lower bound for CA synthesis rate of each species"
   CA_SpeciesFlowRate_UB(species) "upper bound for CA synthesis rate of each species"
   CA_vf_rxn_LB(reactions) "lower bound for CA vf flux of each forward reaction"
   CA_vb_rxn_LB(reactions) "lower bound for CA vb flux of each backward reaction"
   CA_vf_rxn_UB(reactions) "upper bound for CA vf flux of each forward reaction"
   CA_vb_rxn_UB(reactions) "upper bound for CA vb flux of each backward reaction" 
   mem_Fmin_BioEng_TR(ObjectSet) "fuzzy min membership grade for bioengeering of TR model"
   L_mem_Met_Exp_PBBL(BioCompound) "left membership function of PBBL synthesis rate to experiment"
   R_mem_Met_Exp_PBBL(BioCompound) "right membership function of PBBL synthesis rate to experiment"   
   L_mem_Met_Exp_PBHT(BioCompound) "left membership function of PBHT synthesis rate to experiment"
   R_mem_Met_Exp_PBHT(BioCompound) "right membership function of PBHT synthesis rate to experiment"
   L_mem_Met_Exp_PBCA(BioCompound) "left membership function of PBCA synthesis rate to experiment"
   R_mem_Met_Exp_PBCA(BioCompound) "right membership function of PBCA synthesis rate to experiment"
   L_mem_Met_PBBL(BioCompound) "left membership function of synthes rate for PB to BL"
   R_mem_Met_PBBL(BioCompound) "right membership function of synthesis rate for PB to BL"   
   L_mem_Met_PBHT(BioCompound) "left membership function of synthes rate for PB to HT"
   R_mem_Met_PBHT(BioCompound) "right membership function of synthesis rate for PB to HT"
   L_mem_Met_PBCA(BioCompound) "left membership function of synthes rate for PB to CA"
   R_mem_Met_PBCA(BioCompound) "right membership function of synthesis rate for PB to CA"
   mem_Met_PBBL(Biocompound) "equal membership grade of synthesis rate for PB to BL"   
   mem_Met_PBHT(Biocompound) "equal membership grade of synthesis rate for PB to HT"
   mem_Met_PBCA(Biocompound) "equal membership grade of synthesis rate for PB to CA"
   mem_Met_Exp_PBBL(BioCompound) "eual membership grade of PBBL synthesis rate to experiment"   
   mem_Met_Exp_PBHT(BioCompound) "eual membership grade of PBHT synthesis rate to experiment"
   mem_Met_Exp_PBCA(BioCompound) "eual membership grade of PBCA synthesis rate to experiment"     
   mem_Fmin_CV_PB(objectSet) "fuzzy min membership grade of cell viability for PB"
   mem_Fmax_CV_PB(objectSet) "fuzzy max membership grade of cell viability for PB"
   L_mem_vf_PBBL(reactions) "left membership function of vf for PB to BL"
   L_mem_vb_PBBL(reactions) "left membership function of vb for PB to BL"
   R_mem_vf_PBBL(reactions) "right membership function of vf for PB to BL"
   R_mem_vb_PBBL(reactions) "right membership function of vb for PB to BL"   
   L_mem_vf_PBHT(reactions) "left membership function of vf for PB to HT"
   L_mem_vb_PBHT(reactions) "left membership function of vb for PB to HT"
   R_mem_vf_PBHT(reactions) "right membership function of vf for PB to HT"
   R_mem_vb_PBHT(reactions) "right membership function of vb for PB to HT"
   L_mem_vf_PBCA(reactions) "left membership function of vf for PB to CA"
   L_mem_vb_PBCA(reactions) "left membership function of vb for PB to CA"
   R_mem_vf_PBCA(reactions) "right membership function of vf for PB to CA"
   R_mem_vb_PBCA(reactions) "right membership function of vb for PB to CA"
   mem_vf_PBBL(reactions) "equal membership grade of vf for PB to BL"
   mem_vb_PBBL(reactions) "equal membership grade of vf for PB to BL"   
   mem_vf_PBHT(reactions) "equal membership grade of vf for PB to HT"
   mem_vb_PBHT(reactions) "equal membership grade of vf for PB to HT"
   mem_vf_PBCA(reactions) "equal membership grade of vf for PB to CA"
   mem_vb_PBCA(reactions) "equal membership grade of vf for PB to CA"     
   target_limit_LB(targetSet) "limits for desired target forward reactions"
   target_limit_UB(targetSet) "limits for desired target forward reactions"
   ObjOptim_limit "limit for uniformed FBA problem"
   basal_vf(reactions) "basal vf used for computing CA/HT/PB model"
   basal_vb(reactions) "basal vb used for computing CA/HT/PB model";
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Variables
   ObjValue_FBA "Cellular objective for basal FBA problem"
   MultiObjvalue_FBA(ObjectSet) "multi-cellular objectives for basal FBA problem"
   ObjValue_UFD "sum of squre fluxes for determining Uniformed flux distribution" ;

positive variables
   vf(reactions)  "forward fluxes"
   vb(reactions) "backward fluxes";

equations
   dxdt(species) "material balance equations for the metabolic networks"
   ObjFunction_FBA "cellular objective for basal FBA problem"
   MultiObjFunction_FBA(ObjectSet) "multi-cellular objectives for basal FBA problem"
   ObjFunction_UFD "sum of square fluxes for determining Uniformed flux distribution of FBA problem"
   InEqual_ObjFTN_UFD "inequality constraint of the optimal cellular objective for the basal FBA"
   Inequal_target_LB(targetSet) "limits for desired target forward reactions"
   Inequal_target_UB(targetSet) "limits for desired target2 forward reactions";

* flux balance model
dxdt(dyn_species)..
   sum(dyn_reactions, S_matrix(dyn_species, dyn_reactions) * (vf(dyn_reactions) - vb(dyn_reactions))) =e= 0.0;

* lower bound for target reactions
Inequal_target_LB(targetSet)..
   target_limit_LB(targetSet) =l= vf(targetSet) - vb(targetSet);

* upper bound for target reactions
Inequal_target_UB(targetSet)..
   vf(targetSet) - vb(targetSet) =l= target_limit_UB(targetSet);

* multi-cellular objectives
MultiObjFunction_FBA(ObjectSet)..
   MultiObjValue_FBA(ObjectSet) =e= sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * vf(dyn_reactions)) +
                                    sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * vb(dyn_reactions));

* cellular objective function
ObjFunction_FBA..
   ObjValue_FBA =e= sum(ObjectSet $ (MultiObj_weight(ObjectSet) > 0), MultiObj_weight(ObjectSet) * MultiObjValue_FBA(ObjectSet));

* objective for determining the Uniformed flux distribution
ObjFunction_UFD..
   ObjValue_UFD =e= sum(dyn_reactions $ (not exchange_rxn(dyn_reactions)),
                        weight_coef_rxn(dyn_reactions) * (sqr(vf(dyn_reactions)) + sqr(vb(dyn_reactions))));

* inequality constraint to obtain the identical optimal cellular objective value
InEqual_ObjFTN_UFD..
   ObjValue_FBA =g= ObjOptim_limit;

model
   FBA_Problem
      /dxdt, Inequal_target_LB, Inequal_target_UB, ObjFunction_FBA, MultiObjFunction_FBA/;

model
   UFD_Problem
     /dxdt, Inequal_target_LB, Inequal_target_UB, MultiObjFunction_FBA, ObjFunction_FBA,
      ObjFunction_UFD, InEqual_ObjFTN_UFD/;
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

***** subsets for computing similarity ratio ********************************************************************************************************
BioComp_ExpWarb(biocompound) = biocompound_exp(biocompound) + BioCompound_Warburg(biocompound);
BioComp_PBCA(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
Species_PBCA(Species) $ (not species_NCA(species)) = yes;
rxn_vf_PBCA(reactions) $ (not reactions_NCA(reactions)) = yes;
rxn_vb_PBCA(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;

BioComp_PBBL(biocompound) = yes;
Species_PBBL(Species) = yes;
rxn_vf_PBBL(reactions) = yes;
rxn_vb_PBBL(reactions) $ (rev_rxn(reactions)) = yes;

BioComp_PBHT(biocompound) $ (not biocompound_NHT(biocompound)) = yes;
Species_PBHT(Species) $ (not species_NHT(species)) = yes;
rxn_vf_PBHT(reactions) $ (not reactions_NHT(reactions)) = yes;
rxn_vb_PBHT(reactions) $ (not reactions_NHT(reactions) and rev_rxn(reactions)) = yes;

if(flag_BioComp = 2,
   Biocomp_PBCA(biocompound) = no;
   Biocomp_PBBL(biocompound) = no;   
   Biocomp_PBHT(biocompound) = no;   
   BioComp_PBCA(biocompound) $ (not BioComp_ExpWarb(biocompound) and not biocompound_NCA(biocompound)) = yes;
   Biocomp_PBBL(biocompound) $ (not BioComp_ExpWarb(biocompound)) = yes;                                
   Biocomp_PBHT(biocompound) $ (not BioComp_ExpWarb(biocompound) and not biocompound_NHT(biocompound)) = yes;                                
);
*****************************************************************************************************************************************************

***** BL FBA Problem ********************************************************************************************************************************
***** assign reactions and species in BL models as dynamic sets ****************
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_biocomp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;
dyn_reactions(reactions) = yes;
dyn_species(species) = yes;
dyn_biocomp(biocompound) = yes;
dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
dyn_rev_rxn(reactions) = rev_rxn(reactions);
dyn_exchange_rxn(reactions) = exchange_rxn(reactions);

****** define the simulated conditions *****************************************
vf.lo(dyn_reactions) = FluxBound_vf_LB(dyn_reactions);
vf.up(dyn_reactions) = FluxBound_vf_UB(dyn_reactions);
vb.lo(dyn_reactions) = FluxBound_vb_LB(dyn_reactions);
vb.up(dyn_reactions) = FluxBound_vb_UB(dyn_reactions);

* assign vb = 0 for the irreversible fluxes
vb.lo(dyn_irrev_rxn) = 0;
vb.up(dyn_irrev_rxn) = 0;
vb.fx(dyn_irrev_rxn) = 0;
vb.fx(DM_sink_rxn(dyn_reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(dyn_reactions)) = 0;
vf.up(irrev_vb_rxn(dyn_reactions)) = 0;
vf.fx(irrev_vb_rxn(dyn_reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(dyn_reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(dyn_reactions)) $ (flag_secretion = 1) = 0;
vf.fx(uptake_demand(dyn_reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(dyn_reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************

*compute the lower and upper bounds for the target reactions
target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
*-------------------------------------------------------------------------------

***** Estimate weighting factor for cellular and bioengineering objectives **************************************************************************
MultiObj_weight(objectSet) = 0;
alias(dyn_ObjectSet, ObjectSet);
loop(Dyn_ObjectSet,
     MultiObj_weight(Dyn_ObjectSet) = 1;
     solve FBA_Problem using LP maximizing objValue_FBA;
     MultiObjValue_max(Dyn_ObjectSet) = objValue_FBA.l;
     MultiObj_weight(Dyn_ObjectSet) = 0;
);

*----- MultiObjValue_max is estimated by a user provided vf_UB and vb_UB ------
MultiObjValue_max(ObjectSet) $ (MultiObjValue_max(ObjectSet) <= tol_eps) = 
                                sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * MultiObjValue_vf_UB(dyn_reactions)) +
                                sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * MultiObjValue_vb_UB(dyn_reactions));
*****************************************************************************************************************************************************
***** BL FBA Problem ********************************************************************************************************************************
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_biocomp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;
dyn_reactions(reactions) = yes;
dyn_species(species) = yes;
dyn_biocomp(biocompound) = yes;
dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
dyn_rev_rxn(reactions) = rev_rxn(reactions);
dyn_exchange_rxn(reactions) = exchange_rxn(reactions);

*---- restrictions for the lower and upper bounds of fluxes --------------------
vf.lo(reactions) = FluxBound_vf_LB(reactions);
vf.up(reactions) = FluxBound_vf_UB(reactions);
vb.lo(reactions) = FluxBound_vb_LB(reactions);
vb.up(reactions) = FluxBound_vb_UB(reactions);

* assign vb = 0 for the irreversible fluxes
vb.lo(irrev_rxn) = 0;
vb.up(irrev_rxn) = 0;
vb.fx(irrev_rxn) = 0;
vb.lo(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.up(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(reactions)) = 0;
vf.up(irrev_vb_rxn(reactions)) = 0;
vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;
vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
MultiObj_weight(ObjectSet) = 0;
MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                              W_obj_ratio_BL(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions
target_limit_LB(targetSet) = 0;
target_limit_UB(targetSet) = 0;
MultiObjValue_min(objectSet) = 0;
target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

* Determine the normal flux distribution by solving the Primal FBA Problem
solve FBA_Problem using LP maximizing objValue_FBA;
BL_ObjOptim_FBA = objvalue_FBA.l;
BL_vf_FBA(reactions) = round(vf.l(reactions), Round_decimal);
BL_vb_FBA(reactions) = round(vb.l(reactions), Round_decimal);
BL_vf_FBA(reactions) $ (BL_vf_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
BL_vb_FBA(reactions) $ (BL_vb_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
BL_v_FBA(reactions) = BL_vf_FBA(reactions) - BL_vb_FBA(reactions);
BL_FBA_ModelStat = FBA_Problem.modelstat ;

***** HT UFD problem ********************************************************************************************************************************
ObjOptim_limit = basal_Obj_limit_ratio * BL_ObjOptim_FBA;

**** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************

solve UFD_Problem using QCP minimizing ObjValue_UFD;
BL_vf_UFD(dyn_reactions) = round(vf.l(dyn_reactions), Round_decimal);
BL_vb_UFD(dyn_reactions) = round(vb.l(dyn_reactions), Round_decimal);
BL_vf_UFD(dyn_reactions) $ (BL_vf_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
BL_vb_UFD(dyn_reactions) $ (BL_vb_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
BL_v_UFD(dyn_reactions) = BL_vf_UFD(dyn_reactions) - BL_vb_UFD(dyn_reactions);
BL_UFD_ModelStat = UFD_Problem.modelstat;

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* compute synthesis rate and degradation rate for each species at the normal state
BL_Species_SynRate(species) = 0;
loop(dyn_species,
     BL_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) > 0) * BL_vf_UFD(dyn_reactions)) -
                                       sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) < 0) * BL_vb_UFD(dyn_reactions)););

* compute synthesis rate and degradation rate for each biocompound at the normal state
BL_BioComp_SynRate(BioCompound) = 0;
loop(dyn_BioComp,
     BL_BioComp_SynRate(dyn_BioComp) = sum(dyn_species $ (BioCompound_species(dyn_BioComp, dyn_species)),
                                           BL_Species_SynRate(dyn_species)););
*****************************************************************************************************************************************************

***** HT FBA Problem ********************************************************************************************************************************
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_BioComp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;

dyn_reactions(reactions) $ (not reactions_NHT(reactions)) = yes;
dyn_species(species) $ (not species_NHT(species)) = yes;
dyn_BioComp(biocompound) $ (not biocompound_NHT(biocompound)) = yes;
dyn_irrev_rxn(reactions) $ (not reactions_NHT(reactions) and irrev_rxn(reactions)) = yes;
dyn_rev_rxn(reactions) $ (not reactions_NHT(reactions) and rev_rxn(reactions)) = yes;
dyn_exchange_rxn(reactions) $ (not reactions_NHT(reactions) and exchange_rxn(reactions)) = yes;

*---- restrictions for the lower and upper bounds of fluxes --------------------
vf.lo(reactions) = FluxBound_vf_LB(reactions);
vf.up(reactions) = FluxBound_vf_UB(reactions);
vb.lo(reactions) = FluxBound_vb_LB(reactions);
vb.up(reactions) = FluxBound_vb_UB(reactions);

* assign vb = 0 for the irreversible fluxes
vb.lo(irrev_rxn) = 0;
vb.up(irrev_rxn) = 0;
vb.fx(irrev_rxn) = 0;
vb.lo(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.up(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(reactions)) = 0;
vf.up(irrev_vb_rxn(reactions)) = 0;
vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;
vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
MultiObj_weight(ObjectSet) = 0;
MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                              W_obj_ratio_HT(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions
target_limit_LB(targetSet) = 0;
target_limit_UB(targetSet) = 0;
MultiObjValue_min(objectSet) = 0;
target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

* Determine the normal flux distribution by solving the Primal FBA Problem
solve FBA_Problem using LP maximizing objValue_FBA;
HT_ObjOptim_FBA = objvalue_FBA.l;
HT_vf_FBA(reactions) = round(vf.l(reactions), Round_decimal);
HT_vb_FBA(reactions) = round(vb.l(reactions), Round_decimal);
HT_vf_FBA(reactions) $ (HT_vf_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
HT_vb_FBA(reactions) $ (HT_vb_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
HT_v_FBA(reactions) = HT_vf_FBA(reactions) - HT_vb_FBA(reactions);
HT_FBA_ModelStat = FBA_Problem.modelstat ;

***** HT UFD problem ********************************************************************************************************************************
ObjOptim_limit = basal_Obj_limit_ratio * HT_ObjOptim_FBA;

**** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************

solve UFD_Problem using QCP minimizing ObjValue_UFD;
HT_vf_UFD(dyn_reactions) = round(vf.l(dyn_reactions), Round_decimal);
HT_vb_UFD(dyn_reactions) = round(vb.l(dyn_reactions), Round_decimal);
HT_vf_UFD(dyn_reactions) $ (HT_vf_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
HT_vb_UFD(dyn_reactions) $ (HT_vb_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
HT_v_UFD(dyn_reactions) = HT_vf_UFD(dyn_reactions) - HT_vb_UFD(dyn_reactions);
HT_UFD_ModelStat = UFD_Problem.modelstat;

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* compute synthesis rate and degradation rate for each species at the normal state
HT_Species_SynRate(species) = 0;
loop(dyn_species,
     HT_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) > 0) * HT_vf_UFD(dyn_reactions)) -
                                       sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) < 0) * HT_vb_UFD(dyn_reactions)););

* compute synthesis rate and degradation rate for each biocompound at the normal state
HT_BioComp_SynRate(BioCompound) = 0;
loop(dyn_BioComp,
     HT_BioComp_SynRate(dyn_BioComp) = sum(dyn_species $ (BioCompound_species(dyn_BioComp, dyn_species)),
                                           HT_Species_SynRate(dyn_species)););
*****************************************************************************************************************************************************

***** CA FBA_Problem ********************************************************************************************************************************
***** assign reactions and species in HT models as dynamic sets ****************
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_BioComp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;

dyn_reactions(reactions) $ (not reactions_NCA(reactions)) = yes;
dyn_species(species) $ (not species_NCA(species)) = yes;
dyn_BioComp(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
dyn_irrev_rxn(reactions) $ (not reactions_NCA(reactions) and irrev_rxn(reactions)) = yes;
dyn_rev_rxn(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;
dyn_exchange_rxn(reactions) $ (not reactions_NCA(reactions) and exchange_rxn(reactions)) = yes;

*---- restrictions for the lower and upper bounds of fluxes --------------------
vf.lo(reactions) = FluxBound_vf_LB(reactions);
vf.up(reactions) = FluxBound_vf_UB(reactions);
vb.lo(reactions) = FluxBound_vb_LB(reactions);
vb.up(reactions) = FluxBound_vb_UB(reactions);

* assign vb = 0 for the irreversible fluxes
vb.lo(irrev_rxn) = 0;
vb.up(irrev_rxn) = 0;
vb.fx(irrev_rxn) = 0;
vb.lo(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.up(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(reactions)) = 0;
vf.up(irrev_vb_rxn(reactions)) = 0;
vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;
vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
MultiObj_weight(ObjectSet) = 0;
MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                              W_obj_ratio_CA(objectSet)/MultiObjValue_max(objectSet);
********************************************************************************
*----- compute the lower and upper bounds for the target reactions
target_limit_LB(targetSet) = 0;
target_limit_UB(targetSet) = 0;
MultiObjValue_min(objectSet) = 0;
target_limit_LB(targetSet) = CA_target_level_LB(targetSet);
target_limit_UB(targetSet) = CA_target_level_UB(targetSet);
MultiObjValue_min(objectSet) = CA_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

solve FBA_Problem using LP maximizing objValue_FBA;
CA_FBA_ObjOptim  = objvalue_FBA.l;
CA_FBA_ModelStat = FBA_Problem.modelstat;
CA_vf_FBA(dyn_reactions) = round(vf.l(dyn_reactions), Round_decimal);
CA_vb_FBA(dyn_reactions) = round(vb.l(dyn_reactions), Round_decimal);
CA_vf_FBA(dyn_reactions) $ (CA_vf_FBA(dyn_reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
CA_vb_FBA(dyn_reactions) $ (CA_vb_FBA(dyn_reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;

***** CA UFD Problem ****************************************************************************************************************************
ObjOptim_limit = mutant_Obj_limit_ratio * CA_FBA_ObjOptim ;

**** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
weight_coef_rxn(reactions) $ (CA_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
weight_coef_rxn(reactions) $ (CA_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
weight_coef_rxn(reactions) $ (CA_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************

solve UFD_Problem using QCP minimizing ObjValue_UFD;
CA_vf_UFD(dyn_reactions) $ (UFD_Problem.modelstat <= 2) = round(vf.l(dyn_reactions), Round_decimal);
CA_vb_UFD(dyn_reactions) $ (UFD_Problem.modelstat <= 2) = round(vb.l(dyn_reactions), Round_decimal);
CA_vf_UFD(dyn_reactions) $ (CA_vf_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
CA_vb_UFD(dyn_reactions) $ (CA_vb_UFD(dyn_reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
CA_v_UFD(dyn_reactions) = CA_vf_UFD(dyn_reactions) - CA_vb_UFD(dyn_reactions);
CA_UFD_ModelStat = UFD_Problem.modelstat;

* compute synthesis rate and degradation rate for each species at the normal state
CA_Species_SynRate(species) = 0;
loop(dyn_species,
     CA_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) > 0) * CA_vf_UFD(dyn_reactions)) -
                                       sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                          (S_Matrix(dyn_species, dyn_reactions) < 0) * CA_vb_UFD(dyn_reactions)););

* compute synthesis rate and degradation rate for each biocompound at the normal state
CA_BioComp_SynRate(BioCompound) = 0;
loop(dyn_BioComp,
     CA_BioComp_SynRate(dyn_BioComp) = sum(dyn_species $ (BioCompound_species(dyn_BioComp, dyn_species)),
                                           CA_Species_SynRate(dyn_species)););

***** Nested HDE for solving mixed-integer optimization problem *************************************************************************************
***** exclude some extra reactions in candidate_rxn(:) ************************************************************************************************
if(flag_Noncandidate_rxn = 1, candidate_rxn(reactions) = candidate_rxn(reactions) - excluded_candidate_rxn(reactions) -
                                                                                    excluded_candidate_rxn_g1(reactions););
*----------------------------------------------------------------------------------------------------------------------------------------------------

*---- define the binary set for HDE --------------------------------------------
set
   Dim_BI(reactions) "the set for binary variables from the candidate reactionss"
   dyn_Dim_BI(reactions) "dynamic set for Dim_BI";

Dim_BI(reactions) = candidate_Rxn(reactions);
Dim_XI(Dim_XIR) $ (not Dim_XR(Dim_XIR)) = yes;

alias(Dim_h, dyn_species);
alias(NP, NP_j);
alias(NP, NP_k);
abort $ (card(BioComp_ExpWarb) > card(Experiment_RFC)) " Error: card(BioComp_ExpWarb) must be less than to card(Experiment_RFC)";

parameters
*----- parameters used in HDE --------------------------------------------------
   F_X "mutation scaling factor ratio for normal random"
   F_CR "combined factor used for strategy_6 in mutation operation"
   restnum "number of migration performed in HDE"
   nfeval "number of total function calls"
   nfeval_FBA_max, nfeval_UFD_min "number of function calls for max FBA, min/max FVA"
   XIR_min(Dim_XIR) "lower bound of integer decision variables for the candidate group"
   XIR_max(Dim_XIR) "upper bound of integer decision variables for the candidate group"
   sumZ_max "the desired total number of the selected reactions to be deleted"
   pop_XI(NP, Dim_XIR) "population of integer decision variables for each iteration"
   pop_XB(NP, reactions) "binary decision variables to be knockout or not for each individual"
   pop_Mem_sumZ(NP) "membership grade of sum(z) for each individual"
   popold_XI(NP, Dim_XIR) "population of integer decision variables at the previous iteration"
   popold_XB(NP, reactions) "binary decision variables at the previous iteration"
   ui_XI(NP, Dim_XIR) "temporal population of the integer decision variables in mutation operation"
   ui_XB(NP, reactions) "temporal binary decision variables in mutation operation"
   ui_Mem_sumZ(NP) "membership grade of sum(z) for each mutant individual"
   z_HDE(reactions) "decoded binary decision variables"
   best_Mem_sumZ  "best membership grade of sum(z)"
   best_modelStat "modelstat for the best solution"
   bestmem_XI(Dim_XIR) "the best integer decision variables"
   bestmem_XB(reactions) "the best binary decision variables to be knockout"
   best_fitness "the best fitness value in the optimization problem"
   best_constraint "the constrained value for the best individual" 
   best_mem_CV_PB "best membership grade of cell viability for PB"
   best_mem_CV_TRPB "best membership grade for cell viability for TR/PB"   
   best_mem_BioEng_TR "best membership grade of bioengineering for TR model"   
   best_mem_Fmin_CV_PB "best membership grade of fuzzy min (biomass) of cell viability for PB"
   best_mem_Fmax_CV_PB "best membership grade of fuzzy max (ATP) of cell viability for PB"
   best_mem_rxn_PBBL "best membership grade of fuzzy equal to fluxes of PB to BL"
   best_mem_Met_PBBL "best membership grade of fuzzy equal to met_flow of PB to BL"   
   best_mem_rxn_PBHT "best membership grade of fuzzy equal to fluxes of PB to HT"
   best_mem_Met_PBHT "best membership grade of fuzzy equal to met_flow of PB to HT"
   best_mem_rxn_PBCA "best membership grade of fuzzy equal to fluxes of PB to CA"
   best_mem_Met_PBCA "best membership grade of fuzzy equal to met_flow of PB to CA"
   best_mem_Met_Exp_PBBL "best membership grade of PB SynthRate to experiment"     
   best_mem_Met_Exp_PBHT "best membership grade of PB SynthRate to experiment"     
   best_MultiObjValue_TR(objectSet) "best multiobjective value for TR model"
   best_MultiObjValue_PB(objectSet) "best multiobjective value for PB model"
   store_best_MultiObjValue_TR(itermax, objectSet) "store best multiobjective value for TR model"
   store_best_MultiObjValue_PB(itermax, objectSet) "store best multiobjective value for PB model"     
   store_best_mem_sumz(itermax) "store best membership grade of sum(z)"
   store_bestmem_XI(itermax, Dim_XIR) "store the best integer decision variables"
   store_bestmem_XB(itermax, reactions) "store the best binary decision variables to be knockout"
   store_best_fitness(itermax) "store the best fitness value in the optimization problem"
   store_best_constraint(itermax) "store the best fitness value in the optimization problem"
   store_best_mem_BioEng_TR(itermax) "store the best membership grade of bioengineering for TR model"
   store_best_mem_CV_PB(itermax) "store best membership grade of cell viability for PB"
   store_best_mem_CV_TRPB(itermax) "store best membership grade for cell viability for TR/PB"      
   store_best_mem_Fmin_CV_PB(itermax) "store best membership grade of fuzzy min (biomass) of cell viability for PB" 
   store_best_mem_Fmax_CV_PB(itermax) "store best membership grade of fuzzy max (ATP) of cell viability for PB"
   store_best_mem_rxn_PBBL(itermax) "store best membership grade of fuzzy equal to fluxes of PB to BL"
   store_best_mem_Met_PBBL(itermax) "store best membership grade of fuzzy equal to met_flow of PB to BL"   
   store_best_mem_rxn_PBHT(itermax) "store best membership grade of fuzzy equal to fluxes of PB to HT"
   store_best_mem_Met_PBHT(itermax) "store best membership grade of fuzzy equal to met_flow of PB to HT"
   store_best_mem_rxn_PBCA(itermax) "store best membership grade of fuzzy equal to fluxes of PB to CA"
   store_best_mem_Met_PBCA(itermax) "store best membership grade of fuzzy equal to met_flow of PB to CA"   
   bestmemit_XB(reactions) "temporal best binary decision variables to be knockout"
   bestmemit_XI(Dim_XIR) "temporal best integer decision variables"
   bm_XI(NP, Dim_XIR) "population of the best integer decision variables"
   rot_HDE(NP) "the sequence of the random permutation"
   rt_HDE(NP) "temporary rotated sequence for each permuted orders"
   ind_HDE(NP) "the permuted order for each element of the set"
   rand_HDE(NP) "uniform random distribution"
   a1_HDE(NP) "the permuted order for each element of the set"
   a2_HDE(NP) "the permuted order for each element of the set"
   a3_HDE(NP) "the permuted order for each element of the set"
   a4_HDE(NP) "the permuted order for each element of the set"
   a5_HDE(NP) "the permuted order for each element of the set"
   Gene_Diversity(NP, reactions) "indices for gene diversity"
   Gene_Diversity_R(NP, Dim_XIR) "indices for gene diversity"
   pop_diversity "population diversity"
   index_migration "account index for force migration"
   rand_C1(NP, Dim_XIR) "random number used in migration"
   rand_C2(NP, Dim_XIR) "random number used in crossover and migration"
   number0, number, number_penalty "temporary parameter"
   NP_order(NP) "the initial order for each element in the defined set NP"
   constraint_h(species) "constraint values for equality"
   constraint_g "constraint to evaluate non-unique growth coupled strain"
   iter_penalty0, iter_penalty "No. of iterations for updating penalty parameter"
   counter, counter1, i_loop "temporal counting parameters"
   best_TR_Reg_Factor "best regulation strength parameter for up/down regulation"
   TR_Reg_Factor(NP) "regulation strength parameter for up/down regulation"
   pop_fitness(NP) "fitness for each individual in the optimization problem"
   pop_modelStat_FBA(NP) "modelstat for solving FBA problem"
   pop_modelStat_UFD(NP) "modelstat for solving UFD problem"
   pop_mem_BioEng_TR(NP) "membership grade of bioengineering for TR model"     
   pop_mem_Fmin_CV_PB(NP) "membership grade of fuzzy min cell viability for PB model"
   pop_mem_Fmax_CV_PB(NP) "membership grade of fuzzy max cell viability for PB model"     
   pop_mem_CV_PB(NP) "membership grade of cell viability for PB model"
   pop_mem_CV_TRPB(NP) "membership grade for overall cell viability for TR/PB model"
   pop_mem_Met_Exp_PBBL(NP) "membership grade of PB SynthRate to experiment"
   pop_mem_Met_PBBL(NP) "membership grade of synthes rate for PB to BL"
   pop_mem_rxn_PBBL(NP) "membership grade of rxn for PB to BL"
   pop_mem_Met_Exp_PBHT(NP) "membership grade of PB SynthRate to experiment"
   pop_mem_Met_PBHT(NP) "membership grade of synthes rate for PB to HT"
   pop_mem_rxn_PBHT(NP) "membership grade of rxn for PB to HT"
   pop_mem_Met_PBCA(NP) "membership grade of synthes rate for PB to CA"
   pop_mem_rxn_PBCA(NP) "membership grade of rxn for PB to CA"   
   pop_constraint(NP) "penalty constraint for infeasible solution in the optimization problem"
   pop_MultiObjValue_TR(NP, objectSet) "multiobjective value for TR model"
   pop_MultiObjValue_PB(NP, objectSet) "multiobjective value for PB model"
   ui_MultiObjValue_TR(NP, objectSet) "multiobjective value for TR model"
   ui_MultiObjValue_PB(NP, objectSet) "multiobjective value for PB model"      
   ui_fitness(NP) "fitness for each mutant individual in mutation operation"
   ui_modelstat_FBA(NP) "modelstat for solving mutant FBA problem"
   ui_modelstat_UFD(NP) "modelstat for solving mutant UFD problem"
   ui_mem_BioEng_TR(NP) "membership grade of bioengineering for TR model"     
   ui_mem_Fmin_CV_PB(NP) "membership grade of fuzzy min cell viability for PB model"
   ui_mem_Fmax_CV_PB(NP) "membership grade of fuzzy max cell viability for PB model"
   ui_mem_CV_PB(NP) "membership grade of cell viability for PB model"
   ui_mem_CV_TRPB(NP) "membership grade for overall cell viability for TR/PB model"
   ui_mem_Met_Exp_PBBL(NP) "membership grade of PB SynthRate to experiment"
   ui_mem_Met_PBBL(NP) "membership grade of synthes rate for PB to BL"
   ui_mem_rxn_PBBL(NP) "membership grade of rxn for PB to BL"   
   ui_mem_Met_Exp_PBHT(NP) "membership grade of PB SynthRate to experiment"
   ui_mem_Met_PBHT(NP) "membership grade of synthes rate for PB to HT"
   ui_mem_rxn_PBHT(NP) "membership grade of rxn for PB to HT"
   ui_mem_Met_PBCA(NP) "membership grade of synthes rate for PB to CA"
   ui_mem_rxn_PBCA(NP) "membership grade of rxn for PB to CA"   
   ui_constraint(NP) "penalty constraint for infeasible solution in the optimization problem"
   SumZ_max 'maximum number of selected genes to be manipulated'
   pop_mem_MD_PBBL(NP) "metabolic deivation for PB to BL model"   
   pop_mem_MD_PBHT(NP) "metabolic deivation for PB to HT model"
   pop_mem_MD_PBCA(NP) "metabolic deivation for PB to CA model"
   pop_mem_MD_TRPB(NP) "metabolic deivation for TR and PB model"   
   ui_mem_MD_PBBL(NP) "metabolic deivation for PB to BL model"   
   ui_mem_MD_PBHT(NP) "metabolic deivation for PB to HT model"
   ui_mem_MD_PBCA(NP) "metabolic deivation for PB to CA model"
   ui_mem_MD_TRPB(NP) "metabolic deivation for TR and PB model"   
   best_mem_MD_PBBL "best metabolic deivation for PB to BL model"   
   best_mem_MD_PBHT "best metabolic deivation for PB to HT model"
   best_mem_MD_PBCA "best metabolic deivation for PB to CA model"
   best_mem_MD_TRPB "best metabolic deivation for TR and PB model"   
   store_best_mem_MD_PBBL(itermax) "store best metabolic deivation for PB to BL model"   
   store_best_mem_MD_PBHT(itermax) "store best metabolic deivation for PB to HT model"
   store_best_mem_MD_PBCA(itermax) "store best metabolic deivation for PB to CA model"
   store_best_mem_MD_TRPB(itermax) "store best metabolic deivation for TR and PB model"    
   tmp_MultiObjValue(ObjectSet) "temporary cell viability objective values";
 
***** lower and uper bound of healthy metabolite-flow rate for evaluating fuzzy equal ***************************************************************
BL_MetFlowRate_LB(Biocompound) $ (BL_BioComp_SynRate(Biocompound) > 0) = BL_BioComp_SynRate(Biocompound)/mem_Bound_ratio;
BL_MetFlowRate_UB(Biocompound) $ (BL_BioComp_SynRate(Biocompound) > 0) = BL_BioComp_SynRate(Biocompound)*mem_Bound_ratio;
BL_MetFlowRate_LB(Biocompound) $ (BL_BioComp_SynRate(Biocompound) = 0) = 0;
BL_MetFlowRate_UB(Biocompound) $ (BL_BioComp_SynRate(Biocompound) = 0) = UB_zero;

*BL_SpeciesFlowRate_LB(Species) $ (BL_Species_SynRate(Species) > 0) = BL_Species_SynRate(Species)/mem_Bound_ratio;
*BL_SpeciesFlowRate_UB(Species) $ (BL_Species_SynRate(Species) > 0) = BL_Species_SynRate(Species)*mem_Bound_ratio;
*BL_SpeciesFlowRate_LB(Species) $ (BL_Species_SynRate(Species) = 0) = 0;
*BL_SpeciesFlowRate_UB(Species) $ (BL_Species_SynRate(Species) = 0) = UB_zero;
*****************************************************************************************************************************************************
***** lower and uper bound of healthy vf and vb for evaluating fuzzy equal **************************************************************************
BL_vf_rxn_LB(reactions) $ (BL_vf_UFD(reactions) > 0) = BL_vf_UFD(reactions)/mem_Bound_ratio;
BL_vf_rxn_UB(reactions) $ (BL_vf_UFD(reactions) > 0) = BL_vf_UFD(reactions)*mem_Bound_ratio;
BL_vf_rxn_LB(reactions) $ (BL_vf_UFD(reactions) = 0) = 0;
BL_vf_rxn_UB(reactions) $ (BL_vf_UFD(reactions) = 0) = UB_zero;

BL_vb_rxn_LB(reactions) $ (BL_vb_UFD(reactions) > 0) = BL_vb_UFD(reactions)/mem_Bound_ratio;
BL_vb_rxn_UB(reactions) $ (BL_vb_UFD(reactions) > 0) = BL_vb_UFD(reactions)*mem_Bound_ratio;
BL_vb_rxn_LB(reactions) $ (BL_vb_UFD(reactions) = 0) = 0;
BL_vb_rxn_UB(reactions) $ (BL_vb_UFD(reactions) = 0) = UB_zero;
***************************************************************************************************************************************************** 
***** lower and uper bound of healthy metabolite-flow rate for evaluating fuzzy equal ***************************************************************
HT_MetFlowRate_LB(Biocompound) $ (HT_BioComp_SynRate(Biocompound) > 0) = HT_BioComp_SynRate(Biocompound)/mem_Bound_ratio;
HT_MetFlowRate_UB(Biocompound) $ (HT_BioComp_SynRate(Biocompound) > 0) = HT_BioComp_SynRate(Biocompound)*mem_Bound_ratio;
HT_MetFlowRate_LB(Biocompound) $ (HT_BioComp_SynRate(Biocompound) = 0) = 0;
HT_MetFlowRate_UB(Biocompound) $ (HT_BioComp_SynRate(Biocompound) = 0) = UB_zero;

*HT_SpeciesFlowRate_LB(Species) $ (HT_Species_SynRate(Species) > 0) = HT_Species_SynRate(Species)/mem_Bound_ratio;
*HT_SpeciesFlowRate_UB(Species) $ (HT_Species_SynRate(Species) > 0) = HT_Species_SynRate(Species)*mem_Bound_ratio;
*HT_SpeciesFlowRate_LB(Species) $ (HT_Species_SynRate(Species) = 0) = 0;
*HT_SpeciesFlowRate_UB(Species) $ (HT_Species_SynRate(Species) = 0) = UB_zero;
*****************************************************************************************************************************************************
***** lower and uper bound of healthy vf and vb for evaluating fuzzy equal **************************************************************************
HT_vf_rxn_LB(reactions) $ (HT_vf_UFD(reactions) > 0) = HT_vf_UFD(reactions)/mem_Bound_ratio;
HT_vf_rxn_UB(reactions) $ (HT_vf_UFD(reactions) > 0) = HT_vf_UFD(reactions)*mem_Bound_ratio;
HT_vf_rxn_LB(reactions) $ (HT_vf_UFD(reactions) = 0) = 0;
HT_vf_rxn_UB(reactions) $ (HT_vf_UFD(reactions) = 0) = UB_zero;

HT_vb_rxn_LB(reactions) $ (HT_vb_UFD(reactions) > 0) = HT_vb_UFD(reactions)/mem_Bound_ratio;
HT_vb_rxn_UB(reactions) $ (HT_vb_UFD(reactions) > 0) = HT_vb_UFD(reactions)*mem_Bound_ratio;
HT_vb_rxn_LB(reactions) $ (HT_vb_UFD(reactions) = 0) = 0;
HT_vb_rxn_UB(reactions) $ (HT_vb_UFD(reactions) = 0) = UB_zero;
*****************************************************************************************************************************************************
***** lower and uper bound of healthy metabolite-flow rate for evaluating fuzzy equal ***************************************************************
CA_MetFlowRate_LB(Biocompound) $ (CA_BioComp_SynRate(Biocompound) > 0) = CA_BioComp_SynRate(Biocompound)/mem_Bound_ratio;
CA_MetFlowRate_UB(Biocompound) $ (CA_BioComp_SynRate(Biocompound) > 0) = CA_BioComp_SynRate(Biocompound)*mem_Bound_ratio;
CA_MetFlowRate_LB(Biocompound) $ (CA_BioComp_SynRate(Biocompound) = 0) = 0;
CA_MetFlowRate_UB(Biocompound) $ (CA_BioComp_SynRate(Biocompound) = 0) = UB_zero;

*CA_SpeciesFlowRate_LB(Species) $ (CA_Species_SynRate(Species) > 0) = CA_Species_SynRate(Species)/mem_Bound_ratio;
*CA_SpeciesFlowRate_UB(Species) $ (CA_Species_SynRate(Species) > 0) = CA_Species_SynRate(Species)*mem_Bound_ratio;
*CA_SpeciesFlowRate_LB(Species) $ (CA_Species_SynRate(Species) = 0) = 0;
*CA_SpeciesFlowRate_UB(Species) $ (CA_Species_SynRate(Species) = 0) = UB_zero;
*****************************************************************************************************************************************************
***** lower and uper bound of healthy vf and vb for evaluating fuzzy equal **************************************************************************
CA_vf_rxn_LB(reactions) $ (CA_vf_UFD(reactions) > 0) = CA_vf_UFD(reactions)/mem_Bound_ratio;
CA_vf_rxn_UB(reactions) $ (CA_vf_UFD(reactions) > 0) = CA_vf_UFD(reactions)*mem_Bound_ratio;
CA_vf_rxn_LB(reactions) $ (CA_vf_UFD(reactions) = 0) = 0;
CA_vf_rxn_UB(reactions) $ (CA_vf_UFD(reactions) = 0) = UB_zero;

CA_vb_rxn_LB(reactions) $ (CA_vb_UFD(reactions) > 0) = CA_vb_UFD(reactions)/mem_Bound_ratio;
CA_vb_rxn_UB(reactions) $ (CA_vb_UFD(reactions) > 0) = CA_vb_UFD(reactions)*mem_Bound_ratio;
CA_vb_rxn_LB(reactions) $ (CA_vb_UFD(reactions) = 0) = 0;
CA_vb_rxn_UB(reactions) $ (CA_vb_UFD(reactions) = 0) = UB_zero;
*****************************************************************************************************************************************************

*%%%%% assign multiobj_weignt obtained from CA model %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
method_6 = round(card(itermax)/method_6);

*%%%%% the user provided data which depend on the BLOP %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon1 = epsilon_ratio * card(Dim_XIR)/(card(Dim_BI) + card(Dim_XR));
XIR_min(Dim_XIR) = 1;
xIR_max(Dim_XI) = card(Dim_BI);
XIR_min(Dim_XR) = TR_Reg_Factor_min(Dim_XR);
XIR_max(Dim_XR) = TR_Reg_Factor_max(Dim_XR);
sumZ_max = card(Dim_XI) + 1;
*****************************************************************************************************************************************************

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* normalization of sum of fuzzy membership functions
startTime = jnow;
iter_penalty0 = card(itermax)/nPenalty_update;
iter_penalty = iter_penalty0;
number_penalty = 1;

*----- read and write the seed for the random number generator -----------------
execseed = 1 + gmillisec(jnow);

*----- initialization of the sequence order for the defined set ----------------
number = 0;
loop(NP, number = number + 1; NP_order(NP) = number;);

*----- initialize a population of candidate individuals ------------------------
index_migration = 0;
pop_XI(NP, Dim_XI) = uniformInt(XIR_min(Dim_XI), XIR_max(Dim_XI));
pop_XI(NP, Dim_XR) = uniform(XIR_min(Dim_XR), XIR_max(Dim_XR));
*----- end of initialization ---------------------------------------------------

*----- compute the initial fitness and evaluate the best one -------------------
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
best_fitness = -1.0e20;
best_constraint = 1.0e20;
pop_constraint(NP) = 0;
nfeval = 0;
nfeval_FBA_max = 0;
nfeval_UFD_min = 0;
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*----- decode Candidate_Enz orders to select the regulated reactions -----------
$offorder
pop_XB(NP, Dim_BI) = 0;
loop(Dim_XI, pop_XB(NP, Dim_BI) $ (ord(Dim_BI) = pop_XI(NP, Dim_XI)) = uniformInt(%No_UPDownKO_min%, %No_UPDownKO_max%););
$onorder
*-------------------------------------------------------------------------------

* assign regulation strength parameter for each individual
TR_Reg_Factor(NP) = pop_XI(NP, "RSP1");
*-------------------------------------------------------------------------------

*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
loop(NP,
***** assign reactions and species in CA models as dynamic sets ****************
     dyn_reactions(reactions) = no;
     dyn_species(species) = no;
     dyn_BioComp(biocompound) = no;
     dyn_irrev_rxn(reactions) = no;
     dyn_rev_rxn(reactions) = no;
     dyn_exchange_rxn(reactions) = no;
     dyn_reactions(reactions) $ (not reactions_NCA(reactions)) = yes;
     dyn_species(species) $ (not species_NCA(species)) = yes;
     dyn_BioComp(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
     dyn_irrev_rxn(reactions) $ (not reactions_NCA(reactions) and irrev_rxn(reactions)) = yes;
     dyn_rev_rxn(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;
     dyn_exchange_rxn(reactions) $ (not reactions_NCA(reactions) and exchange_rxn(reactions)) = yes;     
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
     basal_vf(reactions) = 0;
     basal_vb(reactions) = 0;
     basal_vf(reactions) = CA_vf_UFD(reactions);
     basal_vb(reactions) = CA_vb_UFD(reactions);

     z_HDE(Dim_BI) = 0;
     z_HDE(Dim_BI) = pop_XB(NP, Dim_BI);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     pop_Mem_sumZ(NP) $ (flag_sumz < 2) = (sumZ_max - sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1))/(sumZ_max - 1);
     pop_Mem_sumZ(NP) $ (flag_sumz = 2) = sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1)/(sumZ_max - 1);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*---- restrictions for the lower and upper bounds of fluxes --------------------
     vf.lo(reactions) = FluxBound_vf_LB(reactions);
     vf.up(reactions) = FluxBound_vf_UB(reactions);
     vb.lo(reactions) = FluxBound_vb_LB(reactions);
     vb.up(reactions) = FluxBound_vb_UB(reactions);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
     vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
     vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
     vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
     vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
     vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
     vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
     vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
     vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
     vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
     vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
     vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
     vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
     vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
     vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* assign vb = 0 for the irreversible fluxes
     vb.lo(irrev_rxn) = 0;
     vb.up(irrev_rxn) = 0;
     vb.fx(irrev_rxn) = 0;
     vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
     vf.lo(irrev_vb_rxn(reactions)) = 0;
     vf.up(irrev_vb_rxn(reactions)) = 0;
     vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
     vf.fx(uptake_demand) = 0;
     vb.fx(secretion_demand) = 0;
     vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
     vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
     vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

     vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
     vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** Set the weighting factors and limits for FBA objectives ******************
     MultiObj_weight(ObjectSet) = 0;
     MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                   W_obj_ratio_CA(objectSet)/MultiObjValue_max(objectSet);
********************************************************************************
*----- compute the lower and upper bounds for the target reactions -------------
     target_limit_LB(targetSet) = 0;
     target_limit_UB(targetSet) = 0;
     MultiObjValue_min(objectSet) = 0;
     target_limit_LB(targetSet) = CA_target_level_LB(targetSet);
     target_limit_UB(targetSet) = CA_target_level_UB(targetSet);
     MultiObjValue_min(objectSet) = CA_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

*---- solve regulated FBA problem ----------------------------------------------
     solve FBA_Problem using LP maximizing objValue_FBA ;
     nfeval_FBA_max = nfeval_FBA_max + 1;
     nfeval = nfeval + 1;
     pop_modelstat_FBA(NP) = FBA_Problem.modelstat;
     pop_constraint(NP) = 0;
     constraint_h(Dim_h) = 0;
     ObjOptim_limit $ (pop_modelstat_FBA(NP) <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*---- infeasible solution ------------------------------------------------------
     if(pop_modelstat_FBA(NP) > 2,
        pop_mem_BioEng_TR(NP) = 0;       
        pop_mem_Fmin_CV_PB(NP) = 0;
        pop_mem_Fmax_CV_PB(NP) = 0;
        pop_mem_rxn_PBBL(NP) = 0;
        pop_mem_Met_PBBL(NP) = 0;        
        pop_mem_rxn_PBHT(NP) = 0;
        pop_mem_Met_PBHT(NP) = 0;
        pop_mem_rxn_PBCA(NP) = 0;
        pop_mem_Met_PBCA(NP) = 0;    
        constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
        constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                       sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                           max((ObjOptim_limit - ObjValue_FBA.l), 0);
        pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------
*---- solve UFD problem --------------------------------------------------------
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     if(pop_modelstat_FBA(NP) <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
        weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
        weight_coef_rxn(reactions) $ (CA_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
        weight_coef_rxn(reactions) $ (CA_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
        weight_coef_rxn(reactions) $ (CA_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************        
        solve UFD_Problem using QCP minimizing ObjValue_UFD ;
        nfeval_UFD_min = nfeval_UFD_min + 1;
        nfeval = nfeval + 1;
        pop_modelstat_UFD(NP) = UFD_Problem.modelstat;
        TR_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
        TR_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
        TR_vf_UFD(reactions) $ (TR_vf_UFD(reactions) < 0) = 0;
        TR_vb_UFD(reactions) $ (TR_vb_UFD(reactions) < 0) = 0;
        TR_v_UFD(reactions) = TR_vf_UFD(reactions) - TR_vb_UFD(reactions);
        
*---- infeasible solution ------------------------------------------------------
        if(pop_modelstat_UFD(NP) > 2,
           pop_mem_BioEng_TR(NP) = 0;       
           pop_mem_Fmin_CV_PB(NP) = 0;
           pop_mem_Fmax_CV_PB(NP) = 0;
           pop_mem_rxn_PBBL(NP) = 0;
           pop_mem_Met_PBBL(NP) = 0;        
           pop_mem_rxn_PBHT(NP) = 0;
           pop_mem_Met_PBHT(NP) = 0;
           pop_mem_rxn_PBCA(NP) = 0;
           pop_mem_Met_PBCA(NP) = 0;    
           constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
           constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                          sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                           max((ObjOptim_limit - ObjValue_FBA.l), 0);
           pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------

        if(pop_modelstat_UFD(NP) <= 2,
**** compute multi-objective values *****************************************************************************************************************
           tmp_MultiObjValue(ObjectSet) = 0;
           tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * TR_vf_UFD(dyn_reactions)) +
                                          sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * TR_vb_UFD(dyn_reactions));

           pop_MultiObjValue_TR(NP, objectSet) = tmp_MultiObjValue(ObjectSet);

**** compute fuzzy min bomass and min ATP and its membership grade for TR model *********************************************************************
           mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = (MultiObjValue_max(Fuzzy_min_Eng_obj) - tmp_MultiObjValue(Fuzzy_min_Eng_obj) + tol_eps)/
                                                   (MultiObjValue_max(Fuzzy_min_Eng_obj) - MultiObjValue_min(Fuzzy_min_Eng_obj) + tol_eps);  
           mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = max(min(mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj), 1), 0);
           
           pop_mem_BioEng_TR(NP) = (sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
                                    smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;
*****************************************************************************************************************************************************

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           constraint_h(Dim_h)  = 0;
           constraint_g  = 0;
           pop_constraint(NP) = 0;

*===== evaluating side effects to solve perturbed FBA and UFD problems of BL model =====================================================================
***** assign reactions and species in BL models as dynamic sets ****************        
           dyn_reactions(reactions) = no;
           dyn_species(species) = no;
           dyn_biocomp(biocompound) = no;
           dyn_irrev_rxn(reactions) = no;
           dyn_rev_rxn(reactions) = no;
           dyn_exchange_rxn(reactions) = no;
           dyn_reactions(reactions) = yes;
           dyn_species(species) = yes;
           dyn_biocomp(biocompound) = yes;
           dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
           dyn_rev_rxn(reactions) = rev_rxn(reactions);
           dyn_exchange_rxn(reactions) = exchange_rxn(reactions);
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
           basal_vf(reactions) = 0;
           basal_vb(reactions) = 0;
           basal_vf(reactions) = BL_vf_UFD(reactions);
           basal_vb(reactions) = BL_vb_UFD(reactions);
*******************************************************************************
*---- restrictions for the lower and upper bounds of fluxes --------------------
           vf.lo(reactions) = FluxBound_vf_LB(reactions);
           vf.up(reactions) = FluxBound_vf_UB(reactions);
           vb.lo(reactions) = FluxBound_vb_LB(reactions);
           vb.up(reactions) = FluxBound_vb_UB(reactions);

*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
           vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
           vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
           vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
           vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
           vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
           vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
           vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
           vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
           vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
           vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
           vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
           vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
           vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
           vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* assign vb = 0 for the irreversible fluxes
           vb.lo(irrev_rxn) = 0;
           vb.up(irrev_rxn) = 0;
           vb.fx(irrev_rxn) = 0;
           vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
           vf.lo(irrev_vb_rxn(reactions)) = 0;
           vf.up(irrev_vb_rxn(reactions)) = 0;
           vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
           vf.fx(uptake_demand) = 0;
           vb.fx(secretion_demand) = 0;
           vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
           vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
           vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

           vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
           vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** Set the weighting factors and limits for FBA objectives ******************
           MultiObj_weight(ObjectSet) = 0;
           MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                         W_obj_ratio_BL(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions -------------
           target_limit_LB(targetSet) = 0;
           target_limit_UB(targetSet) = 0;
           MultiObjValue_min(objectSet) = 0;
           target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
           target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
           MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------
*---- solve mutant FBA problem considering side effect -------------------------
           solve FBA_Problem using LP maximizing objValue_FBA ;
           nfeval_FBA_max = nfeval_FBA_max + 1;
           nfeval = nfeval + 1;
           ObjOptim_limit $ (FBA_Problem.modelstat <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*---- infeasible solution ------------------------------------------------------
           if(FBA_Problem.modelstat > 2,
              pop_MultiObjValue_PB(NP, objectSet) = 0;           
              pop_mem_Fmin_CV_PB(NP) = 0;
              pop_mem_Fmax_CV_PB(NP) = 0;
              pop_mem_rxn_PBBL(NP) = 0;
              pop_mem_Met_PBBL(NP) = 0;        
              pop_mem_rxn_PBHT(NP) = 0;
              pop_mem_Met_PBHT(NP) = 0;
              pop_mem_rxn_PBCA(NP) = 0;
              pop_mem_Met_PBCA(NP) = 0;    
              constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
              constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                             sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                             max((ObjOptim_limit - ObjValue_FBA.l), 0);
              pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------           

**** mutant UFD problem considering side effect ********************************
           if(FBA_Problem.modelstat <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
              weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
              weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
              weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
              weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************             
              solve UFD_Problem using QCP minimizing ObjValue_UFD ;
              nfeval_UFD_min = nfeval_UFD_min + 1;
              nfeval = nfeval + 1;);
              
*----- infeasible solution for UFD problem -------------------------------------
           if(UFD_Problem.modelstat > 2,
              pop_MultiObjValue_PB(NP, objectSet) = 0;
              pop_mem_Fmin_CV_PB(NP) = 0;
              pop_mem_Fmax_CV_PB(NP) = 0;
              pop_mem_rxn_PBCA(NP) = 0;
              pop_mem_Met_PBCA(NP) = 0;
              pop_mem_rxn_PBBL(NP) = 0;
              pop_mem_Met_PBBL(NP) = 0;        
              pop_mem_rxn_PBHT(NP) = 0;
              pop_mem_Met_PBHT(NP) = 0;       
              constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (TR_vf_UFD (reactions) - TR_vb_UFD (reactions)));
              constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet))), 0)) +
                             sum(targetSet, max(((TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet)) - target_limit_UB(targetSet)), 0)) +
                             max((ObjOptim_limit - ObjValue_FBA.l), 0);
              pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------   
                          
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%              
           if(FBA_Problem.modelstat <= 2 and UFD_Problem.modelstat <= 2,
* compute synthesis rate and degradation rate for each BioCompound at the mutant state
              PB_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
              PB_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
              PB_vf_UFD(reactions) $ (PB_vf_UFD(reactions) < 0) = 0;
              PB_vb_UFD(reactions) $ (PB_vb_UFD(reactions) < 0) = 0;
              PB_v_UFD(reactions) = PB_vf_UFD(reactions) - PB_vb_UFD(reactions);
              PB_Species_SynRate(species) = 0;
              loop(dyn_species,
                   PB_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                        (S_Matrix(dyn_species, dyn_reactions) > 0) * PB_vf_UFD(dyn_reactions))
                                                   - sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                        (S_Matrix(dyn_species, dyn_reactions) < 0) * PB_vb_UFD(dyn_reactions)););

***** compute the score between experimental data and model prediction *********
              PB_BioComp_SynRate(BioCompound) = 0;
              loop(BioComp_PBBL,
                   PB_BioComp_SynRate(BioComp_PBBL) = sum(dyn_species $ (BioCompound_species(BioComp_PBBL, dyn_species)),
                                                          PB_Species_SynRate(dyn_species)););
*****************************************************************************************************************************************************
              tmp_MultiObjValue(ObjectSet) = 0;
              tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * PB_vf_UFD(dyn_reactions)) +
                                             sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * PB_vb_UFD(dyn_reactions));           

              pop_MultiObjValue_PB(NP, objectSet) = tmp_MultiObjValue(ObjectSet);
*****************************************************************************************************************************************************                          

***** compute fuzzy min and fuzzy max of cell viability and its membership grade for PB model *******************************************************
              mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = (MultiObjValue_max(Fuzzy_min_CV_obj) - tmp_MultiObjValue(Fuzzy_min_CV_obj) + tol_eps)/
                                                 (MultiObjValue_max(Fuzzy_min_CV_obj) - MultiObjValue_min(Fuzzy_min_CV_obj) + tol_eps);                                                             
              mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = max(min(mem_Fmin_CV_PB(Fuzzy_min_CV_obj), 1), 0);
           
              mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = (tmp_MultiObjValue(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps)/
                                                 (MultiObjValue_max(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps);
              mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = max(min(mem_Fmax_CV_PB(Fuzzy_max_CV_obj), 1), 0);
           
              pop_mem_Fmin_CV_PB(NP) = sum(Fuzzy_min_CV_obj, mem_Fmin_CV_PB(Fuzzy_min_CV_obj))/card(Fuzzy_min_CV_obj);
              pop_mem_Fmax_CV_PB(NP) = sum(Fuzzy_max_CV_obj, mem_Fmax_CV_PB(Fuzzy_max_CV_obj))/card(Fuzzy_max_CV_obj);     
*****************************************************************************************************************************************************
***** compute fuzzy dissimilarity of metabolite-flow and its membership grade for PBCA model ********************************************************
              L_mem_Met_PBCA(BioComp_PBCA) = (PB_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps)/
                                             (CA_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps); 
              R_mem_Met_PBCA(BioComp_PBCA) = (CA_MetFlowRate_UB(BioComp_PBCA) - PB_BioComp_SynRate(BioComp_PBCA) + tol_eps)/
                                             (CA_MetFlowRate_UB(BioComp_PBCA) - CA_BioComp_SynRate(BioComp_PBCA) + tol_eps);  
              mem_Met_PBCA(BioComp_PBCA) = max(min(L_mem_Met_PBCA(BioComp_PBCA), R_mem_Met_PBCA(BioComp_PBCA), 1), 0);
              
              nonzero_Biocomp_PBCA(biocompound) = no;             
              nonzero_Biocomp_PBCA(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                    CA_BioComp_SynRate(biocompound) > 0) and BioComp_PBCA(biocompound)) = yes;
              
              pop_mem_Met_PBCA(NP) = sum(BioCompound $ (nonzero_Biocomp_PBCA(biocompound)),
                                         mem_Met_PBCA(BioCompound))/card(nonzero_Biocomp_PBCA);
              pop_mem_Met_PBCA(NP) = 1 - pop_mem_Met_PBCA(NP);

***** compute fuzzy dissimilarity of flux and its membership grade for PBCA model *******************************************************************
              L_mem_vf_PBCA(rxn_vf_PBCA) = (PB_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps)/
                                           (CA_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps);
              R_mem_vf_PBCA(rxn_vf_PBCA) = (CA_vf_rxn_UB(rxn_vf_PBCA) - PB_vf_UFD(rxn_vf_PBCA) + tol_eps)/
                                           (CA_vf_rxn_UB(rxn_vf_PBCA)- CA_vf_UFD(rxn_vf_PBCA) + tol_eps);           
              L_mem_vb_PBCA(rxn_vb_PBCA) = (PB_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps)/
                                           (CA_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps);
              R_mem_vb_PBCA(rxn_vb_PBCA) = (CA_vb_rxn_UB(rxn_vb_PBCA) - PB_vb_UFD(rxn_vb_PBCA) + tol_eps)/
                                           (CA_vb_rxn_UB(rxn_vb_PBCA)- CA_vb_UFD(rxn_vb_PBCA) + tol_eps);
***** initialization                                           
              mem_vf_PBCA(reactions) = 1;
              mem_vb_PBCA(reactions) = 1;              

              mem_vf_PBCA(rxn_vf_PBCA) = max(min(L_mem_vf_PBCA(rxn_vf_PBCA), R_mem_vf_PBCA(rxn_vf_PBCA), 1), 0);
              mem_vb_PBCA(rxn_vb_PBCA) = max(min(L_mem_vb_PBCA(rxn_vb_PBCA), R_mem_vb_PBCA(rxn_vb_PBCA), 1), 0);

              nonzero_vf_PBCA(reactions) = no;
              nonzero_vf_PBCA(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                             CA_vf_UFD(reactions) > 0) and rxn_vf_PBCA(reactions)) = yes;
              nonzero_vb_PBCA(reactions) = no;
              nonzero_vb_PBCA(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                             CA_vb_UFD(reactions) > 0) and rxn_vb_PBCA(reactions)) = yes;
                                             
              nonzero_v_PBCA(reactions) = no;
              nonzero_v_PBCA(reactions) = nonzero_vf_PBCA(reactions) + nonzero_vb_PBCA(reactions);
              
              pop_mem_rxn_PBCA(NP) = sum(reactions $ (nonzero_v_PBCA(reactions)),             
                                         min(mem_vf_PBCA(reactions),mem_vb_PBCA(reactions)))/card(nonzero_v_PBCA); 
              pop_mem_rxn_PBCA(NP) = 1 - pop_mem_rxn_PBCA(NP);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBBL model ***********************************************************
              L_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                    (BL_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
              R_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (BL_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                    (BL_MetFlowRate_UB(BioComp_ExpWarb) - BL_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
              L_mem_Met_PBBL(BioComp_PBBL) = (PB_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps)/
                                             (BL_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps); 
              R_mem_Met_PBBL(BioComp_PBBL) = (BL_MetFlowRate_UB(BioComp_PBBL) - PB_BioComp_SynRate(BioComp_PBBL) + tol_eps)/
                                             (BL_MetFlowRate_UB(BioComp_PBBL) - BL_BioComp_SynRate(BioComp_PBBL) + tol_eps);  
              mem_Met_Exp_PBBL(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBBL(BioComp_ExpWarb), R_mem_Met_Exp_PBBL(BioComp_ExpWarb), 1), 0);
              mem_Met_PBBL(BioComp_PBBL) = max(min(L_mem_Met_PBBL(BioComp_PBBL), R_mem_Met_PBBL(BioComp_PBBL), 1), 0);             
              pop_mem_Met_Exp_PBBL(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBBL(BioComp_ExpWarb))/card(BioComp_ExpWarb);

              nonzero_Biocomp_PBBL(biocompound) = no;             
              nonzero_Biocomp_PBBL(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                    BL_BioComp_SynRate(biocompound) > 0) and BioComp_PBBL(biocompound)) = yes;              
              pop_mem_Met_PBBL(NP) = sum(BioCompound $ (nonzero_Biocomp_PBBL(biocompound)),
                                         mem_Met_PBBL(BioCompound))/card(nonzero_Biocomp_PBBL);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBBL model **********************************************************************
              L_mem_vf_PBBL(rxn_vf_PBBL) = (PB_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps)/
                                           (BL_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps);
              R_mem_vf_PBBL(rxn_vf_PBBL) = (BL_vf_rxn_UB(rxn_vf_PBBL) - PB_vf_UFD(rxn_vf_PBBL) + tol_eps)/
                                           (BL_vf_rxn_UB(rxn_vf_PBBL)- BL_vf_UFD(rxn_vf_PBBL) + tol_eps);           

              L_mem_vb_PBBL(rxn_vb_PBBL) = (PB_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps)/
                                           (BL_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps);
              R_mem_vb_PBBL(rxn_vb_PBBL) = (BL_vb_rxn_UB(rxn_vb_PBBL) - PB_vb_UFD(rxn_vb_PBBL) + tol_eps)/
                                           (BL_vb_rxn_UB(rxn_vb_PBBL)- BL_vb_UFD(rxn_vb_PBBL) + tol_eps);    

**** intialization
              mem_vf_PBBL(reactions) = 1;
              mem_vb_PBBL(reactions) = 1;
              
              mem_vf_PBBL(rxn_vf_PBBL) = max(min(L_mem_vf_PBBL(rxn_vf_PBBL), R_mem_vf_PBBL(rxn_vf_PBBL), 1), 0);
              mem_vb_PBBL(rxn_vb_PBBL) = max(min(L_mem_vb_PBBL(rxn_vb_PBBL), R_mem_vb_PBBL(rxn_vb_PBBL), 1), 0);
              
              nonzero_vf_PBBL(reactions) = no;
              nonzero_vf_PBBL(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                             BL_vf_UFD(reactions) > 0) and rxn_vf_PBBL(reactions)) = yes;
              nonzero_vb_PBBL(reactions) = no;
              nonzero_vb_PBBL(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                             BL_vb_UFD(reactions) > 0) and rxn_vb_PBBL(reactions)) = yes;
              nonzero_v_PBBL(reactions) = no;                               
              nonzero_v_PBBL(reactions) =  nonzero_vf_PBBL(reactions) + nonzero_vb_PBBL(reactions);
              
              pop_mem_rxn_PBBL(NP) = sum(reactions $ (nonzero_v_PBBL(reactions)),             
                                         min(mem_vf_PBBL(reactions),mem_vb_PBBL(reactions)))/card(nonzero_v_PBBL);           
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBHT model ***********************************************************
              L_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                    (HT_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
              R_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (HT_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                    (HT_MetFlowRate_UB(BioComp_ExpWarb) - HT_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
              L_mem_Met_PBHT(BioComp_PBHT) = (PB_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps)/
                                             (HT_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps); 
              R_mem_Met_PBHT(BioComp_PBHT) = (HT_MetFlowRate_UB(BioComp_PBHT) - PB_BioComp_SynRate(BioComp_PBHT) + tol_eps)/
                                             (HT_MetFlowRate_UB(BioComp_PBHT) - HT_BioComp_SynRate(BioComp_PBHT) + tol_eps);  
              mem_Met_Exp_PBHT(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBHT(BioComp_ExpWarb), R_mem_Met_Exp_PBHT(BioComp_ExpWarb), 1), 0);
              mem_Met_PBHT(BioComp_PBHT) = max(min(L_mem_Met_PBHT(BioComp_PBHT), R_mem_Met_PBHT(BioComp_PBHT), 1), 0);             
              pop_mem_Met_Exp_PBHT(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBHT(BioComp_ExpWarb))/card(BioComp_ExpWarb);

              nonzero_Biocomp_PBHT(biocompound) = no;             
              nonzero_Biocomp_PBHT(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                    HT_BioComp_SynRate(biocompound) > 0) and BioComp_PBHT(biocompound)) = yes;              
              pop_mem_Met_PBHT(NP) = sum(BioCompound $ (nonzero_Biocomp_PBHT(biocompound)),
                                         mem_Met_PBHT(BioCompound))/card(nonzero_Biocomp_PBHT);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBHT model **********************************************************************
              L_mem_vf_PBHT(rxn_vf_PBHT) = (PB_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps)/
                                           (HT_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps);
              R_mem_vf_PBHT(rxn_vf_PBHT) = (HT_vf_rxn_UB(rxn_vf_PBHT) - PB_vf_UFD(rxn_vf_PBHT) + tol_eps)/
                                           (HT_vf_rxn_UB(rxn_vf_PBHT)- HT_vf_UFD(rxn_vf_PBHT) + tol_eps);           

              L_mem_vb_PBHT(rxn_vb_PBHT) = (PB_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps)/
                                           (HT_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps);
              R_mem_vb_PBHT(rxn_vb_PBHT) = (HT_vb_rxn_UB(rxn_vb_PBHT) - PB_vb_UFD(rxn_vb_PBHT) + tol_eps)/
                                           (HT_vb_rxn_UB(rxn_vb_PBHT)- HT_vb_UFD(rxn_vb_PBHT) + tol_eps);    
**** intialization
              mem_vf_PBHT(reactions) = 1;
              mem_vb_PBHT(reactions) = 1;

              mem_vf_PBHT(rxn_vf_PBHT) = max(min(L_mem_vf_PBHT(rxn_vf_PBHT), R_mem_vf_PBHT(rxn_vf_PBHT), 1), 0);
              mem_vb_PBHT(rxn_vb_PBHT) = max(min(L_mem_vb_PBHT(rxn_vb_PBHT), R_mem_vb_PBHT(rxn_vb_PBHT), 1), 0);
              
              nonzero_vf_PBHT(reactions) = no;
              nonzero_vf_PBHT(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                             HT_vf_UFD(reactions) > 0) and rxn_vf_PBHT(reactions)) = yes;
              nonzero_vb_PBHT(reactions) = no;
              nonzero_vb_PBHT(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                             HT_vb_UFD(reactions) > 0) and rxn_vb_PBHT(reactions)) = yes;     
              nonzero_v_PBHT(reactions) = no;                               
              nonzero_v_PBHT(reactions) =  nonzero_vf_PBHT(reactions) + nonzero_vb_PBHT(reactions);
              
              pop_mem_rxn_PBHT(NP) = sum(reactions $ (nonzero_v_PBHT(reactions)),             
                                         min(mem_vf_PBHT(reactions),mem_vb_PBHT(reactions)))/card(nonzero_v_PBHT); 
*****************************************************************************************************************************************************
              constraint_h(Dim_h) = 0;
              constraint_g = 0;
              pop_constraint(NP) = 0; 
           );
        );
     );
*====================================================================================================================================================    
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*----- fitness evaluation ------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
* pop_mem_BioEng_TR(NP) = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
*                         smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

* Cell viability for PB model
pop_mem_CV_PB(NP) = ((pop_mem_Fmin_CV_PB(NP) + pop_mem_Fmax_CV_PB(NP))/2 + min(pop_mem_Fmin_CV_PB(NP), pop_mem_Fmax_CV_PB(NP)))/2;

* the first priori objective for cell mortality of TR and PB model
pop_mem_CV_TRPB(NP) $ (index_sumz <= 20) = (pop_mem_BioEng_TR(NP) + min(pop_mem_BioEng_TR(NP), pop_mem_CV_PB(NP)))/2;

* the first priori objective for both cell mortality and cell viability for TR and PB model
pop_mem_CV_TRPB(NP) $ (index_sumz >= 30) = ((pop_mem_BioEng_TR(NP) + pop_mem_CV_PB(NP))/2 + min(pop_mem_BioEng_TR(NP), pop_mem_CV_PB(NP)))/2;

* Metabolic deviation (dissimilarity) for PB model to CA template
pop_mem_MD_PBCA(NP) = ((pop_mem_rxn_PBCA(NP) + pop_mem_Met_PBCA(NP))/2 + min(pop_mem_rxn_PBCA(NP), pop_mem_Met_PBCA(NP)))/2;

* Metabolic deviation (similarity) for PB model to BL template
pop_mem_MD_PBBL(NP) = ((pop_mem_rxn_PBBL(NP) + pop_mem_Met_PBBL(NP))/2 + min(pop_mem_rxn_PBBL(NP), pop_mem_Met_PBBL(NP)))/2;

* Metabolic deviation (similarity) for PB model to HT template
pop_mem_MD_PBHT(NP) = ((pop_mem_rxn_PBHT(NP) + pop_mem_Met_PBHT(NP))/2 + min(pop_mem_rxn_PBHT(NP), pop_mem_Met_PBHT(NP)))/2;

* Metabolic deviation of PB to CA and BL/HT models
pop_mem_MD_TRPB(NP) = ((pop_mem_MD_PBCA(NP) + pop_mem_MD_PBBL(NP) + pop_mem_MD_PBHT(NP))/3 +
                        min(pop_mem_MD_PBCA(NP), pop_mem_MD_PBBL(NP), pop_mem_MD_PBHT(NP)))/2;

*----- prioity fitness evaluation ----------------------------------------------
pop_fitness(NP) $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - pop_constraint(NP);
pop_fitness(NP) $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), pop_mem_CV_TRPB(NP),
                                                                           pop_mem_MD_TRPB(NP)))/2 - pop_constraint(NP);
* the second priori objective
pop_fitness(NP) $ (index_sumZ = 20 or index_sumz = 30) = (pop_mem_BioEng_TR(NP) + min(pop_mem_BioEng_TR(NP), pop_mem_CV_TRPB(NP),
                                                                                      pop_mem_MD_TRPB(NP)))/2 - pop_constraint(NP);
pop_fitness(NP) $ (index_sumZ = 40) = ((pop_mem_BioEng_TR(NP) + pop_mem_CV_TRPB(NP) + pop_mem_MD_PBCA(NP) + pop_mem_MD_PBBL(NP) +
                                        pop_mem_MD_PBHT(NP))/5 + min(pop_mem_BioEng_TR(NP), pop_mem_CV_TRPB(NP), pop_mem_MD_PBCA(NP),
                                                                     pop_mem_MD_PBBL(NP), pop_mem_MD_PBHT(NP)))/2 - pop_constraint(NP);                                                                 
pop_fitness(NP) $ (flag_sumZ = 1) = pop_fitness(NP) + pop_mem_sumZ(NP););
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*---- find the best fitness and individual -------------------------------------
best_fitness = smax(NP, pop_fitness(NP));
loop(NP $ (pop_fitness(NP) >= best_fitness),
     best_MultiObjValue_PB(ObjectSet) = 0;
     best_MultiObjValue_TR(ObjectSet) = 0;     
     best_MultiObjValue_TR(ObjectSet) = pop_MultiObjValue_TR(NP, objectSet);
     best_MultiObjValue_PB(ObjectSet) = pop_MultiObjValue_PB(NP, objectSet);     
     best_Mem_sumZ  = pop_Mem_sumZ(NP);
     best_modelstat = pop_modelstat_FBA(NP);
     best_constraint = pop_constraint(NP);     
     best_fitness = pop_fitness(NP);
     best_mem_CV_PB = pop_mem_CV_PB(NP);
     best_mem_CV_TRPB = pop_mem_CV_TRPB(NP);
     best_mem_BioEng_TR = pop_mem_BioEng_TR(NP);
     best_mem_rxn_PBCA = pop_mem_rxn_PBCA(NP);
     best_mem_Met_PBCA = pop_mem_Met_PBCA(NP);
     best_mem_Fmin_CV_PB = pop_mem_Fmin_CV_PB(NP);
     best_mem_Fmax_CV_PB = pop_mem_Fmax_CV_PB(NP);
     best_mem_rxn_PBBL = pop_mem_rxn_PBBL(NP);
     best_mem_Met_PBBL = pop_mem_Met_PBBL(NP);      
     best_mem_rxn_PBHT = pop_mem_rxn_PBHT(NP);
     best_mem_Met_PBHT = pop_mem_Met_PBHT(NP);
     best_mem_MD_PBBL = pop_mem_MD_PBBL(NP);
     best_mem_MD_PBHT = pop_mem_MD_PBHT(NP);
     best_mem_MD_PBCA = pop_mem_MD_PBCA(NP);
     best_mem_MD_TRPB = pop_mem_MD_TRPB(NP);
     bestmem_XB(Dim_BI) = 0;
     bestmem_XI(Dim_XIR) = 0;
     bestmem_XB(Dim_BI) = pop_XB(NP, Dim_BI);
     bestmem_XI(Dim_XIR) = pop_XI(NP, Dim_XIR);   
);

*----- perform nested HDE computation ------------------------------------------
bestmemit_XB(Dim_BI) = 0;
bestmemit_XI(Dim_XIR) = 0;
bm_XI(NP, Dim_XIR) = 0;
restnum = 0;

*----- iterative solving nested HDE computation --------------------------------
loop(itermax $ ((best_fitness < VTR) or (best_constraint > VTR_G)),
     popold_XI(NP, Dim_XIR) = pop_XI(NP, Dim_XIR);
     popold_XB(NP, Dim_BI) = pop_XB(NP, Dim_BI);

*----- compute the random permutation for ind_HDE(NP) --------------------------
     rand_HDE(NP) = uniform(0, 1);
     ind_HDE(NP) = 1;
     loop(NP,
          number = 1;
          loop(NP_j $ ((rand_HDE(NP) > rand_HDE(NP_j)) and (card(NP_j) <= card(NP))), number = number + 1;);
          loop(NP_k $ ((rand_HDE(NP-1) = rand_HDE(NP_k)) and (card(NP_k) <= card(NP)-1)), number = number + 1;);
          ind_HDE(NP) = number;);

*----- compute the random permutation for a1_HDE(NP) ---------------------------
     rand_HDE(NP) = uniform(0, 1);
     a1_HDE(NP) = 1;
     loop(NP,
          number = 1;
          loop(NP_j $ ((rand_HDE(NP) > rand_HDE(NP_j)) and (card(NP_j) <= card(NP))), number = number + 1;);
          loop(NP_k $ ((rand_HDE(NP-1) = rand_HDE(NP_k)) and (card(NP_k) <= card(NP)-1)), number = number + 1;);
          a1_HDE(NP) = number;);

*----- compute the random permutation for rot_HDE(NP) --------------------------
     rand_HDE(NP) = uniform(0, 1);
     rot_HDE(NP) = 1;
     loop(NP,
          number = 1;
          loop(NP_j $ ((rand_HDE(NP) > rand_HDE(NP_j)) and (card(NP_j) <= card(NP))), number = number + 1;);
          loop(NP_k $ ((rand_HDE(NP-1) = rand_HDE(NP_k)) and (card(NP_k) <= card(NP)-1)), number = number + 1;);
          rot_HDE(NP) = number;);

*----- compute permuted orders for each individual -----------------------------
     rt_HDE(NP) = mod((rot_HDE(NP) + ind_HDE('NP1')), 5);
     a2_HDE(NP) = a1_HDE(NP + (rt_HDE(NP) + 1 - NP_order(NP)));
     rt_HDE(NP) = mod((rot_HDE(NP) + ind_HDE('NP2')), 5);
     a3_HDE(NP) = a2_HDE(NP + (rt_HDE(NP) + 1 - NP_order(NP)));
     rt_HDE(NP) = mod((rot_HDE(NP) + ind_HDE('NP3')), 5);
     a4_HDE(NP) = a3_HDE(NP + (rt_HDE(NP) + 1 - NP_order(NP)));
     rt_HDE(NP) = mod((rot_HDE(NP) + ind_HDE('NP4')), 5);
     a5_HDE(NP) = a4_HDE(NP + (rt_HDE(NP) + 1 - NP_order(NP)));

*----- assign the best individual ----------------------------------------------
     loop(NP, bm_XI(NP, Dim_XIR) = bestmem_XI(Dim_XIR););

*----- mutation operation ------------------------------------------------------
     F_X $ (Method_5 = 0) = F_X0;
     F_X $ (Method_5 = 1) = uniform(0, 1);
     F_X $ (Method_5 = 2) = F_X0 + F_XRatio * uniform(0, 1);

     if (strategy = 1,
         ui_XI(NP, Dim_XIR) = bm_XI(NP, Dim_XIR) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 2,
         ui_XI(NP, Dim_XIR) = popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 3,
         ui_XI(NP, Dim_XIR) = popold_XI(NP, Dim_XIR) + F_X * (bm_XI(NP, Dim_XIR) +
                              popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                              popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 4,
         ui_XI(NP, Dim_XIR) = bm_XI(NP, Dim_XIR) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR) +
                                     popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a4_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 5,
         ui_XI(NP, Dim_XIR) = popold_XI(NP + (a5_HDE(NP) - NP_order(NP)), Dim_XIR) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR) +
                                     popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a4_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 6,
         F_CR = uniform(0, 1);
         ui_XI(NP, Dim_XIR) = popold_XI(NP, Dim_XIR) +  F_CR * (bm_XI(NP, Dim_XIR) - popold_XI(NP, Dim_XIR)) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
     if (strategy = 7,
         F_CR = uniform(0, 1);
         ui_XI(NP, Dim_XIR) = popold_XI(NP, Dim_XIR) +  F_CR * (bm_XI(NP, Dim_XIR) - popold_XI(NP, Dim_XIR)) +
                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR) +
                                     popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                     popold_XI(NP + (a4_HDE(NP) - NP_order(NP)), Dim_XIR)););
* s2 + s1
     if (strategy = 8,
         ui_XI(NP, Dim_XIR) $ (ord(NP) <= card(NP)/2) = popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) +
                                                        F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                        popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR));
         ui_XI(NP, Dim_XIR) $ (ord(NP) >= (1 + card(NP)/2)) = bm_XI(NP, Dim_XIR) +
                                                              F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                              popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
* s1 + s3
     if (strategy = 9,
         ui_XI(NP, Dim_XIR) $ (ord(NP) <= card(NP)/2) = bm_XI(NP, Dim_XIR) +
                                                        F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                        popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR));
         ui_XI(NP, Dim_XIR) $ (ord(NP) >= (1 + card(NP)/2)) = popold_XI(NP, Dim_XIR) + F_X * (bm_XI(NP, Dim_XIR) +
                                                              popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                              popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););
* s2 + s3
     if (strategy = 10,
         ui_XI(NP, Dim_XIR) $ (ord(NP) <= card(NP)/2) = popold_XI(NP + (a3_HDE(NP) - NP_order(NP)), Dim_XIR) +
                                                        F_X * (popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                        popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR));
         ui_XI(NP, Dim_XIR) $ (ord(NP) >= (1 + card(NP)/2)) = popold_XI(NP, Dim_XIR) + F_X * (bm_XI(NP, Dim_XIR) +
                                                              popold_XI(NP + (a1_HDE(NP) - NP_order(NP)), Dim_XIR) -
                                                              popold_XI(NP + (a2_HDE(NP) - NP_order(NP)), Dim_XIR)););

*---- round the real variables to integer variables ----------------------------
    ui_XI(NP, Dim_XI) = round(ui_XI(NP, Dim_XI));

*----- crossover operation -----------------------------------------------------
    rand_C2(NP, Dim_XIR) = uniform(0, 1);
    ui_XI(NP, Dim_XIR) $ (rand_C2(NP, Dim_XIR) >= CR_X) = popold_XI(NP, Dim_XIR) ;

*----- restriction operation ---------------------------------------------------
    ui_XI(NP, Dim_XI) $ ((ui_XI(NP, Dim_XI) < XIR_min(Dim_XI)) or (ui_XI(NP, Dim_XI) > XIR_max(Dim_XI)))
                                                          = uniformInt(XIR_min(Dim_XI), XIR_max(Dim_XI));
    ui_XI(NP, Dim_XR) $ (ui_XI(NP, Dim_XR) < XIR_min(Dim_XR)) = XIR_min(Dim_XR);
    ui_XI(NP, Dim_XR) $ (ui_XI(NP, Dim_XR) > XIR_max(Dim_XR)) = XIR_max(Dim_XR);

*----- decode Candidate_Enz orders to select the regulated reactions -----------
$offorder
    ui_XB(NP, Dim_BI) = 0;
    loop(Dim_XI, ui_XB(NP, Dim_BI) $ (ord(Dim_BI) = ui_XI(NP, Dim_XI)) = uniformInt(%No_UPDownKO_min%, %No_UPDownKO_max%););
$onorder
*-------------------------------------------------------------------------------
* assign regulation strength parameter for each individual
    TR_Reg_Factor(NP) = ui_XI(NP, "RSP1");
*-------------------------------------------------------------------------------

    loop(NP,
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** assign reactions and species in CA models as dynamic sets ****************
         dyn_reactions(reactions) = no;
         dyn_species(species) = no;
         dyn_BioComp(biocompound) = no;
         dyn_irrev_rxn(reactions) = no;
         dyn_rev_rxn(reactions) = no;
         dyn_exchange_rxn(reactions) = no;
         dyn_reactions(reactions) $ (not reactions_NCA(reactions)) = yes;
         dyn_irrev_rxn(reactions) $ (not reactions_NCA(reactions) and irrev_rxn(reactions)) = yes;
         dyn_rev_rxn(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;
         dyn_exchange_rxn(reactions) $ (not reactions_NCA(reactions) and exchange_rxn(reactions)) = yes;
         dyn_species(species) $ (not species_NCA(species)) = yes;
         dyn_BioComp(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
         basal_vf(reactions) = 0;
         basal_vb(reactions) = 0;
         basal_vf(reactions) = CA_vf_UFD(reactions);
         basal_vb(reactions) = CA_vb_UFD(reactions);

         z_HDE(Dim_BI) = 0;
         z_HDE(Dim_BI) = ui_XB(NP, Dim_BI);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
         ui_Mem_sumZ(NP) $ (flag_sumz < 2) = (sumZ_max - sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1))/(sumZ_max - 1);
         ui_Mem_sumZ(NP) $ (flag_sumz = 2) = sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1)/(sumZ_max - 1);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

*---- restrictions for the lower and upper bounds of fluxes --------------------
         vf.lo(reactions) = FluxBound_vf_LB(reactions);
         vf.up(reactions) = FluxBound_vf_UB(reactions);
         vb.lo(reactions) = FluxBound_vb_LB(reactions);
         vb.up(reactions) = FluxBound_vb_UB(reactions);

**++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
         vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
         vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
         vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
         vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
         vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
         vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
         vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
         vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
         vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
         vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
         vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
         vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
         vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
         vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
         vb.lo(irrev_rxn) = 0;
         vb.up(irrev_rxn) = 0;
         vb.fx(irrev_rxn) = 0;
         vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
         vf.lo(irrev_vb_rxn(reactions)) = 0;
         vf.up(irrev_vb_rxn(reactions)) = 0;
         vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
         vf.fx(uptake_demand) = 0;
         vb.fx(secretion_demand) = 0;
         vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
         vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
         vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

         vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
         vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** Set the weighting factors and limits for FBA objectives ******************
         MultiObj_weight(ObjectSet) = 0;
         MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                       W_obj_ratio_CA(objectSet)/MultiObjValue_max(objectSet);
********************************************************************************
*------ compute the lower and upper bounds for the target reactions ------------
         target_limit_LB(targetSet) = 0;
         target_limit_UB(targetSet) = 0;
         MultiObjValue_min(objectSet) = 0;
         target_limit_LB(targetSet) = CA_target_level_LB(targetSet);
         target_limit_UB(targetSet) = CA_target_level_UB(targetSet);
         MultiObjValue_min(objectSet) = CA_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

*---- solve regulated FBA problem ----------------------------------------------
         solve FBA_Problem using LP maximizing objValue_FBA;
         nfeval_FBA_max = nfeval_FBA_max + 1;
         nfeval = nfeval + 1;
         ui_modelstat_FBA(NP) = FBA_Problem.modelstat;
         ui_constraint(NP) = 0;
         constraint_h(Dim_h) = 0;
         ObjOptim_limit $ (ui_modelstat_FBA(NP) <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*---- infeasible solution ------------------------------------------------------
         if(ui_modelstat_FBA(NP) > 2,
            ui_mem_BioEng_TR(NP) = 0;       
            ui_mem_Fmin_CV_PB(NP) = 0;
            ui_mem_Fmax_CV_PB(NP) = 0;
            ui_mem_rxn_PBBL(NP) = 0;
            ui_mem_Met_PBBL(NP) = 0;            
            ui_mem_rxn_PBHT(NP) = 0;
            ui_mem_Met_PBHT(NP) = 0;
            ui_mem_rxn_PBCA(NP) = 0;
            ui_mem_Met_PBCA(NP) = 0;        
            constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
            constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                           sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                          max((ObjOptim_limit - ObjValue_FBA.l), 0);
            ui_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------
*---- solve UFD problem --------------------------------------------------------
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
         if(ui_modelstat_FBA(NP) <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
            weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
            weight_coef_rxn(reactions) $ (CA_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
            weight_coef_rxn(reactions) $ (CA_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
            weight_coef_rxn(reactions) $ (CA_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************            
            solve UFD_Problem using QCP minimizing ObjValue_UFD ;
            nfeval_UFD_min = nfeval_UFD_min + 1;
            nfeval = nfeval + 1;
            ui_modelstat_UFD(NP) = UFD_Problem.modelstat;
            TR_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
            TR_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
            TR_vf_UFD(reactions) $ (TR_vf_UFD(reactions) < 0) = 0;
            TR_vb_UFD(reactions) $ (TR_vb_UFD(reactions) < 0) = 0;
            TR_v_UFD(reactions) = TR_vf_UFD(reactions) - TR_vb_UFD(reactions);
            
*---- infeasible solution ------------------------------------------------------
            if(ui_modelstat_UFD(NP) > 2,
               ui_mem_BioEng_TR(NP) = 0;       
               ui_mem_Fmin_CV_PB(NP) = 0;
               ui_mem_Fmax_CV_PB(NP) = 0;
               ui_mem_rxn_PBBL(NP) = 0;
               ui_mem_Met_PBBL(NP) = 0;            
               ui_mem_rxn_PBHT(NP) = 0;
               ui_mem_Met_PBHT(NP) = 0;
               ui_mem_rxn_PBCA(NP) = 0;
               ui_mem_Met_PBCA(NP) = 0;        
               constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
               constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                              sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                          max((ObjOptim_limit - ObjValue_FBA.l), 0);
               ui_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------

*---- solve UFD problem --------------------------------------------------------
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            if(ui_modelstat_UFD(NP) <= 2,

**** compute multi-objective values ***************************************************************************************************************** 
               tmp_MultiObjValue(ObjectSet) = 0;
               tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * TR_vf_UFD(dyn_reactions)) +
                                              sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * TR_vb_UFD(dyn_reactions));

               ui_MultiObjValue_TR(NP, objectSet) = tmp_MultiObjValue(ObjectSet);
               
**** compute fuzzy min VBOF and its membership grade for TR model ***********************************************************************************
               mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = (MultiObjValue_max(Fuzzy_min_Eng_obj) - tmp_MultiObjValue(Fuzzy_min_Eng_obj) + tol_eps)/
                                                       (MultiObjValue_max(Fuzzy_min_Eng_obj) - MultiObjValue_min(Fuzzy_min_Eng_obj) + tol_eps);  
               mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = max(min(mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj), 1), 0);          
               ui_mem_BioEng_TR(NP) = (sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
                                       smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;                                       
*****************************************************************************************************************************************************

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
               constraint_h(Dim_h)  = 0;
               constraint_g  = 0;
               ui_constraint(NP) = 0;
               
*===== evaluating side effects to solve mutant FBA and UFD problems of BL model =====================================================================
***** assign reactions and species in BL models as dynamic sets ****************        
               dyn_reactions(reactions) = no;
               dyn_species(species) = no;
               dyn_biocomp(biocompound) = no;
               dyn_irrev_rxn(reactions) = no;
               dyn_rev_rxn(reactions) = no;
               dyn_exchange_rxn(reactions) = no;
               dyn_reactions(reactions) = yes;
               dyn_species(species) = yes;
               dyn_biocomp(biocompound) = yes;
               dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
               dyn_rev_rxn(reactions) = rev_rxn(reactions);
               dyn_exchange_rxn(reactions) = exchange_rxn(reactions);
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
               basal_vf(reactions) = 0;
               basal_vb(reactions) = 0;
               basal_vf(reactions) = BL_vf_UFD(reactions);
               basal_vb(reactions) = BL_vb_UFD(reactions);

*---- restrictions for the lower and upper bounds of fluxes --------------------
               vf.lo(reactions) = FluxBound_vf_LB(reactions);
               vf.up(reactions) = FluxBound_vf_UB(reactions);
               vb.lo(reactions) = FluxBound_vb_LB(reactions);
               vb.up(reactions) = FluxBound_vb_UB(reactions);

*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
               vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
               vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
               vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
               vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
               vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
               vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
               vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
               vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
               vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
               vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
               vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
               vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
               vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
               vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
               vb.lo(irrev_rxn) = 0;
               vb.up(irrev_rxn) = 0;
               vb.fx(irrev_rxn) = 0;
               vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
               vf.lo(irrev_vb_rxn(reactions)) = 0;
               vf.up(irrev_vb_rxn(reactions)) = 0;
               vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
               vf.fx(uptake_demand) = 0;
               vb.fx(secretion_demand) = 0;
               vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
               vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
               vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

               vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
               vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** Set the weighting factors and limits for FBA objectives ******************
               MultiObj_weight(ObjectSet) = 0;
               MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                             W_obj_ratio_BL(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions -------------
               target_limit_LB(targetSet) = 0;
               target_limit_UB(targetSet) = 0;
               MultiObjValue_min(objectSet) = 0;
               target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
               target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
               MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------
*---- solve mutant FBA problem considering side effect -------------------------
               solve FBA_Problem using LP maximizing objValue_FBA ;
               nfeval_FBA_max = nfeval_FBA_max + 1;
               nfeval = nfeval + 1;
               ObjOptim_limit $ (FBA_Problem.modelstat <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;
               
*---- infeasible solution ------------------------------------------------------
               if(FBA_Problem.modelstat > 2,
                  ui_MultiObjValue_PB(NP, objectSet) = 0;           
                  ui_mem_Fmin_CV_PB(NP) = 0;
                  ui_mem_Fmax_CV_PB(NP) = 0;
                  ui_mem_rxn_PBBL(NP) = 0;
                  ui_mem_Met_PBBL(NP) = 0;        
                  ui_mem_rxn_PBHT(NP) = 0;
                  ui_mem_Met_PBHT(NP) = 0;
                  ui_mem_rxn_PBCA(NP) = 0;
                  ui_mem_Met_PBCA(NP) = 0;    
                  constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                  constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                 sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
                  ui_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------     

**** mutant UFD problem considering side effect ********************************
               if(FBA_Problem.modelstat <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
                  weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
                  weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
                  weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
                  weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************                
                  solve UFD_Problem using QCP minimizing ObjValue_UFD ;
                  nfeval_UFD_min = nfeval_UFD_min + 1;
                  nfeval = nfeval + 1;);

*---- infeasible solution ------------------------------------------------------
               if(UFD_Problem.modelstat > 2,
                  ui_MultiObjValue_PB(NP, objectSet) = 0;           
                  ui_mem_Fmin_CV_PB(NP) = 0;
                  ui_mem_Fmax_CV_PB(NP) = 0;
                  ui_mem_rxn_PBBL(NP) = 0;
                  ui_mem_Met_PBBL(NP) = 0;        
                  ui_mem_rxn_PBHT(NP) = 0;
                  ui_mem_Met_PBHT(NP) = 0;
                  ui_mem_rxn_PBCA(NP) = 0;
                  ui_mem_Met_PBCA(NP) = 0;    
                  constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                  constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                 sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
                  ui_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------  
                          
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%              
               if(FBA_Problem.modelstat <= 2 and UFD_Problem.modelstat <= 2,
* compute synthesis rate and degradation rate for each BioCompound at the mutant state
                  PB_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
                  PB_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
                  PB_vf_UFD(reactions) $ (PB_vf_UFD(reactions) < 0) = 0;
                  PB_vb_UFD(reactions) $ (PB_vb_UFD(reactions) < 0) = 0;
                  PB_v_UFD(reactions) = PB_vf_UFD(reactions) - PB_vb_UFD(reactions);                

                  PB_Species_SynRate(species) = 0;
                  loop(dyn_species,
                       PB_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                            (S_Matrix(dyn_species, dyn_reactions) > 0) * PB_vf_UFD(dyn_reactions))
                                                       - sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                            (S_Matrix(dyn_species, dyn_reactions) < 0) * PB_vb_UFD(dyn_reactions)););

***** compute the score between experimental data and model prediction *********
                  PB_BioComp_SynRate(BioCompound) = 0;
                  loop(BioComp_PBBL,
                       PB_BioComp_SynRate(BioComp_PBBL) = sum(dyn_species $ (BioCompound_species(BioComp_PBBL, dyn_species)),
                                                              PB_Species_SynRate(dyn_species)););
****************************************************************************************************************************************************
                  tmp_MultiObjValue(ObjectSet) = 0;
                  tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * PB_vf_UFD(dyn_reactions)) +
                                                 sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * PB_vb_UFD(dyn_reactions));           

                  ui_MultiObjValue_PB(NP, objectSet) = tmp_MultiObjValue(ObjectSet);
*****************************************************************************************************************************************************                          
***** compute fuzzy min and fuzzy max of cell viability and its membership grade for TR model ******************************************************* 
                  mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = (MultiObjValue_max(Fuzzy_min_CV_obj) - tmp_MultiObjValue(Fuzzy_min_CV_obj) + tol_eps)/
                                                     (MultiObjValue_max(Fuzzy_min_CV_obj) - MultiObjValue_min(Fuzzy_min_CV_obj) + tol_eps);                                                             
                  mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = max(min(mem_Fmin_CV_PB(Fuzzy_min_CV_obj), 1), 0);
           
                  mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = (tmp_MultiObjValue(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps)/
                                                     (MultiObjValue_max(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps);
                  mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = max(min(mem_Fmax_CV_PB(Fuzzy_max_CV_obj), 1), 0);
           
                  ui_mem_Fmin_CV_PB(NP) = sum(Fuzzy_min_CV_obj, mem_Fmin_CV_PB(Fuzzy_min_CV_obj))/card(Fuzzy_min_CV_obj);
                  ui_mem_Fmax_CV_PB(NP) = sum(Fuzzy_max_CV_obj, mem_Fmax_CV_PB(Fuzzy_max_CV_obj))/card(Fuzzy_max_CV_obj);     
*****************************************************************************************************************************************************
***** compute fuzzy dissimilarity of flux and its membership grade for PBCA model *******************************************************************
                  L_mem_vf_PBCA(rxn_vf_PBCA) = (PB_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps)/
                                               (CA_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps);
                  R_mem_vf_PBCA(rxn_vf_PBCA) = (CA_vf_rxn_UB(rxn_vf_PBCA) - PB_vf_UFD(rxn_vf_PBCA) + tol_eps)/
                                               (CA_vf_rxn_UB(rxn_vf_PBCA)- CA_vf_UFD(rxn_vf_PBCA) + tol_eps);           
                  L_mem_vb_PBCA(rxn_vb_PBCA) = (PB_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps)/
                                               (CA_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps);
                  R_mem_vb_PBCA(rxn_vb_PBCA) = (CA_vb_rxn_UB(rxn_vb_PBCA) - PB_vb_UFD(rxn_vb_PBCA) + tol_eps)/
                                               (CA_vb_rxn_UB(rxn_vb_PBCA)- CA_vb_UFD(rxn_vb_PBCA) + tol_eps);    

***** Intialization
                  mem_vf_PBCA(reactions) = 1;
                  mem_vb_PBCA(reactions) = 1;
                  
                  mem_vf_PBCA(rxn_vf_PBCA) = max(min(L_mem_vf_PBCA(rxn_vf_PBCA), R_mem_vf_PBCA(rxn_vf_PBCA), 1), 0);
                  mem_vb_PBCA(rxn_vb_PBCA) = max(min(L_mem_vb_PBCA(rxn_vb_PBCA), R_mem_vb_PBCA(rxn_vb_PBCA), 1), 0);

                  nonzero_vf_PBCA(reactions) = no;
                  nonzero_vf_PBCA(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                 CA_vf_UFD(reactions) > 0) and rxn_vf_PBCA(reactions)) = yes;
                  nonzero_vb_PBCA(reactions) = no;
                  nonzero_vb_PBCA(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                 CA_vb_UFD(reactions) > 0) and rxn_vb_PBCA(reactions)) = yes;
                  nonzero_v_PBCA(reactions) = no;
                  nonzero_v_PBCA(reactions) = nonzero_vf_PBCA(reactions) + nonzero_vb_PBCA(reactions);
                        
                  ui_mem_rxn_PBCA(NP) = sum(reactions $ (nonzero_v_PBCA(reactions)),
                                            min(mem_vf_PBCA(reactions), mem_vb_PBCA(reactions)))/card(nonzero_v_PBCA);
                  ui_mem_rxn_PBCA(NP) = 1 - ui_mem_rxn_PBCA(NP);                  
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBBL model ***********************************************************
                  L_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                        (BL_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
                  R_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (BL_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                        (BL_MetFlowRate_UB(BioComp_ExpWarb) - BL_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
                  L_mem_Met_PBBL(BioComp_PBBL) = (PB_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps)/
                                                 (BL_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps); 
                  R_mem_Met_PBBL(BioComp_PBBL) = (BL_MetFlowRate_UB(BioComp_PBBL) - PB_BioComp_SynRate(BioComp_PBBL) + tol_eps)/
                                                 (BL_MetFlowRate_UB(BioComp_PBBL) - BL_BioComp_SynRate(BioComp_PBBL) + tol_eps);  
                  mem_Met_Exp_PBBL(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBBL(BioComp_ExpWarb), R_mem_Met_Exp_PBBL(BioComp_ExpWarb), 1), 0);
                  mem_Met_PBBL(BioComp_PBBL) = max(min(L_mem_Met_PBBL(BioComp_PBBL), R_mem_Met_PBBL(BioComp_PBBL), 1), 0);             
                  ui_mem_Met_Exp_PBBL(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBBL(BioComp_ExpWarb))/card(BioComp_ExpWarb);

                  nonzero_Biocomp_PBBL(biocompound) = no;             
                  nonzero_Biocomp_PBBL(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                        BL_BioComp_SynRate(biocompound) > 0) and BioComp_PBBL(biocompound)) = yes;              
                  ui_mem_Met_PBBL(NP) = sum(BioCompound $ (nonzero_Biocomp_PBBL(biocompound)),
                                            mem_Met_PBBL(BioCompound))/card(nonzero_Biocomp_PBBL);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBBL model **********************************************************************
                  L_mem_vf_PBBL(rxn_vf_PBBL) = (PB_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps)/
                                               (BL_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps);
                  R_mem_vf_PBBL(rxn_vf_PBBL) = (BL_vf_rxn_UB(rxn_vf_PBBL) - PB_vf_UFD(rxn_vf_PBBL) + tol_eps)/
                                               (BL_vf_rxn_UB(rxn_vf_PBBL)- BL_vf_UFD(rxn_vf_PBBL) + tol_eps);           

                  L_mem_vb_PBBL(rxn_vb_PBBL) = (PB_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps)/
                                               (BL_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps);
                  R_mem_vb_PBBL(rxn_vb_PBBL) = (BL_vb_rxn_UB(rxn_vb_PBBL) - PB_vb_UFD(rxn_vb_PBBL) + tol_eps)/
                                               (BL_vb_rxn_UB(rxn_vb_PBBL)- BL_vb_UFD(rxn_vb_PBBL) + tol_eps);    
***** Intialization
                  mem_vf_PBBL(reactions) = 1;
                  mem_vb_PBBL(reactions) = 1;

                  mem_vf_PBBL(rxn_vf_PBBL) = max(min(L_mem_vf_PBBL(rxn_vf_PBBL), R_mem_vf_PBBL(rxn_vf_PBBL), 1), 0);
                  mem_vb_PBBL(rxn_vb_PBBL) = max(min(L_mem_vb_PBBL(rxn_vb_PBBL), R_mem_vb_PBBL(rxn_vb_PBBL), 1), 0);
              
                  nonzero_vf_PBBL(reactions) = no;
                  nonzero_vf_PBBL(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                 BL_vf_UFD(reactions) > 0) and rxn_vf_PBBL(reactions)) = yes;
                  nonzero_vb_PBBL(reactions) = no;
                  nonzero_vb_PBBL(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                 BL_vb_UFD(reactions) > 0) and rxn_vb_PBBL(reactions)) = yes;
                  nonzero_v_PBBL(reactions) = no;
                  nonzero_v_PBBL(reactions) = nonzero_vf_PBBL(reactions) + nonzero_vb_PBBL(reactions);                                                          
                  ui_mem_rxn_PBBL(NP) = sum(reactions $ (nonzero_v_PBBL(reactions)),
                                            min(mem_vf_PBBL(reactions), mem_vb_PBBL(reactions)))/card(nonzero_v_PBBL);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for TR model *************************************************************
                  L_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                        (HT_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
                  R_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (HT_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                        (HT_MetFlowRate_UB(BioComp_ExpWarb) - HT_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
                  L_mem_Met_PBHT(BioComp_PBHT) = (PB_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps)/
                                                 (HT_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps); 
                  R_mem_Met_PBHT(BioComp_PBHT) = (HT_MetFlowRate_UB(BioComp_PBHT) - PB_BioComp_SynRate(BioComp_PBHT) + tol_eps)/
                                                 (HT_MetFlowRate_UB(BioComp_PBHT) - HT_BioComp_SynRate(BioComp_PBHT) + tol_eps);  
                  mem_Met_Exp_PBHT(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBHT(BioComp_ExpWarb), R_mem_Met_Exp_PBHT(BioComp_ExpWarb), 1), 0);
                  mem_Met_PBHT(BioComp_PBHT) = max(min(L_mem_Met_PBHT(BioComp_PBHT), R_mem_Met_PBHT(BioComp_PBHT), 1), 0);
                  ui_mem_Met_Exp_PBHT(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBHT(BioComp_ExpWarb))/card(BioComp_ExpWarb);
                  
                  nonzero_Biocomp_PBHT(biocompound) = no;             
                  nonzero_Biocomp_PBHT(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                        HT_BioComp_SynRate(biocompound) > 0) and BioComp_PBHT(biocompound)) = yes;              
                  ui_mem_Met_PBHT(NP) = sum(BioCompound $ (nonzero_Biocomp_PBHT(biocompound)),
                                            mem_Met_PBHT(BioCompound))/card(nonzero_Biocomp_PBHT);
*****************************************************************************************************************************************************

***** compute fuzzy similarity of flux and its membership grade for TR model ************************************************************************
                  L_mem_vf_PBHT(rxn_vf_PBHT) = (PB_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps)/
                                               (HT_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps);
                  R_mem_vf_PBHT(rxn_vf_PBHT) = (HT_vf_rxn_UB(rxn_vf_PBHT) - PB_vf_UFD(rxn_vf_PBHT) + tol_eps)/
                                               (HT_vf_rxn_UB(rxn_vf_PBHT)- HT_vf_UFD(rxn_vf_PBHT) + tol_eps);           

                  L_mem_vb_PBHT(rxn_vb_PBHT) = (PB_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps)/
                                               (HT_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps);
                  R_mem_vb_PBHT(rxn_vb_PBHT) = (HT_vb_rxn_UB(rxn_vb_PBHT) - PB_vb_UFD(rxn_vb_PBHT) + tol_eps)/
                                               (HT_vb_rxn_UB(rxn_vb_PBHT)- HT_vb_UFD(rxn_vb_PBHT) + tol_eps);    

***** intialization
                  mem_vf_PBHT(reactions) = 1;
                  mem_vb_PBHT(reactions) = 1;                  
                  mem_vf_PBHT(rxn_vf_PBHT) = max(min(L_mem_vf_PBHT(rxn_vf_PBHT), R_mem_vf_PBHT(rxn_vf_PBHT), 1), 0);
                  mem_vb_PBHT(rxn_vb_PBHT) = max(min(L_mem_vb_PBHT(rxn_vb_PBHT), R_mem_vb_PBHT(rxn_vb_PBHT), 1), 0);
           
                  nonzero_vf_PBHT(reactions) = no;
                  nonzero_vf_PBHT(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                 HT_vf_UFD(reactions) > 0) and rxn_vf_PBHT(reactions)) = yes;
                  nonzero_vb_PBHT(reactions) = no;
                  nonzero_vb_PBHT(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                 HT_vb_UFD(reactions) > 0) and rxn_vb_PBHT(reactions)) = yes;     
                  nonzero_v_PBHT(reactions) = no;
                  nonzero_v_PBHT(reactions) = nonzero_vf_PBHT(reactions) + nonzero_vb_PBHT(reactions);

                  ui_mem_rxn_PBHT(NP) = sum(reactions $ (nonzero_v_PBHT(reactions)),
                                            min(mem_vf_PBHT(reactions), mem_vb_PBHT(reactions)))/card(nonzero_v_PBHT);
*****************************************************************************************************************************************************
                  constraint_h(Dim_h) = 0;
                  constraint_g = 0;
                  ui_constraint(NP) = 0; 
               );
            );
         );
*====================================================================================================================================================
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*----- fitness evaluation ------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
* ui_mem_BioEng_TR(NP) = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
*                         smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

* Cell viability for PB model
ui_mem_CV_PB(NP) = ((ui_mem_Fmin_CV_PB(NP) + ui_mem_Fmax_CV_PB(NP))/2 + min(ui_mem_Fmin_CV_PB(NP), ui_mem_Fmax_CV_PB(NP)))/2;

* the first priori objective for cell mortality of TR and PB model
ui_mem_CV_TRPB(NP) $ (index_sumz <= 20) = (ui_mem_BioEng_TR(NP) + min(ui_mem_BioEng_TR(NP), ui_mem_CV_PB(NP)))/2;

* the first priori objective for both cell mortality and cell viability for TR and PB model
ui_mem_CV_TRPB(NP) $ (index_sumz >= 30) = ((ui_mem_BioEng_TR(NP) + ui_mem_CV_PB(NP))/2 + min(ui_mem_BioEng_TR(NP), ui_mem_CV_PB(NP)))/2;

* Metabolic deviation (dissimilarity) for PB model to CA template
ui_mem_MD_PBCA(NP) = ((ui_mem_rxn_PBCA(NP) + ui_mem_Met_PBCA(NP))/2 + min(ui_mem_rxn_PBCA(NP), ui_mem_Met_PBCA(NP)))/2;

* Metabolic deviation (similarity) for PB model to BL template
ui_mem_MD_PBBL(NP) = ((ui_mem_rxn_PBBL(NP) + ui_mem_Met_PBBL(NP))/2 + min(ui_mem_rxn_PBBL(NP), ui_mem_Met_PBBL(NP)))/2;

* Metabolic deviation (similarity) for PB model to HT template
ui_mem_MD_PBHT(NP) = ((ui_mem_rxn_PBHT(NP) + ui_mem_Met_PBHT(NP))/2 + min(ui_mem_rxn_PBHT(NP), ui_mem_Met_PBHT(NP)))/2;

* Metabolic deviation of PB to CA and BL/HT models
ui_mem_MD_TRPB(NP) = ((ui_mem_MD_PBCA(NP) + ui_mem_MD_PBBL(NP) + ui_mem_MD_PBHT(NP))/3 +
                        min(ui_mem_MD_PBCA(NP), ui_mem_MD_PBBL(NP), ui_mem_MD_PBHT(NP)))/2;

*----- prioity fitness evaluation ----------------------------------------------
ui_fitness(NP) $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - ui_constraint(NP);
ui_fitness(NP) $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), ui_mem_CV_TRPB(NP),
                                                                           ui_mem_MD_TRPB(NP)))/2 - ui_constraint(NP);
* the second priori objective
ui_fitness(NP) $ (index_sumZ = 20 or index_sumz = 30) = (ui_mem_BioEng_TR(NP) + min(ui_mem_BioEng_TR(NP), ui_mem_CV_TRPB(NP),
                                                                                      ui_mem_MD_TRPB(NP)))/2 - ui_constraint(NP);
ui_fitness(NP) $ (index_sumZ = 40) = ((ui_mem_BioEng_TR(NP) + ui_mem_CV_TRPB(NP) + ui_mem_MD_PBCA(NP) + ui_mem_MD_PBBL(NP) +
                                       ui_mem_MD_PBHT(NP))/5 + min(ui_mem_BioEng_TR(NP), ui_mem_CV_TRPB(NP), ui_mem_MD_PBCA(NP),
                                                                   ui_mem_MD_PBBL(NP), ui_mem_MD_PBHT(NP)))/2 - ui_constraint(NP);                                                          
ui_fitness(NP) $ (flag_sumZ = 1) = ui_fitness(NP) + ui_mem_sumZ(NP););
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*---- selection operation ------------------------------------------------------
*---- compete pop_fitness(NP) with ui_pop(NP) ----------------------------------
    loop(NP $ (ui_fitness(NP) > pop_fitness(NP)),
         pop_XI(NP, Dim_XIR) = 0;
         pop_XB(NP, Dim_BI) = 0;
         pop_MultiObjValue_TR(NP, objectSet) = 0;
         pop_MultiObjValue_PB(NP, objectSet) = 0;
         pop_MultiObjValue_TR(NP, objectSet) = ui_MultiObjValue_TR(NP, objectSet);            
         pop_MultiObjValue_PB(NP, objectSet) = ui_MultiObjValue_PB(NP, objectSet);       
         pop_XI(NP, Dim_XIR) = ui_XI(NP, Dim_XIR);
         pop_XB(NP, Dim_BI) = ui_XB(NP, Dim_BI);
         pop_Mem_sumZ(NP) = ui_Mem_sumZ(NP);
         pop_modelStat_FBA(NP) = ui_modelstat_FBA(NP);
         pop_constraint(NP) = ui_constraint(NP);
         pop_fitness(NP) = ui_fitness(NP);
         pop_mem_BioEng_TR(NP) = ui_mem_BioEng_TR(NP);
         pop_mem_CV_PB(NP) = ui_mem_CV_PB(NP);
         pop_mem_CV_TRPB(NP) = ui_mem_CV_TRPB(NP);
         pop_mem_Fmin_CV_PB(NP) = ui_mem_Fmin_CV_PB(NP);
         pop_mem_Fmax_CV_PB(NP) = ui_mem_Fmax_CV_PB(NP);        
         pop_mem_rxn_PBCA(NP) = ui_mem_rxn_PBCA(NP);
         pop_mem_Met_PBCA(NP) = ui_mem_Met_PBCA(NP);
         pop_mem_rxn_PBBL(NP) = ui_mem_rxn_PBBL(NP);
         pop_mem_Met_PBBL(NP) = ui_mem_Met_PBBL(NP);            
         pop_mem_rxn_PBHT(NP) = ui_mem_rxn_PBHT(NP);
         pop_mem_Met_PBHT(NP) = ui_mem_Met_PBHT(NP);
         pop_mem_MD_PBBL(NP) = ui_mem_MD_PBBL(NP);
         pop_mem_MD_PBHT(NP) = ui_mem_MD_PBHT(NP);
         pop_mem_MD_PBCA(NP) = ui_mem_MD_PBCA(NP);
         pop_mem_MD_TRPB(NP) = ui_mem_MD_TRPB(NP);         
);

*---- find the best fitness and individual -------------------------------------
    best_fitness = smax(NP, pop_fitness(NP));
    loop(NP $ (pop_fitness(NP) >= best_fitness),
         best_multiObjValue_TR(ObjectSet) = 0;
         best_multiObjValue_PB(ObjectSet) = 0;         
         best_multiObjValue_TR(ObjectSet) = pop_MultiObjValue_TR(NP, objectSet);   
         best_multiObjValue_PB(ObjectSet) = pop_MultiObjValue_PB(NP, objectSet);   
         best_Mem_sumZ  = pop_Mem_sumZ(NP);
         best_modelstat = pop_modelstat_FBA(NP);
         best_constraint = pop_constraint(NP);     
         best_fitness = pop_fitness(NP);
         best_mem_BioEng_TR = pop_mem_BioEng_TR(NP);         
         best_mem_CV_PB = pop_mem_CV_PB(NP);
         best_mem_CV_TRPB = pop_mem_CV_TRPB(NP);
         best_mem_Fmin_CV_PB = pop_mem_Fmin_CV_PB(NP);
         best_mem_Fmax_CV_PB = pop_mem_Fmax_CV_PB(NP);
         best_mem_rxn_PBCA = pop_mem_rxn_PBCA(NP);
         best_mem_Met_PBCA = pop_mem_Met_PBCA(NP);
         best_mem_rxn_PBBL = pop_mem_rxn_PBBL(NP);
         best_mem_Met_PBBL = pop_mem_Met_PBBL(NP);          
         best_mem_rxn_PBHT = pop_mem_rxn_PBHT(NP);
         best_mem_Met_PBHT = pop_mem_Met_PBHT(NP);
         best_mem_MD_PBBL = pop_mem_MD_PBBL(NP);
         best_mem_MD_PBHT = pop_mem_MD_PBHT(NP);
         best_mem_MD_PBCA = pop_mem_MD_PBCA(NP);
         best_mem_MD_TRPB = pop_mem_MD_TRPB(NP);         
         bestmem_XB(Dim_BI) = 0;
         bestmem_XI(Dim_XIR) = 0;
         bestmem_XB(Dim_BI) = pop_XB(NP, Dim_BI);
         bestmem_XI(Dim_XIR) = pop_XI(NP, Dim_XIR);        
    );
*-------------------------------------------------------------------------------

*----- migration operation -----------------------------------------------------
*----- compute gene diversity for integer variables ----------------------------
    if (method_1 >= 1,
        gene_diversity(NP, Dim_BI) = 0;
        gene_diversity_R(NP, Dim_XIR) = 0;
        loop(NP, gene_diversity(NP, Dim_BI) $ ((pop_XB(NP, Dim_BI) - bestmem_XB(Dim_BI)) <> 0) = 1;);
        loop(NP, gene_diversity_R(NP, Dim_XR) $ (abs(pop_XI(NP, Dim_XR) - bestmem_XI(Dim_XR)) > epsilon2 * abs(bestmem_XI(Dim_XR))) = 1;);

        pop_diversity = (sum((NP, Dim_BI), gene_diversity(NP, Dim_BI)) + sum((NP, Dim_XR), gene_diversity_R(NP, Dim_XR)))
                         /((card(Dim_BI) + card(Dim_XR)) * (card(NP) - 1));

        if (pop_diversity <= epsilon1 or index_migration >= method_6,
            restnum = restnum + 1;

*****************************************************************************************************************************************************
*----- the population restart based on the best individual ---------------------
$ontext
            rand_C1(NP, Dim_XIR) = uniform(0, 1);
            pop_XI(NP, Dim_XIR) $ (rand_C1(NP, Dim_XIR) * (XIR_max(Dim_XIR) - XIR_min(Dim_XIR)) < (bestmem_XI(Dim_XIR) - XIR_min(Dim_XIR))) =
                                                                                       uniformInt(XIR_min(Dim_XIR), bestmem_XI(Dim_XIR) - 1);
            pop_XI(NP, Dim_XIR) $ (rand_C1(NP, Dim_XIR) * (XIR_max(Dim_XIR) - XIR_min(Dim_XIR)) >= (bestmem_XI(Dim_XIR) - XIR_min(Dim_XIR))) =
                                                                                       uniformInt(bestmem_XI(Dim_XIR) + 1, XIR_max(Dim_XIR));
$offtext
            rand_C1(NP, Dim_XIR) = uniform(0, 1);
            rand_C2(NP, Dim_XIR) = uniform(0, 1);
            pop_XI(NP, Dim_XIR) $ (rand_C1(NP, Dim_XIR) * (XIR_max(Dim_XIR) - XIR_min(Dim_XIR)) < (bestmem_XI(Dim_XIR) - XIR_min(Dim_XIR))) =
                                   bestmem_XI(Dim_XIR) + rand_C2(NP, Dim_XIR) * (XIR_min(Dim_XIR) - bestmem_XI(Dim_XIR));
            pop_XI(NP, Dim_XIR) $ (rand_C1(NP, Dim_XIR) * (XIR_max(Dim_XIR) - XIR_min(Dim_XIR)) >= (bestmem_XI(Dim_XIR) - XIR_min(Dim_XIR))) =
                                   bestmem_XI(Dim_XIR) + rand_C2(NP, Dim_XIR) * (XIR_max(Dim_XIR) - bestmem_XI(Dim_XIR));
            pop_XI(NP, Dim_XI) = round(pop_XI(NP, Dim_XI));

*----- the population restart using uniformInt ---------------------------------
*            pop_XI(NP, Dim_XIR) = uniformInt(XIR_min(Dim_XIR), XIR_max(Dim_XIR));
*****************************************************************************************************************************************************

*----- decode Candidate_Enz orders to select the regulated reactions -----------
$offorder
            pop_XB(NP, Dim_BI) = 0;
            loop(Dim_XI, pop_XB(NP, Dim_BI) $ (ord(Dim_BI) = pop_XI(NP, Dim_XI)) = uniformInt(%No_UPDownKO_min%, %No_UPDownKO_max%););
$onorder
*-------------------------------------------------------------------------------
* assign regulation strength parameter for each individual
            TR_Reg_Factor(NP) = pop_XI(NP, "RSP1");

*---- save the best individual -------------------------------------------------
            pop_MultiObjValue_TR('NP1', objectSet) = 0;
            pop_MultiObjValue_PB('NP1', objectSet) = 0;            
            pop_MultiObjValue_TR('NP1', objectSet) = best_multiObjValue_TR(ObjectSet);   
            pop_MultiObjValue_PB('NP1', objectSet) = best_multiObjValue_PB(ObjectSet);   
            pop_Mem_sumZ('NP1') = best_Mem_sumZ;
            pop_modelstat_FBA('NP1') = best_modelstat;
            pop_constraint('NP1') = best_constraint;     
            pop_fitness('NP1') = best_fitness;
            pop_mem_BioEng_TR('NP1') = best_mem_BioEng_TR;            
            pop_mem_CV_PB('NP1') = best_mem_CV_PB;
            pop_mem_CV_TRPB('NP1') = best_mem_CV_TRPB;
            pop_mem_Fmin_CV_PB('NP1') = best_mem_Fmin_CV_PB;
            pop_mem_Fmax_CV_PB('NP1') = best_mem_Fmax_CV_PB;     
            pop_mem_rxn_PBCA('NP1') = best_mem_rxn_PBCA;
            pop_mem_Met_PBCA('NP1') = best_mem_Met_PBCA;
            pop_mem_rxn_PBBL('NP1') = best_mem_rxn_PBBL;
            pop_mem_Met_PBBL('NP1') = best_mem_Met_PBBL;            
            pop_mem_rxn_PBHT('NP1') = best_mem_rxn_PBHT;
            pop_mem_Met_PBHT('NP1') = best_mem_Met_PBHT;
            pop_mem_MD_PBBL('NP1') = best_mem_MD_PBBL;
            pop_mem_MD_PBHT('NP1') = best_mem_MD_PBHT;
            pop_mem_MD_PBCA('NP1') = best_mem_MD_PBCA;
            pop_mem_MD_TRPB('NP1') = best_mem_MD_TRPB;            
            pop_XI('NP1', Dim_XIR) = 0;
            pop_XB('NP1', Dim_BI) = 0;            
            pop_XB('NP1', Dim_BI) = bestmem_XB(Dim_BI);
            pop_XI('NP1', Dim_XIR) = bestmem_XI(Dim_XIR); 
*-------------------------------------------------------------------------------

*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** assign reactions and species in CA models as dynamic sets ****************
            loop(NP $ (ord(NP) >= 2),
                 dyn_reactions(reactions) = no;
                 dyn_species(species) = no;
                 dyn_BioComp(biocompound) = no;
                 dyn_irrev_rxn(reactions) = no;
                 dyn_rev_rxn(reactions) = no;
                 dyn_exchange_rxn(reactions) = no;
                 dyn_reactions(reactions) $ (not reactions_NCA(reactions)) = yes;
                 dyn_irrev_rxn(reactions) $ (not reactions_NCA(reactions) and irrev_rxn(reactions)) = yes;
                 dyn_rev_rxn(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;
                 dyn_exchange_rxn(reactions) $ (not reactions_NCA(reactions) and exchange_rxn(reactions)) = yes;
                 dyn_species(species) $ (not species_NCA(species)) = yes;
                 dyn_BioComp(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
                 basal_vf(reactions) = 0;
                 basal_vb(reactions) = 0;
                 basal_vf(reactions) = CA_vf_UFD(reactions);
                 basal_vb(reactions) = CA_vb_UFD(reactions);
********************************************************************************     
                 z_HDE(Dim_BI) = 0;
                 z_HDE(Dim_BI) = pop_XB(NP, Dim_BI);
            
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                 pop_Mem_sumZ(NP) $ (flag_sumz < 2) = (sumZ_max - sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1))/(sumZ_max - 1);
                 pop_Mem_sumZ(NP) $ (flag_sumz = 2) = sum(Dim_BI, (z_HDE(Dim_BI) > 0) = 1)/(sumZ_max - 1);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

*---- restrictions for the lower and upper bounds of fluxes --------------------
                 vf.lo(reactions) = FluxBound_vf_LB(reactions);
                 vf.up(reactions) = FluxBound_vf_UB(reactions);
                 vb.lo(reactions) = FluxBound_vb_LB(reactions);
                 vb.up(reactions) = FluxBound_vb_UB(reactions);
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
                 vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
                 vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
                 vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
                 vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
                 vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
                 vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
                 vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
                 vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
                 vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                 vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                 vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                 vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                 vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                 vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
                 vb.lo(irrev_rxn) = 0;
                 vb.up(irrev_rxn) = 0;
                 vb.fx(irrev_rxn) = 0;
                 vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
                 vf.lo(irrev_vb_rxn(reactions)) = 0;
                 vf.up(irrev_vb_rxn(reactions)) = 0;
                 vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
                 vf.fx(uptake_demand) = 0;
                 vb.fx(secretion_demand) = 0;
                 vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
                 vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
                 vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

                 vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
                 vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

***** Set the weighting factors and limits for FBA objectives ******************
                 MultiObj_weight(ObjectSet) = 0;
                 MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                   W_obj_ratio_CA(objectSet)/MultiObjValue_max(objectSet);
********************************************************************************

*----- compute the lower and upper bounds for the target reactions -------------
                 target_limit_LB(targetSet) = 0;
                 target_limit_UB(targetSet) = 0;
                 MultiObjValue_min(objectSet) = 0;
                 target_limit_LB(targetSet) = CA_target_level_LB(targetSet);
                 target_limit_UB(targetSet) = CA_target_level_UB(targetSet);
                 MultiObjValue_min(objectSet) = CA_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

*---- solve regulated FBA problem ----------------------------------------------
                 solve FBA_Problem using LP maximizing objValue_FBA ;
                 nfeval_FBA_max = nfeval_FBA_max + 1;
                 nfeval = nfeval + 1;
                 pop_modelstat_FBA(NP) = FBA_Problem.modelstat;
                 pop_constraint(NP) = 0;
                 constraint_h(Dim_h) = 0;
                 ObjOptim_limit $ (pop_modelstat_FBA(NP) <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*---- infeasible solution ------------------------------------------------------
                 if(pop_modelstat_FBA(NP) > 2,
                    pop_mem_BioEng_TR(NP) = 0;       
                    pop_mem_Fmin_CV_PB(NP) = 0;
                    pop_mem_Fmax_CV_PB(NP) = 0;
                    pop_mem_rxn_PBBL(NP) = 0;
                    pop_mem_Met_PBBL(NP) = 0;                    
                    pop_mem_rxn_PBHT(NP) = 0;
                    pop_mem_Met_PBHT(NP) = 0;
                    pop_mem_rxn_PBCA(NP) = 0;
                    pop_mem_Met_PBCA(NP) = 0;                   
                    constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                    constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                   sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                   max((ObjOptim_limit - ObjValue_FBA.l), 0);
                    pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------
*---- solve UFD problem --------------------------------------------------------
*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                 if(pop_modelstat_FBA(NP) <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
                    weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
                    weight_coef_rxn(reactions) $ (CA_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
                    weight_coef_rxn(reactions) $ (CA_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
                    weight_coef_rxn(reactions) $ (CA_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************                   
                    solve UFD_Problem using QCP minimizing ObjValue_UFD ;
                    nfeval_UFD_min = nfeval_UFD_min + 1;
                    nfeval = nfeval + 1;
                    pop_modelstat_UFD(NP) = UFD_Problem.modelstat;
                    TR_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
                    TR_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
                    TR_vf_UFD(reactions) $ (TR_vf_UFD(reactions) < 0) = 0;
                    TR_vb_UFD(reactions) $ (TR_vb_UFD(reactions) < 0) = 0;
                    TR_v_UFD(reactions) = TR_vf_UFD(reactions) - TR_vb_UFD(reactions);
                    
*---- infeasible solution ------------------------------------------------------
                    if(pop_modelstat_UFD(NP) > 2,
                       pop_mem_BioEng_TR(NP) = 0;       
                       pop_mem_Fmin_CV_PB(NP) = 0;
                       pop_mem_Fmax_CV_PB(NP) = 0;
                       pop_mem_rxn_PBBL(NP) = 0;
                       pop_mem_Met_PBBL(NP) = 0;                    
                       pop_mem_rxn_PBHT(NP) = 0;
                       pop_mem_Met_PBHT(NP) = 0;
                       pop_mem_rxn_PBCA(NP) = 0;
                       pop_mem_Met_PBCA(NP) = 0;                   
                       constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                       constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                      sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                      max((ObjOptim_limit - ObjValue_FBA.l), 0);
                       pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------

                    if(UFD_Problem.modelstat <= 2,
**** compute multi-objective values ***************************************************************************************************************** 
                       tmp_MultiObjValue(ObjectSet) = 0; 
                       tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * TR_vf_UFD(dyn_reactions)) +
                                                      sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * TR_vb_UFD(dyn_reactions));

                       pop_MultiObjValue_TR(NP, objectSet) = tmp_MultiObjValue(ObjectSet);
**** compute fuzzy min VBOF and its membership grade for TR model ***********************************************************************************
                       mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = (MultiObjValue_max(Fuzzy_min_Eng_obj) - tmp_MultiObjValue(Fuzzy_min_Eng_obj) + tol_eps)/
                                                               (MultiObjValue_max(Fuzzy_min_Eng_obj) - MultiObjValue_min(Fuzzy_min_Eng_obj) + tol_eps);  
                       mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = max(min(mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj), 1), 0);          

                       pop_mem_BioEng_TR(NP) = (sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
                                                smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;
*****************************************************************************************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                       constraint_h(Dim_h)  = 0;
                       constraint_g  = 0;
                       pop_constraint(NP) = 0;                    

*===== evaluating side effects to solve mutant FBA and UFD problems of BL model =====================================================================
***** assign reactions and species in BL models as dynamic sets ****************        
                       dyn_reactions(reactions) = no;
                       dyn_species(species) = no;
                       dyn_biocomp(biocompound) = no;
                       dyn_irrev_rxn(reactions) = no;
                       dyn_rev_rxn(reactions) = no;
                       dyn_exchange_rxn(reactions) = no;
                       dyn_reactions(reactions) = yes;
                       dyn_species(species) = yes;
                       dyn_biocomp(biocompound) = yes;
                       dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
                       dyn_rev_rxn(reactions) = rev_rxn(reactions);
                       dyn_exchange_rxn(reactions) = exchange_rxn(reactions);
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
                       basal_vf(reactions) = 0;
                       basal_vb(reactions) = 0;
                       basal_vf(reactions) = BL_vf_UFD(reactions);
                       basal_vb(reactions) = BL_vb_UFD(reactions);

*---- restrictions for the lower and upper bounds of fluxes --------------------
                       vf.lo(reactions) = FluxBound_vf_LB(reactions);
                       vf.up(reactions) = FluxBound_vf_UB(reactions);
                       vb.lo(reactions) = FluxBound_vb_LB(reactions);
                       vb.up(reactions) = FluxBound_vb_UB(reactions);

**++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
                       vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
                       vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
                       vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
                       vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 1) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
                       vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
                       vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vf(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
                       vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 2) = basal_vb(Dim_BI) + TR_Reg_Factor(NP) * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
                       vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
                       vf.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                       vf.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                       vb.lo(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                       vb.up(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                       vf.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
                       vb.fx(Dim_BI) $ (z_HDE(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
                       vb.lo(irrev_rxn) = 0;
                       vb.up(irrev_rxn) = 0;
                       vb.fx(irrev_rxn) = 0;
                       vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
                       vf.lo(irrev_vb_rxn(reactions)) = 0;
                       vf.up(irrev_vb_rxn(reactions)) = 0;
                       vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
                       vf.fx(uptake_demand) = 0;
                       vb.fx(secretion_demand) = 0;
                       vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
                       vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
                       vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

                       vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
                       vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** Set the weighting factors and limits for FBA objectives ******************
                       MultiObj_weight(ObjectSet) = 0;
                       MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                                                     W_obj_ratio_BL(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions --------------
                       target_limit_LB(targetSet) = 0;
                       target_limit_UB(targetSet) = 0;
                       MultiObjValue_min(objectSet) = 0;
                       target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
                       target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
                       MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------

*---- solve mutant FBA problem considering side effect -------------------------
                       solve FBA_Problem using LP maximizing objValue_FBA ;
                       nfeval_FBA_max = nfeval_FBA_max + 1;
                       nfeval = nfeval + 1;
                       ObjOptim_limit $ (FBA_Problem.modelstat <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;
                       
*---- infeasible solution ------------------------------------------------------
                       if(FBA_Problem.modelstat > 2,
                          pop_MultiObjValue_PB(NP, objectSet) = 0;           
                          pop_mem_Fmin_CV_PB(NP) = 0;
                          pop_mem_Fmax_CV_PB(NP) = 0;
                          pop_mem_rxn_PBBL(NP) = 0;
                          pop_mem_Met_PBBL(NP) = 0;        
                          pop_mem_rxn_PBHT(NP) = 0;
                          pop_mem_Met_PBHT(NP) = 0;
                          pop_mem_rxn_PBCA(NP) = 0;
                          pop_mem_Met_PBCA(NP) = 0;    
                          constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                          constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                         sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                         max((ObjOptim_limit - ObjValue_FBA.l), 0);
                          pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------  

**** mutant UFD problem considering side effect ********************************
                       if(FBA_Problem.modelstat <= 2,
** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
                          weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
                          weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
                          weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
                          weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************                       
                          solve UFD_Problem using QCP minimizing ObjValue_UFD ;
                          nfeval_UFD_min = nfeval_UFD_min + 1;
                          nfeval = nfeval + 1;);
                          
*---- infeasible solution ------------------------------------------------------
                       if(UFD_Problem.modelstat > 2,
                          pop_MultiObjValue_PB(NP, objectSet) = 0;           
                          pop_mem_Fmin_CV_PB(NP) = 0;
                          pop_mem_Fmax_CV_PB(NP) = 0;
                          pop_mem_rxn_PBBL(NP) = 0;
                          pop_mem_Met_PBBL(NP) = 0;        
                          pop_mem_rxn_PBHT(NP) = 0;
                          pop_mem_Met_PBHT(NP) = 0;
                          pop_mem_rxn_PBCA(NP) = 0;
                          pop_mem_Met_PBCA(NP) = 0;    
                          constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
                          constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                                         sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                         max((ObjOptim_limit - ObjValue_FBA.l), 0);
                          pop_constraint(NP) = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------  
                          
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%              
                       if(FBA_Problem.modelstat <= 2 and UFD_Problem.modelstat <= 2,
* compute synthesis rate and degradation rate for each BioCompound at the mutant state
                          PB_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
                          PB_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
                          PB_vf_UFD(reactions) $ (PB_vf_UFD(reactions) < 0) = 0;
                          PB_vb_UFD(reactions) $ (PB_vb_UFD(reactions) < 0) = 0;
                          PB_v_UFD(reactions) = PB_vf_UFD(reactions) - PB_vb_UFD(reactions);                         

                          PB_Species_SynRate(species) = 0;
                          loop(dyn_species,
                               PB_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                                    (S_Matrix(dyn_species, dyn_reactions) > 0) * PB_vf_UFD(dyn_reactions))
                                                               - sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                                                    (S_Matrix(dyn_species, dyn_reactions) < 0) * PB_vb_UFD(dyn_reactions)););

***** compute the score between experimental data and model prediction *********
                          PB_BioComp_SynRate(BioCompound) = 0;
                          loop(BioComp_PBBL,
                               PB_BioComp_SynRate(BioComp_PBBL) = sum(dyn_species $ (BioCompound_species(BioComp_PBBL, dyn_species)),
                                                                     PB_Species_SynRate(dyn_species)););
*********************************************************************************

***** compute fuzzy min and fuzzy max of cell viability and its membership grade for TR model *******************************************************
                          tmp_MultiObjValue(ObjectSet) = 0;
                          tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * PB_vf_UFD(dyn_reactions)) +
                                                         sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * PB_vb_UFD(dyn_reactions));           

                          pop_MultiObjValue_PB(NP, objectSet) = tmp_MultiObjValue(ObjectSet);
*****************************************************************************************************************************************************                          
                          mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = (MultiObjValue_max(Fuzzy_min_CV_obj) - tmp_MultiObjValue(Fuzzy_min_CV_obj) + tol_eps)/
                                                               (MultiObjValue_max(Fuzzy_min_CV_obj) - MultiObjValue_min(Fuzzy_min_CV_obj) + tol_eps);                                                             
                          mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = max(min(mem_Fmin_CV_PB(Fuzzy_min_CV_obj), 1), 0);
           
                          mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = (tmp_MultiObjValue(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps)/
                                                               (MultiObjValue_max(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps);
                          mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = max(min(mem_Fmax_CV_PB(Fuzzy_max_CV_obj), 1), 0);
           
                          pop_mem_Fmin_CV_PB(NP) = sum(Fuzzy_min_CV_obj, mem_Fmin_CV_PB(Fuzzy_min_CV_obj))/card(Fuzzy_min_CV_obj);
                          pop_mem_Fmax_CV_PB(NP) = sum(Fuzzy_max_CV_obj, mem_Fmax_CV_PB(Fuzzy_max_CV_obj))/card(Fuzzy_max_CV_obj);     
*****************************************************************************************************************************************************
***** compute fuzzy dissimilarity of metabolite-flow and its membership grade for PBCA model ********************************************************
                          L_mem_Met_PBCA(BioComp_PBCA) = (PB_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps)/
                                                         (CA_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps); 
                          R_mem_Met_PBCA(BioComp_PBCA) = (CA_MetFlowRate_UB(BioComp_PBCA) - PB_BioComp_SynRate(BioComp_PBCA) + tol_eps)/
                                                         (CA_MetFlowRate_UB(BioComp_PBCA) - CA_BioComp_SynRate(BioComp_PBCA) + tol_eps);  
                          mem_Met_PBCA(BioComp_PBCA) = max(min(L_mem_Met_PBCA(BioComp_PBCA), R_mem_Met_PBCA(BioComp_PBCA), 1), 0);

                          nonzero_Biocomp_PBCA(biocompound) = no;             
                          nonzero_Biocomp_PBCA(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                                CA_BioComp_SynRate(biocompound) > 0) and BioComp_PBCA(biocompound)) = yes;
              
                          pop_mem_Met_PBCA(NP) = sum(BioCompound $ (nonzero_Biocomp_PBCA(biocompound)),
                                                     mem_Met_PBCA(BioCompound))/card(nonzero_Biocomp_PBCA);
                          pop_mem_Met_PBCA(NP) = 1 - pop_mem_Met_PBCA(NP);

***** compute fuzzy dissimilarity of flux and its membership grade for PBCA model *******************************************************************
                          L_mem_vf_PBCA(rxn_vf_PBCA) = (PB_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps)/
                                                       (CA_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps);
                          R_mem_vf_PBCA(rxn_vf_PBCA) = (CA_vf_rxn_UB(rxn_vf_PBCA) - PB_vf_UFD(rxn_vf_PBCA) + tol_eps)/
                                                       (CA_vf_rxn_UB(rxn_vf_PBCA)- CA_vf_UFD(rxn_vf_PBCA) + tol_eps);           
                          L_mem_vb_PBCA(rxn_vb_PBCA) = (PB_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps)/
                                                       (CA_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps);
                          R_mem_vb_PBCA(rxn_vb_PBCA) = (CA_vb_rxn_UB(rxn_vb_PBCA) - PB_vb_UFD(rxn_vb_PBCA) + tol_eps)/
                                                       (CA_vb_rxn_UB(rxn_vb_PBCA)- CA_vb_UFD(rxn_vb_PBCA) + tol_eps);
***** intialization
                          mem_vf_PBCA(reactions) = 1;                                                      
                          mem_vb_PBCA(reactions) = 1;
                          mem_vf_PBCA(rxn_vf_PBCA) = max(min(L_mem_vf_PBCA(rxn_vf_PBCA), R_mem_vf_PBCA(rxn_vf_PBCA), 1), 0);
                          mem_vb_PBCA(rxn_vb_PBCA) = max(min(L_mem_vb_PBCA(rxn_vb_PBCA), R_mem_vb_PBCA(rxn_vb_PBCA), 1), 0);
           
                          nonzero_vf_PBCA(reactions) = no;
                          nonzero_vf_PBCA(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                         CA_vf_UFD(reactions) > 0) and rxn_vf_PBCA(reactions)) = yes;
                          nonzero_vb_PBCA(reactions) = no;
                          nonzero_vb_PBCA(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                         CA_vb_UFD(reactions) > 0) and rxn_vb_PBCA(reactions)) = yes;
                          nonzero_v_PBCA(reactions) = no;
                          nonzero_v_PBCA(reactions) = nonzero_vf_PBCA(reactions) + nonzero_vb_PBCA(reactions);
                          pop_mem_rxn_PBCA(NP) = sum(reactions $ (nonzero_v_PBCA(reactions)),
                                                     min(mem_vf_PBCA(reactions), mem_vb_PBCA(reactions)))/card(nonzero_v_PBCA);
                          pop_mem_rxn_PBCA(NP) = 1 - pop_mem_rxn_PBCA(NP);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBBL model ***********************************************************
                          L_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                                (BL_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
                          R_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (BL_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                                (BL_MetFlowRate_UB(BioComp_ExpWarb) - BL_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
                          L_mem_Met_PBBL(BioComp_PBBL) = (PB_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps)/
                                                         (BL_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps); 
                          R_mem_Met_PBBL(BioComp_PBBL) = (BL_MetFlowRate_UB(BioComp_PBBL) - PB_BioComp_SynRate(BioComp_PBBL) + tol_eps)/
                                                         (BL_MetFlowRate_UB(BioComp_PBBL) - BL_BioComp_SynRate(BioComp_PBBL) + tol_eps);  
                          mem_Met_Exp_PBBL(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBBL(BioComp_ExpWarb), R_mem_Met_Exp_PBBL(BioComp_ExpWarb), 1), 0);
                          mem_Met_PBBL(BioComp_PBBL) = max(min(L_mem_Met_PBBL(BioComp_PBBL), R_mem_Met_PBBL(BioComp_PBBL), 1), 0);             
                          pop_mem_Met_Exp_PBBL(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBBL(BioComp_ExpWarb))/card(BioComp_ExpWarb);

                          nonzero_Biocomp_PBBL(biocompound) = no;             
                          nonzero_Biocomp_PBBL(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                                BL_BioComp_SynRate(biocompound) > 0) and BioComp_PBBL(biocompound)) = yes;              
                          pop_mem_Met_PBBL(NP) = sum(BioCompound $ (nonzero_Biocomp_PBBL(biocompound)),
                                                     mem_Met_PBBL(BioCompound))/card(nonzero_Biocomp_PBBL);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBBL model **********************************************************************
                          L_mem_vf_PBBL(rxn_vf_PBBL) = (PB_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps)/
                                                       (BL_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps);
                          R_mem_vf_PBBL(rxn_vf_PBBL) = (BL_vf_rxn_UB(rxn_vf_PBBL) - PB_vf_UFD(rxn_vf_PBBL) + tol_eps)/
                                                       (BL_vf_rxn_UB(rxn_vf_PBBL)- BL_vf_UFD(rxn_vf_PBBL) + tol_eps);           

                          L_mem_vb_PBBL(rxn_vb_PBBL) = (PB_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps)/
                                                       (BL_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps);
                          R_mem_vb_PBBL(rxn_vb_PBBL) = (BL_vb_rxn_UB(rxn_vb_PBBL) - PB_vb_UFD(rxn_vb_PBBL) + tol_eps)/
                                                       (BL_vb_rxn_UB(rxn_vb_PBBL)- BL_vb_UFD(rxn_vb_PBBL) + tol_eps);
                                                       
***** intialization
                          mem_vf_PBBL(reactions) = 1;                                                      
                          mem_vb_PBBL(reactions) = 1;
                          mem_vf_PBBL(rxn_vf_PBBL) = max(min(L_mem_vf_PBBL(rxn_vf_PBBL), R_mem_vf_PBBL(rxn_vf_PBBL), 1), 0);
                          mem_vb_PBBL(rxn_vb_PBBL) = max(min(L_mem_vb_PBBL(rxn_vb_PBBL), R_mem_vb_PBBL(rxn_vb_PBBL), 1), 0);
              
                          nonzero_vf_PBBL(reactions) = no;
                          nonzero_vf_PBBL(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                         BL_vf_UFD(reactions) > 0) and rxn_vf_PBBL(reactions)) = yes;
                          nonzero_vb_PBBL(reactions) = no;
                          nonzero_vb_PBBL(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                         BL_vb_UFD(reactions) > 0) and rxn_vb_PBBL(reactions)) = yes;     
                          nonzero_v_PBBL(reactions) = no;
                          nonzero_v_PBBL(reactions) = nonzero_vf_PBBL(reactions) + nonzero_vb_PBBL(reactions);           
                          pop_mem_rxn_PBBL(NP) = sum(reactions $ (nonzero_v_PBBL(reactions)),
                                                     min(mem_vf_PBBL(reactions), mem_vb_PBBL(reactions)))/card(nonzero_v_PBBL);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBHT model *************************************************************
                          L_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                                                (HT_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
                          R_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (HT_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                                                (HT_MetFlowRate_UB(BioComp_ExpWarb) - HT_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
                          L_mem_Met_PBHT(BioComp_PBHT) = (PB_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps)/
                                                         (HT_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps); 
                          R_mem_Met_PBHT(BioComp_PBHT) = (HT_MetFlowRate_UB(BioComp_PBHT) - PB_BioComp_SynRate(BioComp_PBHT) + tol_eps)/
                                                         (HT_MetFlowRate_UB(BioComp_PBHT) - HT_BioComp_SynRate(BioComp_PBHT) + tol_eps);  
                          mem_Met_Exp_PBHT(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBHT(BioComp_ExpWarb), R_mem_Met_Exp_PBHT(BioComp_ExpWarb), 1), 0);
                          mem_Met_PBHT(BioComp_PBHT) = max(min(L_mem_Met_PBHT(BioComp_PBHT), R_mem_Met_PBHT(BioComp_PBHT), 1), 0);
                          pop_mem_Met_Exp_PBHT(NP) = sum(BioComp_ExpWarb, mem_Met_Exp_PBHT(BioComp_ExpWarb))/card(BioComp_ExpWarb);

                          nonzero_Biocomp_PBHT(biocompound) = no;             
                          nonzero_Biocomp_PBHT(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                                                HT_BioComp_SynRate(biocompound) > 0) and BioComp_PBHT(biocompound)) = yes;              
                          pop_mem_Met_PBHT(NP) = sum(BioCompound $ (nonzero_Biocomp_PBHT(biocompound)),
                                                     mem_Met_PBHT(BioCompound))/card(nonzero_Biocomp_PBHT);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBHT model ************************************************************************
                          L_mem_vf_PBHT(rxn_vf_PBHT) = (PB_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps)/
                                                       (HT_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps);
                          R_mem_vf_PBHT(rxn_vf_PBHT) = (HT_vf_rxn_UB(rxn_vf_PBHT) - PB_vf_UFD(rxn_vf_PBHT) + tol_eps)/
                                                       (HT_vf_rxn_UB(rxn_vf_PBHT)- HT_vf_UFD(rxn_vf_PBHT) + tol_eps);           

                          L_mem_vb_PBHT(rxn_vb_PBHT) = (PB_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps)/
                                                       (HT_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps);
                          R_mem_vb_PBHT(rxn_vb_PBHT) = (HT_vb_rxn_UB(rxn_vb_PBHT) - PB_vb_UFD(rxn_vb_PBHT) + tol_eps)/
                                                       (HT_vb_rxn_UB(rxn_vb_PBHT)- HT_vb_UFD(rxn_vb_PBHT) + tol_eps);
                                                       
***** intialization
                          mem_vf_PBHT(reactions) = 1;                                                      
                          mem_vb_PBHT(reactions) = 1;
                          mem_vf_PBHT(rxn_vf_PBHT) = max(min(L_mem_vf_PBHT(rxn_vf_PBHT), R_mem_vf_PBHT(rxn_vf_PBHT), 1), 0);
                          mem_vb_PBHT(rxn_vb_PBHT) = max(min(L_mem_vb_PBHT(rxn_vb_PBHT), R_mem_vb_PBHT(rxn_vb_PBHT), 1), 0);
           
                          nonzero_vf_PBHT(reactions) = no;
                          nonzero_vf_PBHT(reactions) $ ((PB_vf_UFD(reactions) > 0 or
                                                         HT_vf_UFD(reactions) > 0) and rxn_vf_PBHT(reactions)) = yes;
                          nonzero_vb_PBHT(reactions) = no;
                          nonzero_vb_PBHT(reactions) $ ((PB_vb_UFD(reactions) > 0 or
                                                         HT_vb_UFD(reactions) > 0) and rxn_vb_PBHT(reactions)) = yes;
                          nonzero_v_PBHT(reactions) = no;
                          nonzero_v_PBHT(reactions) = nonzero_vf_PBHT(reactions) + nonzero_vb_PBHT(reactions);           
                          pop_mem_rxn_PBHT(NP) = sum(reactions $ (nonzero_v_PBHT(reactions)),
                                                     min(mem_vf_PBHT(reactions), mem_vb_PBHT(reactions)))/card(nonzero_v_PBHT);
*****************************************************************************************************************************************************
                          constraint_h(Dim_h) = 0;
                          constraint_g = 0;
                          pop_constraint(NP) = 0; 
                       );
                    );
                );
*====================================================================================================================================================
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*----- fitness evaluation ------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
* pop_mem_BioEng_TR(NP) = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
*                         smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

* Cell viability for PB model
pop_mem_CV_PB(NP) = ((pop_mem_Fmin_CV_PB(NP) + pop_mem_Fmax_CV_PB(NP))/2 + min(pop_mem_Fmin_CV_PB(NP), pop_mem_Fmax_CV_PB(NP)))/2;

* the first priori objective for cell mortality of TR and PB model
pop_mem_CV_TRPB(NP) $ (index_sumz <= 20) = (pop_mem_BioEng_TR(NP) + min(pop_mem_BioEng_TR(NP), pop_mem_CV_PB(NP)))/2;

* the first priori objective for both cell mortality and cell viability for TR and PB model
pop_mem_CV_TRPB(NP) $ (index_sumz >= 30) = ((pop_mem_BioEng_TR(NP) + pop_mem_CV_PB(NP))/2 + min(pop_mem_BioEng_TR(NP), pop_mem_CV_PB(NP)))/2;

* Metabolic deviation (dissimilarity) for PB model to CA template
pop_mem_MD_PBCA(NP) = ((pop_mem_rxn_PBCA(NP) + pop_mem_Met_PBCA(NP))/2 + min(pop_mem_rxn_PBCA(NP), pop_mem_Met_PBCA(NP)))/2;

* Metabolic deviation (similarity) for PB model to BL template
pop_mem_MD_PBBL(NP) = ((pop_mem_rxn_PBBL(NP) + pop_mem_Met_PBBL(NP))/2 + min(pop_mem_rxn_PBBL(NP), pop_mem_Met_PBBL(NP)))/2;

* Metabolic deviation (similarity) for PB model to HT template
pop_mem_MD_PBHT(NP) = ((pop_mem_rxn_PBHT(NP) + pop_mem_Met_PBHT(NP))/2 + min(pop_mem_rxn_PBHT(NP), pop_mem_Met_PBHT(NP)))/2;

* Metabolic deviation of PB to CA and BL/HT models
pop_mem_MD_TRPB(NP) = ((pop_mem_MD_PBCA(NP) + pop_mem_MD_PBBL(NP) + pop_mem_MD_PBHT(NP))/3 +
                        min(pop_mem_MD_PBCA(NP), pop_mem_MD_PBBL(NP), pop_mem_MD_PBHT(NP)))/2;

*----- prioity fitness evaluation ----------------------------------------------
pop_fitness(NP) $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - pop_constraint(NP);
pop_fitness(NP) $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), pop_mem_CV_PB(NP),
                                                                           pop_mem_MD_TRPB(NP)))/2 - pop_constraint(NP);
* the second priori objective
pop_fitness(NP) $ (index_sumZ = 20 or index_sumz = 30) = (pop_mem_BioEng_TR(NP) + min(pop_mem_BioEng_TR(NP), pop_mem_CV_TRPB(NP),
                                                                                      pop_mem_MD_TRPB(NP)))/2 - pop_constraint(NP);
pop_fitness(NP) $ (index_sumZ = 40) = ((pop_mem_BioEng_TR(NP) + pop_mem_CV_TRPB(NP) + pop_mem_MD_PBCA(NP) + pop_mem_MD_PBBL(NP) +
                                        pop_mem_MD_PBHT(NP))/5 + min(pop_mem_BioEng_TR(NP), pop_mem_CV_TRPB(NP), pop_mem_MD_PBCA(NP),
                                                                     pop_mem_MD_PBBL(NP), pop_mem_MD_PBHT(NP)))/2 - pop_constraint(NP);                                                          
pop_fitness(NP) $ (flag_sumZ = 1) = pop_fitness(NP) + pop_mem_sumZ(NP););
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*---- find the best fitness and individual -------------------------------------
             best_fitness = smax(NP, pop_fitness(NP));
             loop(NP $ (pop_fitness(NP) >= best_fitness),            
                  best_multiObjValue_TR(ObjectSet) = 0;
                  best_multiObjValue_PB(ObjectSet) = 0;         
                  best_multiObjValue_TR(ObjectSet) = pop_MultiObjValue_TR(NP, objectSet);   
                  best_multiObjValue_PB(ObjectSet) = pop_MultiObjValue_PB(NP, objectSet);   
                  best_Mem_sumZ  = pop_Mem_sumZ(NP);
                  best_modelstat = pop_modelstat_FBA(NP);
                  best_constraint = pop_constraint(NP);     
                  best_fitness = pop_fitness(NP);
                  best_mem_BioEng_TR = pop_mem_BioEng_TR(NP);         
                  best_mem_CV_PB = pop_mem_CV_PB(NP);
                  best_mem_CV_TRPB = pop_mem_CV_TRPB(NP);
                  best_mem_Fmin_CV_PB = pop_mem_Fmin_CV_PB(NP);
                  best_mem_Fmax_CV_PB = pop_mem_Fmax_CV_PB(NP);
                  best_mem_rxn_PBCA = pop_mem_rxn_PBCA(NP);
                  best_mem_Met_PBCA = pop_mem_Met_PBCA(NP);
                  best_mem_rxn_PBBL = pop_mem_rxn_PBBL(NP);
                  best_mem_Met_PBBL = pop_mem_Met_PBBL(NP);                   
                  best_mem_rxn_PBHT = pop_mem_rxn_PBHT(NP);
                  best_mem_Met_PBHT = pop_mem_Met_PBHT(NP);
                  best_mem_MD_PBBL = pop_mem_MD_PBBL(NP);
                  best_mem_MD_PBHT = pop_mem_MD_PBHT(NP);
                  best_mem_MD_PBCA = pop_mem_MD_PBCA(NP);
                  best_mem_MD_TRPB = pop_mem_MD_TRPB(NP);                  
                  bestmem_XB(Dim_BI) = 0;
                  bestmem_XI(Dim_XIR) = 0;
                  bestmem_XB(Dim_BI) = pop_XB(NP, Dim_BI);
                  bestmem_XI(Dim_XIR) = pop_XI(NP, Dim_XIR);                        
);
        index_migration = 0;););

*---- count for the forced migration -------------------------------------------
    if ((sum(Dim_BI, (bestmemit_XB(Dim_BI) <> bestmem_XB(Dim_BI)) = 1) +
         sum(Dim_XR, (bestmemit_XI(Dim_XR) <> bestmem_XI(Dim_XR)) = 1)) > 0,
        index_migration = 0;
        bestmemit_XB(Dim_BI) = bestmem_XB(Dim_BI);
        bestmemit_XI(Dim_XIR) = bestmem_XI(Dim_XIR);
*----- store the best solution if it is different from the previous iteration --
        itermax_DynSubset2(itermax) = yes ;
        store_best_multiObjValue_TR(itermax_DynSubset2(itermax), ObjectSet) = best_multiObjValue_TR(ObjectSet);
        store_best_multiObjValue_PB(itermax_DynSubset2(itermax), ObjectSet) = best_multiObjValue_PB(ObjectSet);        
        store_best_mem_sumz(itermax_DynSubset2(itermax)) = best_Mem_sumZ;
        store_bestmem_XI(itermax_dynSubset2(itermax), Dim_XIR) = bestmem_XI(Dim_XIR);
        store_bestmem_XB(itermax_dynSubset2(itermax), Dim_BI) = bestmem_XB(Dim_BI);
        store_best_constraint(itermax_DynSubset2(itermax)) = best_constraint;           
        store_best_fitness(itermax_DynSubset2(itermax)) = best_fitness;
        store_best_mem_BioEng_TR(itermax_DynSubset2(itermax)) = best_mem_BioEng_TR;        
        store_best_mem_CV_PB(itermax_DynSubset2(itermax)) = best_mem_CV_PB;
        store_best_mem_CV_TRPB(itermax_DynSubset2(itermax)) = best_mem_CV_TRPB;        
        store_best_mem_Fmin_CV_PB(itermax_DynSubset2(itermax)) = best_mem_Fmin_CV_PB;
        store_best_mem_Fmax_CV_PB(itermax_DynSubset2(itermax)) = best_mem_Fmax_CV_PB;     
        store_best_mem_rxn_PBCA(itermax_DynSubset2(itermax)) = best_mem_rxn_PBCA;
        store_best_mem_Met_PBCA(itermax_DynSubset2(itermax)) = best_mem_Met_PBCA;
        store_best_mem_rxn_PBBL(itermax_DynSubset2(itermax)) = best_mem_rxn_PBBL;
        store_best_mem_Met_PBBL(itermax_DynSubset2(itermax)) = best_mem_Met_PBBL;           
        store_best_mem_rxn_PBHT(itermax_DynSubset2(itermax)) = best_mem_rxn_PBHT;
        store_best_mem_Met_PBHT(itermax_DynSubset2(itermax)) = best_mem_Met_PBHT;
        store_best_mem_MD_PBBL(itermax_DynSubset2(itermax)) = best_mem_MD_PBBL;
        store_best_mem_MD_PBHT(itermax_DynSubset2(itermax)) = best_mem_MD_PBHT;
        store_best_mem_MD_PBCA(itermax_DynSubset2(itermax)) = best_mem_MD_PBCA;
        store_best_mem_MD_TRPB(itermax_DynSubset2(itermax)) = best_mem_MD_TRPB; 
    else
        index_migration = index_migration + 1;);
*---- end of migration ---------------------------------------------------------

*---- peanlty parameter updating -----------------------------------------------
    if (ord(itermax) > iter_penalty,
        penalty = penalty_update_ratio * penalty;
        iter_penalty = (number_penalty + 1) * iter_penalty0;
        number_penalty = number_penalty + 1;);
);

*---- end of MIHDE computation -------------------------------------------------
endTime = jnow;
elapsedTime = (endTime - startTime) * 86400 ;

* assign teh best regulation strength parameter
best_TR_Reg_Factor = bestmem_XI("RSP1");

****** write a solution report in CSV and spawn Excel to view it ************************************************************************************
file result1 /%ReportData%%outputFilename1%.csv/;
result1.pc = 5;  result1.ps = 130;  result1.pw = 5000; result1.nr = 0; result1.nz = 1.0e-20;
put result1;
put system.title /;
put "Date", system.date:4:0, " ", "Time", system.time;
put /;
put /; put "Selected solver:", system.Sstring; put /;
put /; put "========== Input information for HDE solver =========="; put /;
put "NP"; put "itermax"; put "Method_1"; put "Method_4"; put "method_5"; put "method_6"; put "VTR"; put "VTR_G";
put "F_X0"; put "F_XRatio"; put "CR_X"; put "epsilon_ratio"; put "epsilon1"; put "strategy"; put "penalty";
put "penalty_update_ratio"; put "nPenalty_update"; put "tol_eps"; put /;
put card(NP):10:4; put card(itermax):10:4; put Method_1:10:4; put Method_4:10:4; put Method_5:10:4;
put method_6:10:4; put VTR:10:4; put VTR_G:10:4; put F_X0:10:4; put F_XRatio:10:4; put CR_X:10:4; put epsilon_ratio:10:4;
put epsilon1:10:4; put strategy:10:4; put penalty:10:4; put penalty_update_ratio:10:4; put nPenalty_update:10:4;
put tol_eps:10:4; put /;

put /; put "flag_uptake"; put "flag_secretion"; put "flag_DM_sink"; put "flag_uptake_demand"; put "flag_BioComp"; put /;
put flag_uptake; put flag_secretion; put flag_DM_sink; put flag_uptake_demand; put flag_BioComp; put /;

put /; put "index_sumZ = (1, 10, 30, 60) for fitnes evaluation"; put /;

*----- fitness evaluation ---------------------------------------------------------------------------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
put "best_mem_BioEng_TR = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +"; put /;
put "                     smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;"; put /;
* Cell viability for PB model
put "best_mem_CV_PB = ((best_mem_Fmin_CV_PB + best_mem_Fmax_CV_PB)/2 + min(best_mem_Fmin_CV_PB, best_mem_Fmax_CV_PB))/2;"; put /;

* the first priori objective for cell mortality of TR and PB model
put "best_mem_CV_TRPB $ (index_sumz <= 20) = (best_mem_BioEng_TR + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;"; put /;

* the first priori objective for both cell mortality and cell viability for TR and PB model
put "best_mem_CV_TRPB $ (index_sumz >= 30) = ((best_mem_BioEng_TR + best_mem_CV_PB)/2 + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;"; put /;

* Metabolic deviation (dissimilarity) for PB model to CA template"
put "best_mem_MD_PBCA = ((best_mem_rxn_PBCA + best_mem_Met_PBCA)/2 + min(best_mem_rxn_PBCA, best_mem_Met_PBCA))/2;"; put /;

* Metabolic deviation (similarity) for PB model to BL template";
put "best_mem_MD_PBBL = ((best_mem_rxn_PBBL + best_mem_Met_PBBL)/2 + min(best_mem_rxn_PBBL, best_mem_Met_PBBL))/2;"; put /;

* Metabolic deviation (similarity) for PB model to HT template";
put "best_mem_MD_PBHT = ((best_mem_rxn_PBHT + best_mem_Met_PBHT)/2 + min(best_mem_rxn_PBHT, best_mem_Met_PBHT))/2;"; put /;

* Metabolic deviation of PB to CA and BL/HT models
put "best_mem_MD_TRPB = ((best_mem_MD_PBCA + best_mem_MD_PBBL + best_mem_MD_PBHT)/3 +"; put /;
put "                        min(best_mem_MD_PBCA, best_mem_MD_PBBL, best_mem_MD_PBHT))/2;"; put /;
*----- prioity fitness evaluation ---------------------------------------------- ";
put "best_fitness $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - best_constraint;"; put /; 
put "best_fitness $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), "; put /;
put "                                    best_mem_CV_PB, best_mem_MD_PBCA, best_mem_MD_PBBL, best_mem_MD_PBHT))/2 - best_constraint;"; put /;
* the second priori objective
put "best_fitness $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), best_mem_CV_TRPB,"; put /;
put "                                                                           best_mem_MD_TRPB))/2 - best_constraint;"; put /;
put "best_fitness $ (index_sumZ = 40) = ((best_mem_BioEng_TR + best_mem_CV_TRPB + best_mem_MD_PBCA + best_mem_MD_PBBL +"; put /;
put "                                     best_mem_MD_PBHT)/5 + min(best_mem_BioEng_TR, best_mem_CV_TRPB, best_mem_MD_PBCA,"; put /;
put "                                                               best_mem_MD_PBBL, best_mem_MD_PBHT))/2 - best_constraint;"; put /;
put "best_fitness $ (flag_sumZ = 1) = best_fitness + best_mem_sumZ;);"; put /;
*----------------------------------------------------------------------------------------------------------------------------------------------------

put /; put "index_sumZ"; put index_sumZ; put "flag_sumZ"; put flag_sumZ; put /;

put /; put "No. of species, reacions, candidate enzymes, candidate_rxn groups and excluded_candidate_enz in the problem:"; put /;
put "No. species"; put "No. reactions"; put "species_CA"; put "species_HT"; put "transport_rxn"; put "exchange_rxn"; put "No. enzymes";
put "enzymes_CA"; put "enzymes_HT"; put "genes"; put "genes_CA"; put "genes_HT"; put "Candidate_enz";  put "excluded_candidate_Enz_g1";
put "excluded_candidate_Enz"; put "feasible_enz"; put "transport_enz"; put "Met_NonGPR_enz"; put "exchange_enz"; put "Dim_XIR"; put "Dim_XI"; put "Dim_XR"; put /;
put card(species); put card(reactions); put (card(species) - card(species_NHT)); put (card(species) - card(species_NCA)); put card(transport_rxn);
put card(exchange_rxn); put card(enzymes); put (card(enzymes) - card(enzymes_NHT));  put (card(enzymes) - card(enzymes_NCA));
put card(genes); put (card(genes) - card(genes_NHT)); put (card(genes) - card(genes_NCA)); put card(Dim_BI);
put card(excluded_candidate_Rxn_g1); put card(excluded_candidate_Rxn); put card(feasible_enz); put card(transport_enz);
put card(Met_NonGPR_enz); put card(exchange_enz); put card(Dim_XIR); put card(Dim_XI); put card(Dim_XR); put /;

put /;
put "Target"; put "HT_target_level_LB"; put "HT_target_level_UB"; put " "; put "CA_target_level_LB"; put "CA_target_level_UB";  put /;
loop(targetSet, put targetSet.tl; put HT_target_level_LB(targetSet):10:4; put HT_target_level_UB(targetSet):10:4; put " ";
     put CA_target_level_LB(targetSet):10:4; put CA_target_level_UB(targetSet):10:4; put /;);

put /; put "Weight ratio for HT and CA models, MultiObjValue_min and MultiObjValue_max"; put /;
put "Item"; loop(objectSet, put ObjectSet.tl;); put /;
put "W_obj_ratio_HT"; loop(objectset, put W_obj_ratio_HT(objectSet):10:4;); put /;
put "W_obj_ratio_CA"; loop(objectset, put W_obj_ratio_CA(objectSet):10:4;); put /;
put "MultiObjValue_min"; loop(objectSet, put MultiObjValue_min(ObjectSet):10:4;); put /;
put "MultiObjValue_max"; loop(objectSet, put MultiObjValue_max(ObjectSet):10:4;); put /;

put /; put "weighting factor for rxn with HC, MC, NC and OT assigned by the user";
put /; put "Weight_factor_Rxn_HC"; put "Weight_factor_Rxn_MC"; put "Weight_factor_Rxn_NC"; put "Weight_factor_Rxn_OT"; 
put /; put Weight_factor_Rxn_HC; put Weight_factor_Rxn_MC; put Weight_factor_Rxn_NC; put Weight_factor_Rxn_OT; put /;

put /; put "basal_Obj_limit_ratio"; put "mutant_Obj_limit_ratio"; put /;
       put basal_Obj_limit_ratio; put mutant_Obj_limit_ratio; put /;

put /; put "UpDOwnKO_min"; put "UpDownKO_max"; put "flux_bounded_ratio"; put /;
       put %No_UPDownKO_min%; put put %No_UPDownKO_max%; put flux_bounded_ratio:10:4;  put /;

put /; put "Synthesis vf and vb reactions of the multiobjective in the optimization problem"; put /;
loop(objectset,
     put "Objectset"; put "Synthesis vf reactions"; put /;
     put objectset.tl; 
     number = 0; 
     loop(reactions $ (syn_vf_rxn(objectset, reactions)), put reactions.tl; number = number + 1;
          if(number = 20, put " "; put /; number = 0;);); put /;

     number = 0; put " "; put "Synthesis vb reactions:"; put /;
     loop(reactions $ (syn_vb_rxn(objectset, reactions)), put reactions.tl; number = number + 1;
          if(number = 20, put " "; put /; number = 0;);); put /;
);

put /;
put "########## Optimal targets determined by NHDE using the tissue-specific GSMM ##########"; put /;
put "===== Best fitness, constraint value, migrations, function calls and CPU time solved by Nested HDE"; put /;
put "restrum"; put "nfeval"; put "nfeval_FBA_max"; put "nfeval_UFD_min"; put "CPU time"; put /;
put restnum; put nfeval; put nfeval_FBA_max; put nfeval_UFD_min; put elapsedTime:10:4; put /;

put /;
put "Best_regulation strength parametrer for up/down regulation (C)"; put /;
put best_TR_Reg_Factor:10:4; put /;
put /; put "Coding strategy"; put /;
put "(z_HDE = 1) Up-regulated SynRate: [basal_vf + C (vf_UB - basal_vf)] <= vf <= vf_UB and basal_vb + C (vb_UB - basal_vb)] <= vb <= vb_UB"; put /;
put "(z_HDE = 2) Down-regulated SynRate: vf_LB <= vf <= [basal_vf + c(vf_LB - vf_basal)] and vb_LB <= vb <= [basal_vb + c(vb_LB - vb_basal)]"; put /;
put "(z_HDE = 3) Knockout SynRate: vf = vb = 0"; put /;

put /; put "========== Best fitness, cell viability and metabolic deviation for TRPB and PBBL model obtained by NHDE =========="; put /;
for(i_loop = 1 to 8, put " ";); put "Dissimilarity of PB to CA model"; for(i_loop = 1 to 3, put " ";); put "Similarity of PB to BL/HT model"; put /;
put "best_fitness"; put "best_mem_BioEng_TR"; put "best_mem_CV_PB"; put "best_mem_CV_TRPB"; put "best_mem_MD_TRPB"; put "best_mem_MD_PBCA";
put "best_mem_MD_PBBL"; put "best_mem_MD_PBHT"; loop(ObjectSet, put ObjectSet.tl;); put "best_mem_rxn_PBCA";
put "best_mem_Met_PBCA"; loop(ObjectSet, put ObjectSet.tl;); put "best_mem_rxn_PBBL"; put "best_mem_Met_PBBL";
put put "best_mem_rxn_PBHT"; put "best_mem_Met_PBHT"; put "best_Mem_sumZ"; put "best_sumZ"; put "best_constraint"; put "best_modelstat"; put /;
put best_fitness:10:4; put best_mem_BioEng_TR:10:4; put best_mem_CV_PB:10:4; put best_mem_CV_TRPB:10:4; put best_mem_MD_TRPB:10:4;
put best_mem_MD_PBCA:10:4; put best_mem_MD_PBBL:10:4; put best_mem_MD_PBHT:10:4; loop(ObjectSet, put best_multiObjValue_TR(ObjectSet):10:4;);
put best_mem_rxn_PBCA:10:4; put best_mem_Met_PBCA:10:4; loop(ObjectSet, put best_multiObjValue_PB(ObjectSet):10:4;);
put best_mem_rxn_PBBL:10:4; put best_mem_Met_PBBL:10:4; put best_mem_rxn_PBHT:10:4; put best_mem_Met_PBHT:10:4;
put best_Mem_sumZ; put (sum(Dim_BI, (bestmem_XB(Dim_BI) > 0) = 1)); put best_constraint:10:4; put best_modelstat; put /;
*****************************************************************************************************************************************************

*%%%%% the user can modify the following procedures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** assign reactions and species in CA models as dynamic sets ****************
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_BioComp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;
dyn_reactions(reactions) $ (not reactions_NCA(reactions)) = yes;
dyn_species(species) $ (not species_NCA(species)) = yes;
dyn_BioComp(biocompound) $ (not biocompound_NCA(biocompound)) = yes;
dyn_irrev_rxn(reactions) $ (not reactions_NCA(reactions) and irrev_rxn(reactions)) = yes;
dyn_rev_rxn(reactions) $ (not reactions_NCA(reactions) and rev_rxn(reactions)) = yes;
dyn_exchange_rxn(reactions) $ (not reactions_NCA(reactions) and exchange_rxn(reactions)) = yes;
********************************************************************************

***** Set the weighting factors and limits for FBA objectives ******************
basal_vf(reactions) = 0;
basal_vb(reactions) = 0;
basal_vf(reactions) = CA_vf_UFD(reactions);
basal_vb(reactions) = CA_vb_UFD(reactions);

*---- restrictions for the lower and upper bounds of fluxes --------------------
vf.lo(reactions) = FluxBound_vf_LB(reactions);
vf.up(reactions) = FluxBound_vf_UB(reactions);
vb.lo(reactions) = FluxBound_vb_LB(reactions);
vb.up(reactions) = FluxBound_vb_UB(reactions);

*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = basal_vf(Dim_BI) + best_TR_Reg_factor * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = basal_vb(Dim_BI) + best_TR_Reg_factor * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = basal_vf(Dim_BI) + best_TR_Reg_factor * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = basal_vb(Dim_BI) + best_TR_Reg_factor * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vf.fx(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.fx(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
vb.lo(irrev_rxn) = 0;
vb.up(irrev_rxn) = 0;
vb.fx(irrev_rxn) = 0;
vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(reactions)) = 0;
vf.up(irrev_vb_rxn(reactions)) = 0;
vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************

***** Set the weighting factors and limits for FBA objectives ******************
MultiObj_weight(ObjectSet) = 0;
MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                              W_obj_ratio_CA(objectSet)/MultiObjValue_max(objectSet);
********************************************************************************
*----- compute the lower and upper bounds for the target reactions -------------
target_limit_LB(targetSet) = 0;
target_limit_UB(targetSet) = 0;
MultiObjValue_min(objectSet) = 0;
target_limit_LB(targetSet) = CA_target_level_LB(targetSet);
target_limit_UB(targetSet) = CA_target_level_UB(targetSet);
MultiObjValue_min(objectSet) = CA_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
***** best FBA Problem ******************************************************************************************************************************
* Determine the normal flux distribution by solving the Primal FBA Problem
solve FBA_Problem using LP maximizing objValue_FBA ;
TR_vf_FBA(reactions) = round(vf.l(reactions), Round_decimal);
TR_vb_FBA(reactions) = round(vb.l(reactions), Round_decimal);
TR_vf_FBA(reactions) $ (TR_vf_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
TR_vb_FBA(reactions) $ (TR_vb_FBA(reactions) < 0 and FBA_Problem.modelstat <= 2) = 0;
TR_v_FBA(reactions) = TR_vf_FBA(reactions) - TR_vb_FBA(reactions);
TR_FBA_ModelStat = FBA_Problem.modelstat ;
ObjOptim_limit = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*----- infesiable solution ----------------------------------------------------
if(FBA_Problem.modelstat > 2,
   best_MultiObjValue_TR(ObjectSet) = 0;        
   best_mem_Fmin_CV_PB = 0;
   best_mem_Fmax_CV_PB = 0;
   best_mem_rxn_PBCA = 0;
   best_mem_Met_PBCA = 0;
   best_mem_rxn_PBBL = 0;
   best_mem_Met_PBBL = 0;   
   best_mem_rxn_PBHT = 0;
   best_mem_Met_PBHT = 0;
   best_mem_BioEng_TR = 0;       
   constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
   constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                  sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
   best_constraint = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*------------------------------------------------------------------------------

***** best UFD problem *******************************************************************************************************************************
**** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
weight_coef_rxn(reactions) $ (CA_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
weight_coef_rxn(reactions) $ (CA_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
weight_coef_rxn(reactions) $ (CA_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************
solve UFD_Problem using QCP minimizing ObjValue_UFD ;
TR_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
TR_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
TR_vf_UFD(reactions) $ (TR_vf_UFD(reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
TR_vb_UFD(reactions) $ (TR_vb_UFD(reactions) < 0 and UFD_Problem.modelstat <= 2) = 0;
TR_v_UFD(reactions) = TR_vf_UFD(reactions) - TR_vb_UFD(reactions);
TR_UFD_ModelStat = UFD_Problem.modelstat;

best_Mem_sumZ $ (flag_sumz < 2) = (sumZ_max - sum(Dim_BI, (bestmem_XB(Dim_BI) > 0) = 1))/(sumZ_max - 1);
best_Mem_sumZ $ (flag_sumz = 2) = sum(Dim_BI, (bestmem_XB(Dim_BI) > 0) = 1)/(sumZ_max - 1);

**** compute multi-objective values ***************************************************************************************************************** 
tmp_MultiObjValue(ObjectSet) = 0;
tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * TR_vf_UFD(dyn_reactions)) +
                               sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * TR_vb_UFD(dyn_reactions));

best_MultiObjValue_TR(ObjectSet) = 0;
best_MultiObjValue_TR(ObjectSet) = tmp_MultiObjValue(ObjectSet);

**** compute fuzzy min VBOF and its membership grade for TR model ***********************************************************************************
mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = (MultiObjValue_max(Fuzzy_min_Eng_obj) - tmp_MultiObjValue(Fuzzy_min_Eng_obj) + tol_eps)/
                                        (MultiObjValue_max(Fuzzy_min_Eng_obj) - MultiObjValue_min(Fuzzy_min_Eng_obj) + tol_eps);  

mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj) = max(min(mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj), 1), 0);          

best_mem_BioEng_TR = (sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
                      smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

*----- infeasible solution ----------------------------------------------------                      
if(UFD_Problem.modelstat > 2,
   best_MultiObjValue_TR(ObjectSet) = 0;        
   best_mem_Fmin_CV_PB = 0;
   best_mem_Fmax_CV_PB = 0;
   best_mem_rxn_PBCA = 0;
   best_mem_Met_PBCA = 0;
   best_mem_rxn_PBBL = 0;
   best_mem_Met_PBBL = 0;   
   best_mem_rxn_PBHT = 0;
   best_mem_Met_PBHT = 0;
   best_mem_BioEng_TR = 0;       
   constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (vf.l(reactions) - vb.l(reactions)));
   constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (vf.l(targetSet) - vb.l(targetSet))), 0)) +
                  sum(targetSet, max(((vf.l(targetSet) - vb.l(targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
   best_constraint = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*------------------------------------------------------------------------------  
*===== evaluating metabolic perturbation of BL model to solve FBA and UFD problems ==================================================================
***** assign reactions and species in BL models as dynamic sets ****************        
dyn_reactions(reactions) = no;
dyn_species(species) = no;
dyn_biocomp(biocompound) = no;
dyn_irrev_rxn(reactions) = no;
dyn_rev_rxn(reactions) = no;
dyn_exchange_rxn(reactions) = no;
dyn_reactions(reactions) = yes;
dyn_species(species) = yes;
dyn_biocomp(biocompound) = yes;
dyn_irrev_rxn(reactions) = irrev_rxn(reactions);
dyn_rev_rxn(reactions) = rev_rxn(reactions);
dyn_exchange_rxn(reactions) = exchange_rxn(reactions);
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
basal_vf(reactions) = 0;
basal_vb(reactions) = 0;
basal_vf(reactions) = BL_vf_UFD(reactions);
basal_vb(reactions) = BL_vb_UFD(reactions);

*---- restrictions for the lower and upper bounds of fluxes --------------------
vf.lo(reactions) = FluxBound_vf_LB(reactions);
vf.up(reactions) = FluxBound_vf_UB(reactions);
vb.lo(reactions) = FluxBound_vb_LB(reactions);
vb.up(reactions) = FluxBound_vb_UB(reactions);

*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
* up regulated v
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = basal_vf(Dim_BI) + best_TR_Reg_factor * (FluxBound_vf_UB(Dim_BI) - basal_vf(Dim_BI));
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = FluxBound_vf_UB(Dim_BI);
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = FluxBound_vb_LB(Dim_BI);
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 1) = basal_vb(Dim_BI) + best_TR_Reg_factor * (FluxBound_vb_LB(Dim_BI) - basal_vb(Dim_BI));

* down regulated v
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = FluxBound_vf_LB(Dim_BI);
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = basal_vf(Dim_BI) + best_TR_Reg_factor * (FluxBound_vf_LB(Dim_BI) - basal_vf(Dim_BI));
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = basal_vb(Dim_BI) + best_TR_Reg_factor * (FluxBound_vb_UB(Dim_BI) - basal_vb(Dim_BI));
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 2) = FluxBound_vb_UB(Dim_BI);
*-------------------------------------------------------------------------------
*---- knockout vf and vb -------------------------------------------------------
vf.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vf.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.lo(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.up(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vf.fx(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
vb.fx(Dim_BI) $ (bestmem_XB(Dim_BI) = 3) = 0;
*----------------------------------------------------------------------------------------------------------------------------------------------------
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

* assign vb = 0 for the irreversible fluxes
vb.lo(irrev_rxn) = 0;
vb.up(irrev_rxn) = 0;
vb.fx(irrev_rxn) = 0;
vb.fx(DM_sink_rxn(reactions)) $ (flag_DM_sink = 1) = 0;
vf.lo(irrev_vb_rxn(reactions)) = 0;
vf.up(irrev_vb_rxn(reactions)) = 0;
vf.fx(irrev_vb_rxn(reactions)) = 0;

* assign the demanded uptake/secretion reactions
vf.fx(uptake_demand) = 0;
vb.fx(secretion_demand) = 0;
vb.fx(uptake_fixed) = FluxBound_vb_LB(uptake_fixed);

* irreversible uptake_rxn and secretion_rxn
vf.fx(uptake_rxn(reactions)) $ (flag_uptake = 1) = 0;
vb.fx(secretion_rxn(reactions)) $ (flag_secretion = 1) = 0;

vf.fx(uptake_demand(reactions)) $ (card(uptake_demand) > 0) = 0;
vb.fx(secretion_demand(reactions)) $ (card(secretion_demand) > 0) = 0;
********************************************************************************
***** Set the weighting factors and limits for FBA objectives ******************
MultiObj_weight(ObjectSet) = 0;
MultiObj_weight(ObjectSet) $ (MultiObjValue_max(objectSet) > tol_eps) =
                              W_obj_ratio_BL(objectSet)/MultiObjValue_max(objectSet);
*******************************************************************************
*----- compute the lower and upper bounds for the target reactions -------------
target_limit_LB(targetSet) = 0;
target_limit_UB(targetSet) = 0;
MultiObjValue_min(objectSet) = 0;
target_limit_LB(targetSet) = HT_target_level_LB(targetSet);
target_limit_UB(targetSet) = HT_target_level_UB(targetSet);
MultiObjValue_min(objectSet) = HT_MultiObjValue_min(objectSet);
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*---- solve mutant FBA problem considering side effect -------------------------
solve FBA_Problem using LP maximizing objValue_FBA ;
ObjOptim_limit $ (FBA_Problem.modelstat <= 2) = mutant_Obj_limit_ratio * Objvalue_FBA.l;

*----- infeasible solution ----------------------------------------------------
if(FBA_Problem.modelstat > 2,
   best_MultiObjValue_PB(ObjectSet) = 0;
   best_mem_Fmin_CV_PB = 0;
   best_mem_Fmax_CV_PB = 0;
   best_mem_rxn_PBCA = 0;
   best_mem_Met_PBCA = 0;
   best_mem_rxn_PBBL = 0;
   best_mem_Met_PBBL = 0;   
   best_mem_rxn_PBHT = 0;
   best_mem_Met_PBHT = 0;       
   constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (TR_vf_UFD (reactions) - TR_vb_UFD (reactions)));
   constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet))), 0)) +
                  sum(targetSet, max(((TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
   best_constraint = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*------------------------------------------------------------------------------
**** mutant UFD problem considering side effect ********************************
if(FBA_Problem.modelstat <= 2,
**** assign weighting coefficients for Rxn for computing ObjValue in UFD ****************************************************************************
   weight_coef_rxn(reactions) = Weight_factor_Rxn_OT;
   weight_coef_rxn(reactions) $ (HT_Reactions_HC(reactions)) = Weight_factor_Rxn_HC;
   weight_coef_rxn(reactions) $ (HT_Reactions_MC(reactions)) = Weight_factor_Rxn_MC;
   weight_coef_rxn(reactions) $ (HT_Reactions_NC(reactions)) = Weight_factor_Rxn_NC;
*****************************************************************************************************************************************************
   solve UFD_Problem using QCP minimizing ObjValue_UFD;);

if(FBA_Problem.modelstat <= 2 and UFD_Problem.modelstat <= 2,
* compute synthesis rate and degradation rate for each BioCompound at the mutant state
   PB_vf_UFD(reactions) = round(vf.l(reactions), Round_decimal);
   PB_vb_UFD(reactions) = round(vb.l(reactions), Round_decimal);
   PB_vf_UFD(reactions) $ (PB_vf_UFD(reactions) < 0) = 0;
   PB_vb_UFD(reactions) $ (PB_vb_UFD(reactions) < 0) = 0;
   PB_v_UFD(reactions) = PB_vf_UFD(reactions) - PB_vb_UFD(reactions);
   PB_Species_SynRate(species) = 0;
   loop(dyn_species,
        PB_Species_SynRate(dyn_species) = sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                             (S_Matrix(dyn_species, dyn_reactions) > 0) * PB_vf_UFD(dyn_reactions))
                                        - sum(dyn_reactions, S_Matrix(dyn_species, dyn_reactions) $
                                             (S_Matrix(dyn_species, dyn_reactions) < 0) * PB_vb_UFD(dyn_reactions)););

***** compute the score between experimental data and model prediction *********
   PB_BioComp_SynRate(BioCompound) = 0;
   loop(BioComp_PBBL,
        PB_BioComp_SynRate(BioComp_PBBL) = sum(dyn_species $ (BioCompound_species(BioComp_PBBL, dyn_species)),
                                               PB_Species_SynRate(dyn_species)););
*********************************************************************************

***** compute fuzzy min and fuzzy max of cell viability and its membership grade for TR model *******************************************************
   tmp_MultiObjValue(ObjectSet) = 0;
   tmp_MultiObjValue(ObjectSet) = sum(dyn_reactions, coef_CellularObj_vf(ObjectSet, dyn_reactions) * PB_vf_UFD(dyn_reactions)) +
                                  sum(dyn_reactions, coef_CellularObj_vb(ObjectSet, dyn_reactions) * PB_vb_UFD(dyn_reactions));           
   best_MultiObjValue_PB(ObjectSet) = 0; 
   best_MultiObjValue_PB(ObjectSet) = tmp_MultiObjValue(ObjectSet);
*****************************************************************************************************************************************************                          
***** compute fuzzy min and fuzzy max of cell viability and its membership grade for PB model *******************************************************
   mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = (MultiObjValue_max(Fuzzy_min_CV_obj) - tmp_MultiObjValue(Fuzzy_min_CV_obj) + tol_eps)/
                                      (MultiObjValue_max(Fuzzy_min_CV_obj) - MultiObjValue_min(Fuzzy_min_CV_obj) + tol_eps);                                                             
   mem_Fmin_CV_PB(Fuzzy_min_CV_obj) = max(min(mem_Fmin_CV_PB(Fuzzy_min_CV_obj), 1), 0);
           
   mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = (tmp_MultiObjValue(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps)/
                                      (MultiObjValue_max(Fuzzy_max_CV_obj) - MultiObjValue_min(Fuzzy_max_CV_obj) + tol_eps);
   mem_Fmax_CV_PB(Fuzzy_max_CV_obj) = max(min(mem_Fmax_CV_PB(Fuzzy_max_CV_obj), 1), 0);
           
   best_mem_Fmin_CV_PB = sum(Fuzzy_min_CV_obj, mem_Fmin_CV_PB(Fuzzy_min_CV_obj))/card(Fuzzy_min_CV_obj);
   best_mem_Fmax_CV_PB = sum(Fuzzy_max_CV_obj, mem_Fmax_CV_PB(Fuzzy_max_CV_obj))/card(Fuzzy_max_CV_obj);     
***************************************************************************************************************************************************** 
****** compute fuzzy dissimilarity of metabolite-flow and its membership grade for PBCA model *******************************************************
   L_mem_Met_PBCA(BioComp_PBCA) = (PB_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps)/
                                  (CA_BioComp_SynRate(BioComp_PBCA) - CA_MetFlowRate_LB(BioComp_PBCA) + tol_eps); 
   R_mem_Met_PBCA(BioComp_PBCA) = (CA_MetFlowRate_UB(BioComp_PBCA) - PB_BioComp_SynRate(BioComp_PBCA) + tol_eps)/
                                  (CA_MetFlowRate_UB(BioComp_PBCA) - CA_BioComp_SynRate(BioComp_PBCA) + tol_eps);  
   mem_Met_PBCA(BioComp_PBCA) = max(min(L_mem_Met_PBCA(BioComp_PBCA), R_mem_Met_PBCA(BioComp_PBCA), 1), 0);
              
   nonzero_Biocomp_PBCA(biocompound) = no;             
   nonzero_Biocomp_PBCA(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                         CA_BioComp_SynRate(biocompound) > 0) and BioComp_PBCA(biocompound)) = yes;
              
   best_mem_Met_PBCA = sum(BioCompound $ (nonzero_Biocomp_PBCA(biocompound)),
                           mem_Met_PBCA(BioCompound))/card(nonzero_Biocomp_PBCA);
   best_mem_Met_PBCA = 1 - best_mem_Met_PBCA;
*****************************************************************************************************************************************************
**** compute fuzzy dissimilarity of flux and its membership grade for PBCA model *******************************************************************
   L_mem_vf_PBCA(rxn_vf_PBCA) = (PB_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps)/
                                (CA_vf_UFD(rxn_vf_PBCA) - CA_vf_rxn_LB(rxn_vf_PBCA) + tol_eps);
   R_mem_vf_PBCA(rxn_vf_PBCA) = (CA_vf_rxn_UB(rxn_vf_PBCA) - PB_vf_UFD(rxn_vf_PBCA) + tol_eps)/
                                (CA_vf_rxn_UB(rxn_vf_PBCA)- CA_vf_UFD(rxn_vf_PBCA) + tol_eps);           
   L_mem_vb_PBCA(rxn_vb_PBCA) = (PB_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps)/
                                (CA_vb_UFD(rxn_vb_PBCA) - CA_vb_rxn_LB(rxn_vb_PBCA) + tol_eps);
   R_mem_vb_PBCA(rxn_vb_PBCA) = (CA_vb_rxn_UB(rxn_vb_PBCA) - PB_vb_UFD(rxn_vb_PBCA) + tol_eps)/
                                (CA_vb_rxn_UB(rxn_vb_PBCA)- CA_vb_UFD(rxn_vb_PBCA) + tol_eps);
                                
***** Intialization
   mem_vf_PBCA(reactions) = 1;
   mem_vb_PBCA(reactions) = 1;   
   mem_vf_PBCA(rxn_vf_PBCA) = max(min(L_mem_vf_PBCA(rxn_vf_PBCA), R_mem_vf_PBCA(rxn_vf_PBCA), 1), 0);
   mem_vb_PBCA(rxn_vb_PBCA) = max(min(L_mem_vb_PBCA(rxn_vb_PBCA), R_mem_vb_PBCA(rxn_vb_PBCA), 1), 0);

   nonzero_vf_PBCA(reactions) = no;
   nonzero_vf_PBCA(reactions) $ ((PB_vf_UFD(reactions) > 0 or CA_vf_UFD(reactions) > 0) and rxn_vf_PBCA(reactions)) = yes;
   nonzero_vb_PBCA(reactions) = no;
   nonzero_vb_PBCA(reactions) $ ((PB_vb_UFD(reactions) > 0 or CA_vb_UFD(reactions) > 0) and rxn_vb_PBCA(reactions)) = yes;              
   
   nonzero_v_PBCA(reactions) = no;
   nonzero_v_PBCA(reactions) = nonzero_vf_PBCA(reactions) + nonzero_vb_PBCA(reactions);
   
   best_mem_rxn_PBCA = sum(reactions $ (nonzero_v_PBCA(reactions)),
                           min(mem_vf_PBCA(reactions), mem_vb_PBCA(reactions)))/card(nonzero_v_PBCA);
   best_mem_rxn_PBCA = 1 - best_mem_rxn_PBCA;
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBBL model ***********************************************************
   L_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                         (BL_BioComp_SynRate(BioComp_ExpWarb) - BL_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
   R_mem_Met_Exp_PBBL(BioComp_ExpWarb) = (BL_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                         (BL_MetFlowRate_UB(BioComp_ExpWarb) - BL_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
   L_mem_Met_PBBL(BioComp_PBBL) = (PB_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps)/
                                  (BL_BioComp_SynRate(BioComp_PBBL) - BL_MetFlowRate_LB(BioComp_PBBL) + tol_eps); 
   R_mem_Met_PBBL(BioComp_PBBL) = (BL_MetFlowRate_UB(BioComp_PBBL) - PB_BioComp_SynRate(BioComp_PBBL) + tol_eps)/
                                  (BL_MetFlowRate_UB(BioComp_PBBL) - BL_BioComp_SynRate(BioComp_PBBL) + tol_eps);  
   mem_Met_Exp_PBBL(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBBL(BioComp_ExpWarb), R_mem_Met_Exp_PBBL(BioComp_ExpWarb), 1), 0);
   mem_Met_PBBL(BioComp_PBBL) = max(min(L_mem_Met_PBBL(BioComp_PBBL), R_mem_Met_PBBL(BioComp_PBBL), 1), 0);             
   best_mem_Met_Exp_PBBL = sum(BioComp_ExpWarb, mem_Met_Exp_PBBL(BioComp_ExpWarb))/card(BioComp_ExpWarb);

   nonzero_Biocomp_PBBL(biocompound) = no;             
   nonzero_Biocomp_PBBL(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                         BL_BioComp_SynRate(biocompound) > 0) and BioComp_PBBL(biocompound)) = yes;              
   best_mem_Met_PBBL = sum(BioCompound $ (nonzero_Biocomp_PBBL(biocompound)),
                           mem_Met_PBBL(BioCompound))/card(nonzero_Biocomp_PBBL);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBBL model **********************************************************************
   L_mem_vf_PBBL(rxn_vf_PBBL) = (PB_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps)/
                                (BL_vf_UFD(rxn_vf_PBBL) - BL_vf_rxn_LB(rxn_vf_PBBL) + tol_eps);
   R_mem_vf_PBBL(rxn_vf_PBBL) = (BL_vf_rxn_UB(rxn_vf_PBBL) - PB_vf_UFD(rxn_vf_PBBL) + tol_eps)/
                                (BL_vf_rxn_UB(rxn_vf_PBBL)- BL_vf_UFD(rxn_vf_PBBL) + tol_eps);           

   L_mem_vb_PBBL(rxn_vb_PBBL) = (PB_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps)/
                                (BL_vb_UFD(rxn_vb_PBBL) - BL_vb_rxn_LB(rxn_vb_PBBL) + tol_eps);
   R_mem_vb_PBBL(rxn_vb_PBBL) = (BL_vb_rxn_UB(rxn_vb_PBBL) - PB_vb_UFD(rxn_vb_PBBL) + tol_eps)/
                                (BL_vb_rxn_UB(rxn_vb_PBBL)- BL_vb_UFD(rxn_vb_PBBL) + tol_eps);    
***** Intialization
   mem_vf_PBBL(reactions) = 1;
   mem_vb_PBBL(reactions) = 1;  
   mem_vf_PBBL(rxn_vf_PBBL) = max(min(L_mem_vf_PBBL(rxn_vf_PBBL), R_mem_vf_PBBL(rxn_vf_PBBL), 1), 0);
   mem_vb_PBBL(rxn_vb_PBBL) = max(min(L_mem_vb_PBBL(rxn_vb_PBBL), R_mem_vb_PBBL(rxn_vb_PBBL), 1), 0);
              
   nonzero_vf_PBBL(reactions) = no;
   nonzero_vf_PBBL(reactions) $ ((PB_vf_UFD(reactions) > 0 or BL_vf_UFD(reactions) > 0) and rxn_vf_PBBL(reactions)) = yes;
   nonzero_vb_PBBL(reactions) = no;
   nonzero_vb_PBBL(reactions) $ ((PB_vb_UFD(reactions) > 0 or BL_vb_UFD(reactions) > 0) and rxn_vb_PBBL(reactions)) = yes;

   nonzero_v_PBBL(reactions) = no;
   nonzero_v_PBBL(reactions) = nonzero_vf_PBBL(reactions) + nonzero_vb_PBBL(reactions);   
           
   best_mem_rxn_PBBL = sum(reactions $ (nonzero_v_PBBL(reactions)),
                           min(mem_vf_PBBL(reactions), mem_vb_PBBL(reactions)))/card(nonzero_v_PBBL);
*****************************************************************************************************************************************************
***** compute fuzzy similarity of metabolite-flow and its membership grade for PBHT model ***********************************************************
   L_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (PB_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps)/
                                         (HT_BioComp_SynRate(BioComp_ExpWarb) - HT_MetFlowRate_LB(BioComp_ExpWarb) + tol_eps); 
   R_mem_Met_Exp_PBHT(BioComp_ExpWarb) = (HT_MetFlowRate_UB(BioComp_ExpWarb) - PB_BioComp_SynRate(BioComp_ExpWarb) + tol_eps)/
                                         (HT_MetFlowRate_UB(BioComp_ExpWarb) - HT_BioComp_SynRate(BioComp_ExpWarb) + tol_eps); 
   L_mem_Met_PBHT(BioComp_PBHT) = (PB_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps)/
                                  (HT_BioComp_SynRate(BioComp_PBHT) - HT_MetFlowRate_LB(BioComp_PBHT) + tol_eps); 
   R_mem_Met_PBHT(BioComp_PBHT) = (HT_MetFlowRate_UB(BioComp_PBHT) - PB_BioComp_SynRate(BioComp_PBHT) + tol_eps)/
                                  (HT_MetFlowRate_UB(BioComp_PBHT) - HT_BioComp_SynRate(BioComp_PBHT) + tol_eps);  
   mem_Met_Exp_PBHT(BioComp_ExpWarb) = max(min(L_mem_Met_Exp_PBHT(BioComp_ExpWarb), R_mem_Met_Exp_PBHT(BioComp_ExpWarb), 1), 0);
   mem_Met_PBHT(BioComp_PBHT) = max(min(L_mem_Met_PBHT(BioComp_PBHT), R_mem_Met_PBHT(BioComp_PBHT), 1), 0);             
   best_mem_Met_Exp_PBHT = sum(BioComp_ExpWarb, mem_Met_Exp_PBHT(BioComp_ExpWarb))/card(BioComp_ExpWarb);

   nonzero_Biocomp_PBHT(biocompound) = no;             
   nonzero_Biocomp_PBHT(biocompound) $ ((PB_BioComp_SynRate(biocompound) > 0 or
                                         HT_BioComp_SynRate(biocompound) > 0) and BioComp_PBHT(biocompound)) = yes;              
   best_mem_Met_PBHT = sum(BioCompound $ (nonzero_Biocomp_PBHT(biocompound)),
                           mem_Met_PBHT(BioCompound))/card(nonzero_Biocomp_PBHT);

*****************************************************************************************************************************************************
***** compute fuzzy similarity of flux and its membership grade for PBHT model **********************************************************************
   L_mem_vf_PBHT(rxn_vf_PBHT) = (PB_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps)/
                                (HT_vf_UFD(rxn_vf_PBHT) - HT_vf_rxn_LB(rxn_vf_PBHT) + tol_eps);
   R_mem_vf_PBHT(rxn_vf_PBHT) = (HT_vf_rxn_UB(rxn_vf_PBHT) - PB_vf_UFD(rxn_vf_PBHT) + tol_eps)/
                                (HT_vf_rxn_UB(rxn_vf_PBHT)- HT_vf_UFD(rxn_vf_PBHT) + tol_eps);           

   L_mem_vb_PBHT(rxn_vb_PBHT) = (PB_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps)/
                                (HT_vb_UFD(rxn_vb_PBHT) - HT_vb_rxn_LB(rxn_vb_PBHT) + tol_eps);
   R_mem_vb_PBHT(rxn_vb_PBHT) = (HT_vb_rxn_UB(rxn_vb_PBHT) - PB_vb_UFD(rxn_vb_PBHT) + tol_eps)/
                                (HT_vb_rxn_UB(rxn_vb_PBHT)- HT_vb_UFD(rxn_vb_PBHT) + tol_eps);
                                
***** Intialization
   mem_vf_PBHT(reactions) = 1;
   mem_vb_PBHT(reactions) = 1; 
   mem_vf_PBHT(rxn_vf_PBHT) = max(min(L_mem_vf_PBHT(rxn_vf_PBHT), R_mem_vf_PBHT(rxn_vf_PBHT), 1), 0);
   mem_vb_PBHT(rxn_vb_PBHT) = max(min(L_mem_vb_PBHT(rxn_vb_PBHT), R_mem_vb_PBHT(rxn_vb_PBHT), 1), 0);
              
   nonzero_vf_PBHT(reactions) = no;
   nonzero_vf_PBHT(reactions) $ ((PB_vf_UFD(reactions) > 0 or HT_vf_UFD(reactions) > 0) and rxn_vf_PBHT(reactions)) = yes;
   nonzero_vb_PBHT(reactions) = no;
   nonzero_vb_PBHT(reactions) $ ((PB_vb_UFD(reactions) > 0 or HT_vb_UFD(reactions) > 0) and rxn_vb_PBHT(reactions)) = yes;
   
   nonzero_v_PBHT(reactions) = no;
   nonzero_v_PBHT(reactions) = nonzero_vf_PBHT(reactions) + nonzero_vb_PBHT(reactions);
           
   best_mem_rxn_PBHT = sum(reactions $ (nonzero_v_PBHT(reactions)),
                           min(mem_vf_PBHT(reactions), mem_vb_PBHT(reactions)))/card(nonzero_v_PBHT);
*****************************************************************************************************************************************************
   constraint_h(Dim_h) = 0;
   constraint_g = 0;
   best_constraint = 0; 
);

*----- infeasible solution ----------------------------------------------------
if(UFD_Problem.modelstat > 2,
   best_MultiObjValue_PB(ObjectSet) = 0;
   best_mem_Fmin_CV_PB = 0;
   best_mem_Fmax_CV_PB = 0;
   best_mem_rxn_PBCA = 0;
   best_mem_Met_PBCA = 0;
   best_mem_rxn_PBBL = 0;
   best_mem_Met_PBBL = 0;   
   best_mem_rxn_PBHT = 0;
   best_mem_Met_PBHT = 0;
   constraint_h(Dim_h) = sum(reactions, S_Matrix(Dim_h, reactions) * (TR_vf_UFD (reactions) - TR_vb_UFD (reactions)));
   constraint_g = sum(targetSet, max((target_limit_LB(targetSet) - (TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet))), 0)) +
                  sum(targetSet, max(((TR_vf_UFD (targetSet) - TR_vb_UFD (targetSet)) - target_limit_UB(targetSet)), 0)) +
                                 max((ObjOptim_limit - ObjValue_FBA.l), 0);
   best_constraint = penalty * (sum(Dim_h, abs(constraint_h(Dim_h))) + constraint_g););
*-------------------------------------------------------------------------------
*----- fitness evaluation ------------------------------------------------------
* mortality for TR model, This is the first priori objective function for all cases
* best_mem_BioEng_TR = sum(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj))/card(Fuzzy_min_Eng_obj) +
*                         smin(Fuzzy_min_Eng_obj, mem_Fmin_BioEng_TR(Fuzzy_min_Eng_obj)))/2;

* Cell viability for PB model
best_mem_CV_PB = ((best_mem_Fmin_CV_PB + best_mem_Fmax_CV_PB)/2 + min(best_mem_Fmin_CV_PB, best_mem_Fmax_CV_PB))/2;

* the first priori objective for cell mortality of TR and PB model
best_mem_CV_TRPB $ (index_sumz <= 20) = (best_mem_BioEng_TR + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;

* the first priori objective for both cell mortality and cell viability for TR and PB model
best_mem_CV_TRPB $ (index_sumz >= 30) = ((best_mem_BioEng_TR + best_mem_CV_PB)/2 + min(best_mem_BioEng_TR, best_mem_CV_PB))/2;

* Metabolic deviation (dissimilarity) for PB model to CA template
best_mem_MD_PBCA = ((best_mem_rxn_PBCA + best_mem_Met_PBCA)/2 + min(best_mem_rxn_PBCA, best_mem_Met_PBCA))/2;

* Metabolic deviation (similarity) for PB model to BL template
best_mem_MD_PBBL = ((best_mem_rxn_PBBL + best_mem_Met_PBBL)/2 + min(best_mem_rxn_PBBL, best_mem_Met_PBBL))/2;

* Metabolic deviation (similarity) for PB model to HT template
best_mem_MD_PBHT = ((best_mem_rxn_PBHT + best_mem_Met_PBHT)/2 + min(best_mem_rxn_PBHT, best_mem_Met_PBHT))/2;

* Metabolic deviation of PB to CA and BL/HT models
best_mem_MD_TRPB = ((best_mem_MD_PBCA + best_mem_MD_PBBL + best_mem_MD_PBHT)/3 +
                        min(best_mem_MD_PBCA, best_mem_MD_PBBL, best_mem_MD_PBHT))/2;

*----- prioity fitness evaluation ----------------------------------------------
best_fitness $ (index_sumZ = 1) = mem_Fmin_BioEng_TR('biomass') - best_constraint;
best_fitness $ (index_sumZ = 10) = (mem_Fmin_BioEng_TR('biomass') + min(mem_Fmin_BioEng_TR('biomass'), best_mem_CV_PB,
                                                                           best_mem_MD_TRPB))/2 - best_constraint;
* the second priori objective
best_fitness $ (index_sumZ = 20 or index_sumz = 30) = (best_mem_BioEng_TR + min(best_mem_BioEng_TR, best_mem_CV_TRPB,
                                                                                      best_mem_MD_TRPB))/2 - best_constraint;
best_fitness $ (index_sumZ = 40) = ((best_mem_BioEng_TR + best_mem_CV_TRPB + best_mem_MD_PBCA + best_mem_MD_PBBL +
                                     best_mem_MD_PBHT)/5 + min(best_mem_BioEng_TR, best_mem_CV_TRPB, best_mem_MD_PBCA,
                                                               best_mem_MD_PBBL, best_mem_MD_PBHT))/2 - best_constraint;                                                          
best_fitness $ (flag_sumZ = 1) = best_fitness + best_mem_sumZ;
*-------------------------------------------------------------------------------
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

put /; put "########## Optimal solution solved by NLP solver based on the best results obtained from NHDE  ##########";
if(TR_UFD_ModelStat > 2, put /; put "?????????? Note: ModelStat > 2, The solution is infeasible ??????????";); 
put /; put "===== Best fitness, best cell viability, best metabolic deviation for PBCA and PBBL model ====="; put /;
for(i_loop = 1 to 8, put " ";); put "Dissimilarity of PB to CA model"; for(i_loop = 1 to 3, put " ";); put "Similarity of PB to BL/HT model"; put /;
put "best_fitness"; put "best_mem_BioEng_TR"; put "best_mem_CV_PB"; put "best_mem_CV_TRPB"; put "best_mem_MD_TRPB"; put "best_mem_MD_PBCA";
put "best_mem_MD_PBBL"; put "best_mem_MD_PBHT"; loop(ObjectSet, put ObjectSet.tl;); put "best_mem_rxn_PBCA";
put "best_mem_Met_PBCA"; loop(ObjectSet, put ObjectSet.tl;); put "best_mem_rxn_PBBL"; put "best_mem_Met_PBBL";
put "best_mem_rxn_PBHT"; put "best_mem_Met_PBHT"; put "best_Mem_sumZ"; put "best_sumZ"; put "best_constraint"; put "TR_FBA_ModelStat";
put "TR_UFD_ModelStat"; put "PB_FBA_modelstat"; put "PB_UFD_modelstat"; put /;
put best_fitness:10:4; put best_mem_BioEng_TR:10:4; put best_mem_CV_PB:10:4; put best_mem_CV_TRPB:10:4; put best_mem_MD_TRPB:10:4;
put best_mem_MD_PBCA:10:4; put best_mem_MD_PBBL:10:4; put best_mem_MD_PBHT:10:4; loop(ObjectSet, put best_multiObjValue_TR(ObjectSet):10:4;);
put best_mem_rxn_PBCA:10:4; put best_mem_Met_PBCA:10:4; loop(ObjectSet, put best_multiObjValue_PB(ObjectSet):10:4;);
put best_mem_rxn_PBBL:10:4; put best_mem_Met_PBBL:10:4; put best_mem_rxn_PBHT:10:4; put best_mem_Met_PBHT:10:4;
put best_Mem_sumZ; put (sum(Dim_BI, (bestmem_XB(Dim_BI) > 0) = 1)); put best_constraint:10:4; put TR_FBA_ModelStat;
put TR_UFD_ModelStat; put FBA_Problem.modelstat; put UFD_Problem.modelstat; put /;

put /;
put "No. of biocompounds, reactions and their nonzero_synthesis rate and fluxes"; put /;
put "No. biocompound"; put "No. biocompound_Warburg"; put "No. biocompound_Exp"; put "No. BioComp_ExpWarb";
put "BioComp_PBCA"; put "BioComp_PBBL"; put "BioComp_PBHT"; put /;
put card(biocompound); put card(biocompound_Warburg); put card(biocompound_exp); put card(BioComp_ExpWarb);
put card(BioComp_PBCA); put card(BioComp_PBBL); put card(BioComp_PBHT); put /;

put /;
put "No. of Rxn_vf and Rxn_vb"; put /;
put "rxn_vf_PBCA"; put "rxn_vb_PBCA"; put "rxn_vf_PBBL"; put "rxn_vb_PBBL"; put "rxn_vf_PBHT"; put "rxn_vb_PBHT"; put /;
put card(rxn_vf_PBCA); put card(rxn_vb_PBCA); put card(rxn_vf_PBBL); put card(rxn_vb_PBBL); put card(rxn_vf_PBHT); put card(rxn_vb_PBHT); put /;

put /; put "No. of nonzero Biocomp and Rxn_vf, vb and v"; put /;
put "BioComp_PBCA"; put "BioComp_PBBL"; put "BioComp_PBHT"; put "rxn_vf_PBCA"; put "rxn_vb_PBCA"; put "rxn_v_PBCA";
put "rxn_vf_PBBL"; put "rxn_vb_PBBL"; put "rxn_v_PBBL"; put "rxn_vf_PBHT"; put "rxn_vb_PBHT"; put "rxn_v_PBHT"; put /;
put card(nonzero_Biocomp_PBCA); put card(nonzero_Biocomp_PBBL); put card(nonzero_Biocomp_PBHT); put card(nonzero_vf_PBCA);
put card(nonzero_vb_PBCA); put card(nonzero_v_PBCA); put card(nonzero_vf_PBBL); put card(nonzero_vb_PBBL); put card(nonzero_v_PBBL);
put card(nonzero_vf_PBHT); put card(nonzero_vb_PBHT); put card(nonzero_v_PBHT); put /;

*****************************************************************************************************************************************************
*****************************************************************************************************************************************************
put /; put "===== Optimal reaction-based regulators and Reg_status: up-regulation = 1, down-regulation = 2, knockout = 3";
put /; put "Rxn"; put "Reg_status"; put " ";
       put "TR_vf"; put "TR_vb"; put "TR_v"; put " "; put "PB_vf_UFD"; put "PB_vb_UFD"; put "PB_v_UFD";
       put " "; put "CA_vf_UFD"; put "CA_vb_UFD"; put "CA_v_UFD";
        put " "; put "vf_LB"; put "BL_vf_UFD"; put "vf_UB";
       put "vb_LB"; put "BL_vb_UFD"; put "vb_UB"; put "v_LB"; put "BL_v_UFD"; put "v_UB"; put " ";
       put "HT_vf_UFD"; put "HT_vb_UFD"; put "HT_v_UFD"; put /;

loop(Dim_BI $ (bestmem_XB(Dim_BI) > 0), put Dim_BI.tl:0; put bestmem_XB(Dim_BI); put " ";
     put TR_vf_UFD(Dim_BI):10:4; put TR_vb_UFD(Dim_BI):10:4; put TR_v_UFD(Dim_BI):10:4; put " ";
     put PB_vf_UFD(Dim_BI):10:4; put PB_vb_UFD(Dim_BI):10:4; put PB_v_UFD(Dim_BI):10:4; put " ";
     put CA_vf_UFD(Dim_BI):10:4; put CA_vb_UFD(Dim_BI):10:4; put CA_v_UFD(Dim_BI):10:4; put " ";
     put FluxBound_vf_LB(Dim_BI):10:4; put BL_vf_UFD(Dim_BI):10:4; put FluxBound_vf_UB(Dim_BI):10:4;
     put FluxBound_vb_LB(Dim_BI):10:4; put BL_vb_UFD(Dim_BI):10:4; put FluxBound_vb_UB(Dim_BI):10:4;
     put FluxBound_v_LB(Dim_BI):10:4; put BL_v_UFD(Dim_BI):10:4; put FluxBound_v_UB(Dim_BI):10:4; put " ";
     put HT_vf_UFD(Dim_BI):10:4; put HT_vb_UFD(Dim_BI):10:4; put HT_v_UFD(Dim_BI):10:4;
     put /;);
     
***** print the feasible best solutions **************************************************************************************************************
put /;
put "########## Best similarity score (LFC_ExpWarb), sum(membership grade) and regulated enzymes solved by the nested HDE ###########";
put /; put "Gene-centric regulation status: (1: Up-vf, vb; 2: Down-vf, vb; 3: KO vf & vb)"; put /;
for(i_loop = 1 to 2, put " ";); put "Cell mortality"; put "Cell viability"; put " "; put "Metabolic deviation"; for(i_loop = 1 to 3, put " ";);
put "Dissimilarity of PB to CA model"; for(i_loop = 1 to 3, put " ";); put "Similarity of PB to BL/HT model"; put /;
put "Iteration"; put "best_fitness"; put "best_mem_BioEng_TR"; put "best_mem_CV_PB"; put "best_mem_CV_TRPB"; put "best_mem_MD_TRPB";
put "best_mem_MD_PBCA"; put "best_mem_MD_PBBL"; put "best_mem_MD_PBHT"; loop(ObjectSet, put ObjectSet.tl;);
put "best_mem_rxn_PBCA"; put "best_mem_Met_PBCA"; loop(ObjectSet, put ObjectSet.tl;);
put "best_mem_rxn_PBBL"; put "best_mem_Met_PBBL"; put "best_mem_rxn_PBHT"; put "best_mem_Met_PBHT";
put "best_Mem_sumZ"; put "best_sumZ"; put "best_constraint"; put "best_TR_Reg_factor"; put "Reg_Enzyme"; put "Reg_Status";
put "genes"; put /;

loop(itermax_DynSubset2, put itermax_DynSubset2.tl:0; put store_best_fitness(itermax_DynSubset2):10:4;    
     put store_best_mem_BioEng_TR(itermax_DynSubset2):10:4; put store_best_mem_CV_PB(itermax_DynSubset2):10:4;
     put store_best_mem_CV_TRPB(itermax_DynSubset2):10:4; put store_best_mem_MD_TRPB(itermax_DynSubset2):10:4;     
     put store_best_mem_MD_PBCA(itermax_DynSubset2):10:4; put store_best_mem_MD_PBBL(itermax_DynSubset2):10:4;
     put store_best_mem_MD_PBHT(itermax_DynSubset2):10:4;
     loop(objectset, put store_best_multiObjValue_TR(itermax_DynSubset2, ObjectSet):10:4;);
     put store_best_mem_rxn_PBCA(itermax_DynSubset2):10:4; put store_best_mem_Met_PBCA(itermax_DynSubset2):10:4;
     loop(objectset, put store_best_multiObjValue_PB(itermax_DynSubset2, ObjectSet):10:4;);
     put store_best_mem_rxn_PBBL(itermax_DynSubset2):10:4; put store_best_mem_Met_PBBL(itermax_DynSubset2):10:4;     
     put store_best_mem_rxn_PBHT(itermax_DynSubset2):10:4; put store_best_mem_Met_PBHT(itermax_DynSubset2):10:4;
     put store_best_mem_sumz(itermax_DynSubset2):10:4; put (sum(Dim_BI, (bestmem_XB(Dim_BI) > 0) = 1));
     put store_best_constraint(itermax_DynSubset2):10:4;
     put store_bestmem_XI(itermax_DynSubset2, "RSP1"):10:4;     
     number0 = 1;
     loop(Dim_BI $ (store_bestmem_XB(itermax_dynSubset2, Dim_BI) <> 0),
          if(number0 = 1, put Dim_BI.tl:0; put store_bestmem_XB(itermax_dynSubset2, Dim_BI);
             number0 = 2; else
             for(i_loop = 1 to 23, put " ";); put Dim_BI.tl:0; put store_bestmem_XB(itermax_dynSubset2, Dim_BI);); put /;);
put /;);
putclose result1;
*****************************************************************************************************************************************************